2017-02-20  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * .appveyor.yml, .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.1.3 

2017-02-18  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/BezierTest.cpp, tests/CRC32Test.cpp, tests/ToUnicodeMapTest.cpp, 
    tests/UnicodeTest.cpp, tests/VectorIteratorTest.cpp, 
    tests/XMLNodeTest.cpp: 
  minor additions to some tests 

  * tests/genhashcheck.py: 
  reformatted genhashcheck 

  * libs/ff-woff/inc/ffintl.h: 
  ff-woff: removed redundant defines and prototypes to fix build failure 
  on Solaris 

2017-02-15  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, libs/ff-woff/Makefile.am, 
    libs/ff-woff/fontforge/fflocale.c, libs/ff-woff/fontforge/fflocale.h, 
    libs/ff-woff/fontforge/sfd.c, libs/ff-woff/fontforge/splinefont.h, 
    libs/ff-woff/fontforge/tottf.c: 
  ff-woff: only call uselocale() if present, use setlocale() otherwise 

2017-02-14  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/genhashcheck.py: 
  made genhashcheck.py compatible with Python 3 (plus few minor changes) 

  * README, README.md: 
  added information on required C++11 compiler to README 

2017-02-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Color.cpp, src/Matrix.cpp, src/utility.hpp: 
  replaced local copies of deg2rad with global function 

  * src/Color.cpp, src/Matrix.cpp, src/TpicSpecialHandler.cpp, 
    src/utility.hpp: 
  replaced non-standard constant M_PI with own definition 

2017-02-12  Martin Gieseking  <martin.gieseking@uos.de>

  * .appveyor.yml, .travis.yml, appveyor.yml: 
  exclude branch 'tmp' from CI builds 

2017-02-11  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

2017-02-10  Martin Gieseking  <martin.gieseking@uos.de>

  * .travis.yml, appveyor.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.1.2 

  * libs/xxHash/xxhash.c, libs/xxHash/xxhash.h: 
  removed 'restrict' keyword from xxHash 

  * tests/StreamReaderTest.cpp: 
  clear istream flags to prevent failure of StreamReaderTest 

  * src/Calculator.cpp: 
  fixed number parsing in Calculator class (failed on Mac) 

2017-02-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CLCommandLine.cpp: 
  reset status flags before changing the sstream source 

  * src/GFReader.cpp, src/StreamReader.cpp, tests/GFReaderTest.cpp, 
    tests/StreamReaderTest.cpp: 
  improved implementation of getString() 

  * src/VectorStream.hpp: 
  don't access first vector component if the vector is empty 

  * src/Directory.cpp, tests/DirectoryTest.cpp: 
  prevent calling closedir() with null pointer argument 

  * .gitignore, .travis.yml, Makefile.am, configure.ac, tests/Makefile.am, 
    tests/create-makefile, tests/gtest/LICENSE, 
    tests/gtest/include/gtest/gtest-death-test.h, 
    tests/gtest/include/gtest/gtest-message.h, 
    tests/gtest/include/gtest/gtest-param-test.h, 
    tests/gtest/include/gtest/gtest-printers.h, 
    tests/gtest/include/gtest/gtest-spi.h, 
    tests/gtest/include/gtest/gtest-test-part.h, 
    tests/gtest/include/gtest/gtest-typed-test.h, 
    tests/gtest/include/gtest/gtest.h, 
    tests/gtest/include/gtest/gtest_pred_impl.h, 
    tests/gtest/include/gtest/gtest_prod.h, 
    tests/gtest/include/gtest/internal/custom/gtest-port.h, 
    tests/gtest/include/gtest/internal/custom/gtest-printers.h, 
    tests/gtest/include/gtest/internal/custom/gtest.h, 
    tests/gtest/include/gtest/internal/gtest-death-test-internal.h, 
    tests/gtest/include/gtest/internal/gtest-filepath.h, 
    tests/gtest/include/gtest/internal/gtest-internal.h, 
    tests/gtest/include/gtest/internal/gtest-linked_ptr.h, 
    tests/gtest/include/gtest/internal/gtest-param-util-generated.h, 
    tests/gtest/include/gtest/internal/gtest-param-util.h, 
    tests/gtest/include/gtest/internal/gtest-port-arch.h, 
    tests/gtest/include/gtest/internal/gtest-port.h, 
    tests/gtest/include/gtest/internal/gtest-string.h, 
    tests/gtest/include/gtest/internal/gtest-tuple.h, 
    tests/gtest/include/gtest/internal/gtest-type-util.h, 
    tests/gtest/src/gtest-all.cc, tests/gtest/src/gtest-death-test.cc, 
    tests/gtest/src/gtest-filepath.cc, tests/gtest/src/gtest-internal-inl.h, 
    tests/gtest/src/gtest-port.cc, tests/gtest/src/gtest-printers.cc, 
    tests/gtest/src/gtest-test-part.cc, tests/gtest/src/gtest-typed-test.cc, 
    tests/gtest/src/gtest.cc, tests/gtest/src/gtest_main.cc: 
  bundle gtest with the sources to simplify building and running the tests 

2017-02-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLNode.cpp: 
  fixed memory leak in class XMLElementNode 

  * src/Subfont.cpp: 
  fixed memory leak in Subfont class 

  * tests/CMapReaderTest.cpp: 
  fixed memory leak in CMapReaderTest 

  * src/CMapReader.cpp, src/InputReader.cpp, src/InputReader.hpp, 
    tests/SplittedCharInputBufferTest.cpp, tests/StreamInputBufferTest.cpp: 
  fixed potential number overflow issue 

  * src/BoundingBox.cpp: 
  fixed memory issue in BoundingBox class 

  * src/XMLString.cpp, tests/EmSpecialTest.cpp, tests/GFGlyphTracerTest.cpp: 
  avoid negative zeros (-0) in SVG output 

2017-02-07  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/clipper/License.txt: 
  fixed line endings of clipper/License.txt 

  * NEWS: 
  updated NEWS 

  * configure.ac: 
  replaced deprecated AC_CONFIG_HEADER 

2017-02-06  Martin Gieseking  <martin.gieseking@uos.de>

  * .travis.yml, appveyor.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.1.1 

2017-02-04  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/FontCacheTest.cpp: 
  fixed FontCacheTest ('make distcheck' failed) 

2017-02-03  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, libs/ff-woff/fontforge/splinefont.h: 
  include xlocale.h in ff-woff if available (fixes #65) 

  * src/Color.cpp, src/Color.hpp, src/VectorIterator.hpp, 
    tests/ColorTest.cpp, tests/VectorIteratorTest.cpp: 
  increased coverage of ColorTest 

2017-02-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/Font.hpp: 
  report Metafont failures only once for each font 

  * configure.ac: 
  allow C++11 language extensions if necessary 

  * src/Makefile.am: 
  removed spurious colon from src/Makefile.am 

2017-01-31  Martin Gieseking  <martin.gieseking@uos.de>

  * README, README.md: 
  README: updated links, added release badge 

2017-01-30  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/FontManagerTest.cpp, tests/data/cmr10.pfb: 
  prevent FontManagerTest to fail due to missing font files 

2017-01-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/MapLine.cpp, src/MapLine.hpp, tests/ColorSpecialTest.cpp, 
    tests/FontMapTest.cpp, tests/LengthTest.cpp, tests/MapLineTest.cpp: 
  improved a couple of test cases 

2017-01-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Matrix.cpp, tests/MatrixTest.cpp: 
  minor changes of matrix class; improved MatrixTest 

2017-01-25  Martin Gieseking  <martin.gieseking@uos.de>

  * m4/ax_code_coverage.m4, m4/ax_cxx_compile_stdcxx.m4: 
  updated m4 scripts to latest versions 

  * tests/Makefile.am, tests/create-makefile: 
  removed redundant linker flag from tests 

  * src/FontCache.cpp, src/FontCache.hpp, tests/FontCacheTest.cpp, 
    tests/Makefile.am: 
  added FontCacheTest 

  * tests/CMapManagerTest.cpp, tests/CMapReaderTest.cpp, 
    tests/DvisvgmSpecialTest.cpp, tests/EmSpecialTest.cpp, 
    tests/FileFinderTest.cpp, tests/FontManagerTest.cpp, 
    tests/JFMReaderTest.cpp, tests/MapLineTest.cpp, tests/SubfontTest.cpp, 
    tests/TFMReaderTest.cpp, tests/TensorProductPatchTest.cpp: 
  added 'override' specifier to gtest methods 

  * src/PapersizeSpecialHandler.cpp, src/PapersizeSpecialHandler.hpp, 
    tests/Makefile.am, tests/PapersizeSpecialTest.cpp, tests/create-makefile: 
  added PapersizeSpecialTest 

2017-01-23  Martin Gieseking  <martin.gieseking@uos.de>

  * README.md, appveyor.yml: 
  added basic appveyor.yml 

2017-01-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/genhashmap.cpp, src/genhashmap.py, src/glyphlist/Makefile, 
    src/glyphlist/glyphlist.dtd, src/glyphlist/glyphlist.xsl, 
    src/glyphlist/xmlify.py: 
  improved generation of AGLTable.hpp 

  * src/options.xml: 
  get name of options.xml from command-line; fixed indentation 

2017-01-20  Martin Gieseking  <martin.gieseking@uos.de>

  * libs/ff-woff/Makefile.am, libs/ff-woff/fontforge/fontforge.h, 
    libs/ff-woff/fontforge/tmpfile2.cpp, libs/ff-woff/fontforge/utils.c, 
    src/dvisvgm.cpp: 
  improved error handling of tmpfile2() in ff-woff
The FontForge library 
  doesn't check the return value of tmpfile() which may lead
to segfaults. 
  The replacement function tmpfile2() throws an exception or calls
exit() 
  so that dvisvgm can terminate more cleanly. 

2017-01-18  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.1 

  * src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, src/EPSToSVG.cpp: 
  get program name and version from version.hpp, avoid using macros from 
  config.h 

  * src/BoundingBox.cpp, src/Color.cpp, src/DVIToSVGActions.cpp, 
    src/FilePath.cpp, src/FileSystem.cpp, src/FontWriter.cpp, 
    src/Makefile.am, src/PageSize.cpp, src/SVGOutput.cpp, src/utility.cpp, 
    src/utility.hpp, tests/Makefile.am, tests/UtilityTest.cpp: 
  moved common utility functions to separate compilation unit and 
  namespace 

2017-01-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontWriter.cpp, src/FontWriter.hpp: 
  print error message if FontWriter can't write temporary files 

  * doc/dvisvgm.txt.in, src/CommandLine.hpp, src/dvisvgm.cpp, 
    src/options.xml: 
  added option --tmpdir to select a different temp folder 

  * libs/ff-woff/fontforge/utils.c, src/FileSystem.cpp, src/FileSystem.hpp, 
    src/Font.cpp, src/FontWriter.cpp, src/GlyphTracerMessages.hpp, 
    src/MetafontWrapper.cpp, src/MetafontWrapper.hpp, src/Process.cpp, 
    src/Process.hpp, src/SVGOutput.cpp, src/SVGOutput.hpp: 
  create temp files in the system's temp folder rather than in cwd (closes 
  #63) 

2017-01-12  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/GhostscriptTest.cpp: 
  disable GS banner in GhostscriptTest 

  * src/DVIToSVG.cpp, src/EPSToSVG.cpp, src/SVGTree.hpp: 
  print warning message if output file could not be written 

  * src/FilePath.cpp, src/FilePath.hpp, tests/FilePathTest.cpp, 
    tests/SVGOutputTest.cpp: 
  retain letter case of filenames (Windows) 

2017-01-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp, src/dvisvgm.cpp: 
  added missing newlines in messages; fixed typo 

2017-01-05  Martin Gieseking  <martin.gieseking@uos.de>

  * src/AGLTable.hpp, src/genhashmap.cpp, src/glyphlist.txt, 
    src/glyphlist/Makefile, src/glyphlist/glyphlist-tex.txt, 
    src/glyphlist/glyphlist.dtd, src/glyphlist/glyphlist.txt, 
    src/glyphlist/glyphlist.xsl, src/glyphlist/xmlify.py: 
  updated AGL table and removed colliding codepoints (closes #64) 

2017-01-03  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am, README, README.md, configure.ac, doc/Makefile.am, 
    doc/conf-dblatex-man.xsl, doc/conf-dblatex-pdf.xsl, doc/db2html.xsl, 
    doc/dvisvgm.txt.in, doc/tweak-db-article.xsl, doc/tweak-dblatex-pdf.xsl, 
    libs/Makefile.am, src/AGLTable.hpp, src/BasicDVIReader.cpp, 
    src/BasicDVIReader.hpp, src/Bezier.cpp, src/Bezier.hpp, 
    src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.hpp, 
    src/Bitmap.cpp, src/Bitmap.hpp, src/BoundingBox.cpp, src/BoundingBox.hpp, 
    src/CLCommandLine.cpp, src/CLCommandLine.hpp, src/CLOption.hpp, 
    src/CMap.cpp, src/CMap.hpp, src/CMapManager.cpp, src/CMapManager.hpp, 
    src/CMapReader.cpp, src/CMapReader.hpp, src/CRC32.cpp, src/CRC32.hpp, 
    src/Calculator.cpp, src/Calculator.hpp, src/CharMapID.cpp, 
    src/CharMapID.hpp, src/Character.hpp, src/Color.cpp, src/Color.hpp, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.hpp, 
    src/CommandLine.hpp, src/DLLoader.cpp, src/DLLoader.hpp, 
    src/DVIActions.hpp, src/DVIReader.cpp, src/DVIReader.hpp, 
    src/DVIToSVG.cpp, src/DVIToSVG.hpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.hpp, src/DependencyGraph.hpp, src/Directory.cpp, 
    src/Directory.hpp, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.hpp, src/EPSFile.cpp, src/EPSFile.hpp, 
    src/EPSToSVG.cpp, src/EPSToSVG.hpp, src/EmSpecialHandler.cpp, 
    src/EmSpecialHandler.hpp, src/EncFile.cpp, src/EncFile.hpp, 
    src/FileFinder.cpp, src/FileFinder.hpp, src/FilePath.cpp, 
    src/FilePath.hpp, src/FileSystem.cpp, src/FileSystem.hpp, 
    src/FixWord.hpp, src/Font.cpp, src/Font.hpp, src/FontCache.cpp, 
    src/FontCache.hpp, src/FontEncoding.cpp, src/FontEncoding.hpp, 
    src/FontEngine.cpp, src/FontEngine.hpp, src/FontManager.cpp, 
    src/FontManager.hpp, src/FontMap.cpp, src/FontMap.hpp, 
    src/FontMetrics.cpp, src/FontMetrics.hpp, src/FontStyle.hpp, 
    src/FontWriter.cpp, src/FontWriter.hpp, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.hpp, src/GFReader.cpp, src/GFReader.hpp, 
    src/GFTracer.cpp, src/GFTracer.hpp, src/Ghostscript.cpp, 
    src/Ghostscript.hpp, src/Glyph.hpp, src/GlyphTracerMessages.hpp, 
    src/GraphicsPath.hpp, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.hpp, src/InputBuffer.cpp, src/InputBuffer.hpp, 
    src/InputReader.cpp, src/InputReader.hpp, src/JFM.cpp, src/JFM.hpp, 
    src/Length.cpp, src/Length.hpp, src/Makefile.am, src/Makefile.old, 
    src/MapLine.cpp, src/MapLine.hpp, src/Matrix.cpp, src/Matrix.hpp, 
    src/Message.cpp, src/Message.hpp, src/MessageException.hpp, 
    src/MetafontWrapper.cpp, src/MetafontWrapper.hpp, src/MiKTeXCom.cpp, 
    src/MiKTeXCom.hpp, src/NoPsSpecialHandler.cpp, 
    src/NoPsSpecialHandler.hpp, src/NumericRanges.hpp, src/PSFilter.hpp, 
    src/PSInterpreter.cpp, src/PSInterpreter.hpp, src/PSPattern.cpp, 
    src/PSPattern.hpp, src/PSPreviewFilter.cpp, src/PSPreviewFilter.hpp, 
    src/PageRanges.cpp, src/PageRanges.hpp, src/PageSize.cpp, 
    src/PageSize.hpp, src/Pair.hpp, src/PapersizeSpecialHandler.cpp, 
    src/PapersizeSpecialHandler.hpp, src/PathClipper.cpp, 
    src/PathClipper.hpp, src/PdfSpecialHandler.cpp, 
    src/PdfSpecialHandler.hpp, src/PreScanDVIReader.cpp, 
    src/PreScanDVIReader.hpp, src/Process.cpp, src/Process.hpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.hpp, src/RangeMap.cpp, 
    src/RangeMap.hpp, src/SVGCharHandler.cpp, src/SVGCharHandler.hpp, 
    src/SVGCharHandlerFactory.cpp, src/SVGCharHandlerFactory.hpp, 
    src/SVGCharPathHandler.cpp, src/SVGCharPathHandler.hpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGCharTspanTextHandler.hpp, 
    src/SVGOutput.cpp, src/SVGOutput.hpp, src/SVGSingleCharTextHandler.cpp, 
    src/SVGSingleCharTextHandler.hpp, src/SVGTree.cpp, src/SVGTree.hpp, 
    src/SWFWriter.cpp, src/SWFWriter.hpp, src/ShadingPatch.cpp, 
    src/ShadingPatch.hpp, src/SignalHandler.cpp, src/SignalHandler.hpp, 
    src/SpecialActions.hpp, src/SpecialHandler.hpp, src/SpecialManager.cpp, 
    src/SpecialManager.hpp, src/StreamReader.cpp, src/StreamReader.hpp, 
    src/StreamWriter.cpp, src/StreamWriter.hpp, src/Subfont.cpp, 
    src/Subfont.hpp, src/System.cpp, src/System.hpp, src/TFM.cpp, 
    src/TFM.hpp, src/TensorProductPatch.cpp, src/TensorProductPatch.hpp, 
    src/Terminal.cpp, src/Terminal.hpp, src/ToUnicodeMap.cpp, 
    src/ToUnicodeMap.hpp, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.hpp, src/TriangularPatch.cpp, 
    src/TriangularPatch.hpp, src/Unicode.cpp, src/Unicode.hpp, 
    src/VFActions.hpp, src/VFReader.cpp, src/VFReader.hpp, 
    src/VectorIterator.hpp, src/VectorStream.hpp, src/XMLDocument.cpp, 
    src/XMLDocument.hpp, src/XMLNode.cpp, src/XMLNode.hpp, src/XMLString.cpp, 
    src/XMLString.hpp, src/ZLibOutputStream.hpp, src/dvisvgm.cpp, 
    src/ffwrapper.c, src/ffwrapper.h, src/macros.hpp, src/options.dtd, 
    src/options.xml, src/psdefs.cpp, src/psdefs.ps, src/version.hpp, 
    src/version.hpp.in, tests/BezierTest.cpp, tests/BitmapTest.cpp, 
    tests/BoundingBoxTest.cpp, tests/CMapManagerTest.cpp, 
    tests/CMapReaderTest.cpp, tests/CMapTest.cpp, tests/CRC32Test.cpp, 
    tests/CalculatorTest.cpp, tests/ColorSpecialTest.cpp, 
    tests/ColorTest.cpp, tests/CommandLineTest.cpp, 
    tests/DependencyGraphTest.cpp, tests/DirectoryTest.cpp, 
    tests/DvisvgmSpecialTest.cpp, tests/EmSpecialTest.cpp, 
    tests/FileFinderTest.cpp, tests/FilePathTest.cpp, 
    tests/FileSystemTest.cpp, tests/FontManagerTest.cpp, 
    tests/FontMapTest.cpp, tests/GFGlyphTracerTest.cpp, 
    tests/GFReaderTest.cpp, tests/GraphicsPathTest.cpp, 
    tests/JFMReaderTest.cpp, tests/LengthTest.cpp, tests/Makefile.am, 
    tests/MapLineTest.cpp, tests/MatrixTest.cpp, 
    tests/MessageExceptionTest.cpp, tests/PSInterpreterTest.cpp, 
    tests/PageRagesTest.cpp, tests/PageSizeTest.cpp, tests/PairTest.cpp, 
    tests/RangeMapTest.cpp, tests/SVGOutputTest.cpp, 
    tests/ShadingPatchTest.cpp, tests/SplittedCharInputBufferTest.cpp, 
    tests/StreamInputBufferTest.cpp, tests/StreamReaderTest.cpp, 
    tests/StreamWriterTest.cpp, tests/SubfontTest.cpp, 
    tests/TFMReaderTest.cpp, tests/TensorProductPatchTest.cpp, 
    tests/ToUnicodeMapTest.cpp, tests/TriangularPatchTest.cpp, 
    tests/UnicodeTest.cpp, tests/VectorIteratorTest.cpp, 
    tests/VectorStreamTest.cpp, tests/XMLNodeTest.cpp, 
    tests/XMLStringTest.cpp, tests/check-conv, tests/create-makefile, 
    tests/data/Makefile.am, tests/genhashcheck.py, tests/normalize.xsl: 
  updated year in copyright statements to 2017 

2016-12-20  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am, doc/conf-dblatex-pdf.xsl, doc/db2html.xsl, 
    doc/dvisvgm.txt.in, doc/dvisvgm.xpr, doc/tweak-db-article.xsl: 
  manpage: minor refactorings of the XSLT scripts; added generation of 
  epub 

2016-12-16  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/conf-dblatex-pdf.xsl, doc/tweak-dblatex-pdf.xsl: 
  manpage: use mixed case titles in pdf output 

  * doc/db2html.xsl: 
  manpage: replace icon of Author section 

  * doc/conf-dblatex-man.xsl, doc/conf-dblatex-pdf.xsl, 
    doc/tweak-dblatex-pdf.xsl: 
  indent with tabs rather than spaces 

  * doc/conf-dblatex-man.xsl, doc/conf-dblatex-pdf.xsl, doc/db2html.xsl, 
    doc/tweak-dblatex-pdf.xsl: 
  added missing email address to copyright headers 

2016-12-15  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/db2html.xsl, doc/dvisvgm.xpr: 
  manpage: preserve whitespace in list of supported specials 

2016-11-16  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac: 
  ensure compiling C files with --std=c99 

2016-11-14  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

2016-11-12  Martin Gieseking  <martin.gieseking@uos.de>

  * .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.0.4 

  * configure.ac, libs/Makefile.am, libs/clipper/Makefile.am, 
    libs/ff-woff/Makefile.am, libs/woff2/Makefile.am, 
    libs/woff2/brotli/Makefile.am, libs/woff2/brotli/enc/Makefile.am, 
    libs/woff2/src/Makefile.am, src/Makefile.am: 
  added license files of bundled libraries; relocated Makefiles 

  * README, README.md, configure.ac, libs/Makefile.am, libs/ff-woff/LICENSE, 
    libs/ff-woff/Makefile.am, libs/ff-woff/README.md, 
    libs/ff-woff/fontforge/PfEd.h, libs/ff-woff/fontforge/alphabet.c, 
    libs/ff-woff/fontforge/asmfpst.c, libs/ff-woff/fontforge/autohint.c, 
    libs/ff-woff/fontforge/char.c, libs/ff-woff/fontforge/cjk.c, 
    libs/ff-woff/fontforge/configure-fontforge.h, 
    libs/ff-woff/fontforge/cvundoes.c, libs/ff-woff/fontforge/dumppfa.c, 
    libs/ff-woff/fontforge/edgelist.h, libs/ff-woff/fontforge/edgelist2.h, 
    libs/ff-woff/fontforge/encoding.c, libs/ff-woff/fontforge/encoding.h, 
    libs/ff-woff/fontforge/fontforge-config.h, 
    libs/ff-woff/fontforge/fontforge.h, libs/ff-woff/fontforge/fontforgevw.h, 
    libs/ff-woff/fontforge/fvfonts.c, libs/ff-woff/fontforge/gwwiconv.c, 
    libs/ff-woff/fontforge/libffstamp.h, libs/ff-woff/fontforge/lookups.c, 
    libs/ff-woff/fontforge/macbinary.c, libs/ff-woff/fontforge/macenc.c, 
    libs/ff-woff/fontforge/mathconstants.c, libs/ff-woff/fontforge/memory.c, 
    libs/ff-woff/fontforge/mm.c, libs/ff-woff/fontforge/namehash.h, 
    libs/ff-woff/fontforge/namelist.c, libs/ff-woff/fontforge/nouiutil.c, 
    libs/ff-woff/fontforge/nowakowskittfinstr.c, 
    libs/ff-woff/fontforge/parsepfa.c, libs/ff-woff/fontforge/parsettf.c, 
    libs/ff-woff/fontforge/parsettfatt.c, libs/ff-woff/fontforge/psfont.h, 
    libs/ff-woff/fontforge/psread.c, libs/ff-woff/fontforge/pua.c, 
    libs/ff-woff/fontforge/sd.h, libs/ff-woff/fontforge/sfd.c, 
    libs/ff-woff/fontforge/sfd1.c, libs/ff-woff/fontforge/sfd1.h, 
    libs/ff-woff/fontforge/splinechar.c, libs/ff-woff/fontforge/splinefont.c, 
    libs/ff-woff/fontforge/splinefont.h, 
    libs/ff-woff/fontforge/splineorder2.c, 
    libs/ff-woff/fontforge/splineoverlap.c, 
    libs/ff-woff/fontforge/splinerefigure.c, 
    libs/ff-woff/fontforge/splinesave.c, 
    libs/ff-woff/fontforge/splinesaveafm.c, 
    libs/ff-woff/fontforge/splineutil.c, 
    libs/ff-woff/fontforge/splineutil2.c, libs/ff-woff/fontforge/start.c, 
    libs/ff-woff/fontforge/stemdb.c, libs/ff-woff/fontforge/stemdb.h, 
    libs/ff-woff/fontforge/tables.h, libs/ff-woff/fontforge/tottf.c, 
    libs/ff-woff/fontforge/tottfaat.c, libs/ff-woff/fontforge/tottfgpos.c, 
    libs/ff-woff/fontforge/tottfvar.c, libs/ff-woff/fontforge/ttf.h, 
    libs/ff-woff/fontforge/ttfinstrs.c, libs/ff-woff/fontforge/ttfinstrs.h, 
    libs/ff-woff/fontforge/ttfspecial.c, 
    libs/ff-woff/fontforge/uiinterface.h, libs/ff-woff/fontforge/unialt.c, 
    libs/ff-woff/fontforge/ustring.c, libs/ff-woff/fontforge/utils.c, 
    libs/ff-woff/fontforge/utype.c, libs/ff-woff/fontforge/woff.c, 
    libs/ff-woff/inc/basics.h, libs/ff-woff/inc/chardata.h, 
    libs/ff-woff/inc/charset.h, libs/ff-woff/inc/dlist.h, 
    libs/ff-woff/inc/gimage.h, libs/ff-woff/inc/gnetwork.h, 
    libs/ff-woff/inc/gwwiconv.h, libs/ff-woff/inc/intl.h, 
    libs/ff-woff/inc/ustring.h, libs/ff-woff/inc/utype.h, src/Makefile.am: 
  bundle reduced fontforge library (ff-woff) 

  * doc/dvisvgm.txt.in: 
  minor changes in manpage 

2016-11-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BasicDVIReader.cpp, src/BasicDVIReader.hpp, src/DVIReader.cpp, 
    src/DVIReader.hpp: 
  use const variables for DVI opcodes rather than the values directly 

  * src/CommandLine.hpp, src/options.xml: 
  fixed a typo in the --help output 

2016-11-01  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontWriter.cpp: 
  few cosmetic changes; added comments 

2016-09-27  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, README, README.md: 
  updated NEWS and README 

  * .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.0.3 

2016-09-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp: 
  fixed positioning of rules 

  * src/DVIReader.cpp, src/DVIReader.hpp, src/DVIToSVG.cpp, 
    src/DVIToSVG.hpp: 
  dropped tracking of previous DVI state from DVIReader 

2016-09-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/DVIReader.hpp, src/DVIToSVG.cpp: 
  fixed regression in character positioning of of virtual fonts 

2016-09-18  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, README.md: 
  updated NEWS and README 

  * .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.0.2 

  * src/RangeMap.cpp: 
  don't decrement iterator if it points to begin() 

  * src/DVIReader.cpp: 
  fixed type regression in computation of DVI positions (closes #61) 

2016-09-03  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, README, README.md: 
  updated NEWS and README 

  * .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.0.1 

2016-08-31  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/FontWriter.cpp, src/FontWriter.hpp, 
    src/SVGTree.cpp, src/SVGTree.hpp, src/ffwrapper.c: 
  added option to autohint fonts created by the FontForge library 

  * README, README.md: 
  added link to reduced FF library to README 

2016-08-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.hpp, src/FontManager.hpp, src/MetafontWrapper.hpp: 
  adapted struct/class forward declarations 

2016-08-28  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * README, README.md: 
  updated README files 

  * .travis.yml, configure.ac, src/Doxyfile, src/version.hpp: 
  set version to 2.0 

  * src/CLCommandLine.cpp: 
  added missing cast to avoid compiler warning 

  * src/FileFinder.cpp, src/FileFinder.hpp: 
  removed unused variable 

2016-08-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontWriter.cpp, src/FontWriter.hpp, src/ffwrapper.c, 
    src/ffwrapper.h: 
  added missing copyright headers 

2016-08-25  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, doc/dvisvgm.txt.in, libs/Makefile.am, libs/woff2/LICENSE, 
    libs/woff2/brotli/LICENSE, libs/woff2/brotli/enc/Makefile.am, 
    libs/woff2/brotli/enc/backward_references.cc, 
    libs/woff2/brotli/enc/backward_references.h, 
    libs/woff2/brotli/enc/bit_cost.h, 
    libs/woff2/brotli/enc/block_splitter.cc, 
    libs/woff2/brotli/enc/block_splitter.h, 
    libs/woff2/brotli/enc/brotli_bit_stream.cc, 
    libs/woff2/brotli/enc/brotli_bit_stream.h, 
    libs/woff2/brotli/enc/cluster.h, libs/woff2/brotli/enc/command.h, 
    libs/woff2/brotli/enc/compress_fragment.cc, 
    libs/woff2/brotli/enc/compress_fragment.h, 
    libs/woff2/brotli/enc/compress_fragment_two_pass.cc, 
    libs/woff2/brotli/enc/compress_fragment_two_pass.h, 
    libs/woff2/brotli/enc/compressor.h, libs/woff2/brotli/enc/context.h, 
    libs/woff2/brotli/enc/dictionary.cc, libs/woff2/brotli/enc/dictionary.h, 
    libs/woff2/brotli/enc/dictionary_hash.h, libs/woff2/brotli/enc/encode.cc, 
    libs/woff2/brotli/enc/encode.h, libs/woff2/brotli/enc/encode_parallel.cc, 
    libs/woff2/brotli/enc/encode_parallel.h, 
    libs/woff2/brotli/enc/entropy_encode.cc, 
    libs/woff2/brotli/enc/entropy_encode.h, 
    libs/woff2/brotli/enc/entropy_encode_static.h, 
    libs/woff2/brotli/enc/fast_log.h, 
    libs/woff2/brotli/enc/find_match_length.h, libs/woff2/brotli/enc/hash.h, 
    libs/woff2/brotli/enc/histogram.cc, libs/woff2/brotli/enc/histogram.h, 
    libs/woff2/brotli/enc/literal_cost.cc, 
    libs/woff2/brotli/enc/literal_cost.h, libs/woff2/brotli/enc/metablock.cc, 
    libs/woff2/brotli/enc/metablock.h, libs/woff2/brotli/enc/port.h, 
    libs/woff2/brotli/enc/prefix.h, libs/woff2/brotli/enc/ringbuffer.h, 
    libs/woff2/brotli/enc/static_dict.cc, 
    libs/woff2/brotli/enc/static_dict.h, 
    libs/woff2/brotli/enc/static_dict_lut.h, 
    libs/woff2/brotli/enc/streams.cc, libs/woff2/brotli/enc/streams.h, 
    libs/woff2/brotli/enc/transform.h, libs/woff2/brotli/enc/types.h, 
    libs/woff2/brotli/enc/utf8_util.cc, libs/woff2/brotli/enc/utf8_util.h, 
    libs/woff2/brotli/enc/write_bits.h, libs/woff2/brotli/tools/bro.cc, 
    libs/woff2/brotli/tools/rfc-format.py, libs/woff2/brotli/tools/version.h, 
    libs/woff2/src/Makefile.am, libs/woff2/src/buffer.h, 
    libs/woff2/src/file.h, libs/woff2/src/font.cc, libs/woff2/src/font.h, 
    libs/woff2/src/glyph.cc, libs/woff2/src/glyph.h, 
    libs/woff2/src/normalize.cc, libs/woff2/src/normalize.h, 
    libs/woff2/src/port.h, libs/woff2/src/round.h, 
    libs/woff2/src/store_bytes.h, libs/woff2/src/table_tags.cc, 
    libs/woff2/src/table_tags.h, libs/woff2/src/transform.cc, 
    libs/woff2/src/transform.h, libs/woff2/src/variable_length.cc, 
    libs/woff2/src/variable_length.h, libs/woff2/src/woff2_common.cc, 
    libs/woff2/src/woff2_common.h, libs/woff2/src/woff2_dec.h, 
    libs/woff2/src/woff2_enc.cc, libs/woff2/src/woff2_enc.h, 
    libs/woff2/src/woff2_out.cc, libs/woff2/src/woff2_out.h, 
    src/FontWriter.cpp, src/FontWriter.hpp, src/Makefile.am: 
  added support for embedding WOFF2 fonts 

  * Makefile.am, clipper/License.txt, clipper/Makefile.am, 
    clipper/clipper.cpp, clipper/clipper.hpp, configure.ac, libs/Makefile.am, 
    libs/clipper/License.txt, libs/clipper/Makefile.am, 
    libs/clipper/clipper.cpp, libs/clipper/clipper.hpp, libs/xxHash/LICENSE, 
    libs/xxHash/Makefile.am, libs/xxHash/xxhash-fileno.patch, 
    libs/xxHash/xxhash.c, libs/xxHash/xxhash.h, libs/xxHash/xxhsum.c, 
    src/Makefile.am, tests/Makefile.am, tests/create-makefile, 
    xxHash/LICENSE, xxHash/Makefile.am, xxHash/xxhash-fileno.patch, 
    xxHash/xxhash.c, xxHash/xxhash.h, xxHash/xxhsum.c: 
  moved bundled libraries (clipper, xxHash) to subfolder 'libs' 

2016-08-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLNode.hpp: 
  added move constructors to XMLNode classes 

2016-08-23  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, doc/dvisvgm.txt.in, src/CommandLine.hpp, 
    src/FontWriter.cpp, src/FontWriter.hpp, src/GraphicsPath.hpp, 
    src/Makefile.am, src/SVGTree.cpp, src/SVGTree.hpp, src/XMLNode.cpp, 
    src/XMLNode.hpp, src/dvisvgm.cpp, src/ffwrapper.c, src/ffwrapper.h, 
    src/options.xml: 
  added option --font-format to select the file format used to embed fonts 

  * src/FontEngine.cpp: 
  fixed sign of the font descender 

2016-08-22  Martin Gieseking  <martin.gieseking@uos.de>

  * xxHash/xxhash.c, xxHash/xxhash.h, xxHash/xxhsum.c: 
  updated xxHash to version 0.6.2 

2016-08-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FixWord.hpp, src/Font.cpp, src/FontMetrics.hpp, src/SVGTree.cpp, 
    src/TFM.cpp, src/TFM.hpp: 
  added getters for ascent and descent to TFM-based fonts 

2016-08-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PathClipper.cpp: 
  added missing initializers 

  * src/Ghostscript.hpp: 
  removed copy constructor of class Ghostscript 

2016-08-13  Martin Gieseking  <martin.gieseking@uos.de>

  * CMakeLists.txt, configure.ac, src/CLCommandLine.cpp, 
    src/CLCommandLine.hpp, src/CommandLine.hpp, src/Makefile.am, 
    src/dvisvgm.cpp, src/options.dtd, src/options.xml, src/version.hpp, 
    src/version.hpp.in: 
  added version.hpp to provide the current version number 

2016-08-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/MiKTeX209-session_i.c: 
  added Makefile rule to invocate midl automatically if MiKTeX's COM 
  interface changes 

2016-08-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.cpp, src/MiKTeXCom.cpp: 
  replaced __WIN64__ with pre-defined _WIN64 

  * src/System.cpp, src/dvisvgm.cpp: 
  minor refactorings of dvisvgm.cpp 

  * src/DVIReader.cpp, src/DVIReader.hpp, src/Directory.cpp, 
    src/Directory.hpp, src/FilePath.cpp, src/FilePath.hpp, src/Font.cpp, 
    src/Font.hpp, src/FontManager.cpp, src/FontManager.hpp, src/GFReader.hpp, 
    src/PageRanges.cpp, src/PageRanges.hpp, src/PageSize.cpp, 
    src/PageSize.hpp, src/SVGOutput.cpp, src/SVGOutput.hpp, 
    src/VFActions.hpp, src/VFReader.cpp: 
  pass string parameters by reference if possible 

2016-08-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMap.cpp, src/CMapManager.cpp, src/CMapReader.cpp, src/EncFile.cpp, 
    src/FileFinder.cpp, src/FileFinder.hpp, src/Font.cpp, 
    src/FontEncoding.cpp, src/FontManager.cpp, src/FontMap.cpp, 
    src/FontMetrics.cpp, src/Ghostscript.cpp, src/MetafontWrapper.cpp, 
    src/PsSpecialHandler.cpp, src/Subfont.cpp, src/dvisvgm.cpp, 
    tests/CMapManagerTest.cpp, tests/FileFinderTest.cpp, 
    tests/MapLineTest.cpp, tests/SubfontTest.cpp: 
  made FileFinder a singleton again 

  * CMakeLists.txt, src/CLCommandLine.cpp, src/CLCommandLine.hpp, 
    src/CLOption.hpp, src/CmdLineParserBase.cpp, src/CmdLineParserBase.hpp, 
    src/CommandLine.cpp, src/CommandLine.hpp, src/Makefile.am, 
    src/dvisvgm.cpp, src/options.dtd, src/options.xml, 
    tests/CommandLineTest.cpp: 
  reimplemented the CommandLine parser class 

2016-07-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BgColorSpecialHandler.cpp, src/BoundingBox.cpp, 
    src/DvisvgmSpecialHandler.cpp, src/EmSpecialHandler.cpp, 
    src/FileSystem.cpp, src/FontCache.cpp, src/FontEngine.cpp, 
    src/FontManager.cpp, src/GraphicsPath.hpp, src/PSInterpreter.cpp, 
    src/PapersizeSpecialHandler.cpp, src/PathClipper.cpp, src/RangeMap.cpp, 
    src/Subfont.cpp, src/TpicSpecialHandler.cpp, src/XMLDocument.cpp, 
    src/XMLNode.cpp, src/genhashmap.cpp: 
  replaced insert/push_back with emplace/emplace_back where useful 

2016-07-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMapReader.cpp: 
  minor refactoring of class CMapReader 

  * src/PathClipper.cpp: 
  some minor refactorings of class PathClipper 

2016-07-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontManager.cpp, src/FontManager.hpp: 
  use unique_ptr to automatically release Font objects in class 
  FontManager 

  * src/FontMap.cpp, src/FontMap.hpp: 
  some syntactic refactorings of class FontMap 

2016-07-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/AGLTable.h, src/AGLTable.hpp, src/BasicDVIReader.cpp, 
    src/BasicDVIReader.h, src/BasicDVIReader.hpp, src/Bezier.cpp, 
    src/Bezier.h, src/Bezier.hpp, src/BgColorSpecialHandler.cpp, 
    src/BgColorSpecialHandler.h, src/BgColorSpecialHandler.hpp, 
    src/Bitmap.cpp, src/Bitmap.h, src/Bitmap.hpp, src/BoundingBox.cpp, 
    src/BoundingBox.h, src/BoundingBox.hpp, src/CMap.cpp, src/CMap.h, 
    src/CMap.hpp, src/CMapManager.cpp, src/CMapManager.h, 
    src/CMapManager.hpp, src/CMapReader.cpp, src/CMapReader.h, 
    src/CMapReader.hpp, src/CRC32.cpp, src/CRC32.h, src/CRC32.hpp, 
    src/Calculator.cpp, src/Calculator.h, src/Calculator.hpp, 
    src/CharMapID.cpp, src/CharMapID.h, src/CharMapID.hpp, src/Character.h, 
    src/Character.hpp, src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, 
    src/CmdLineParserBase.hpp, src/Color.cpp, src/Color.h, src/Color.hpp, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, 
    src/ColorSpecialHandler.hpp, src/CommandLine.cpp, src/CommandLine.h, 
    src/CommandLine.hpp, src/DLLoader.cpp, src/DLLoader.h, src/DLLoader.hpp, 
    src/DVIActions.h, src/DVIActions.hpp, src/DVIReader.cpp, src/DVIReader.h, 
    src/DVIReader.hpp, src/DVIToSVG.cpp, src/DVIToSVG.h, src/DVIToSVG.hpp, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/DVIToSVGActions.hpp, 
    src/DependencyGraph.h, src/DependencyGraph.hpp, src/Directory.cpp, 
    src/Directory.h, src/Directory.hpp, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.h, src/DvisvgmSpecialHandler.hpp, 
    src/EPSFile.cpp, src/EPSFile.h, src/EPSFile.hpp, src/EPSToSVG.cpp, 
    src/EPSToSVG.h, src/EPSToSVG.hpp, src/EmSpecialHandler.cpp, 
    src/EmSpecialHandler.h, src/EmSpecialHandler.hpp, src/EncFile.cpp, 
    src/EncFile.h, src/EncFile.hpp, src/FileFinder.cpp, src/FileFinder.h, 
    src/FileFinder.hpp, src/FilePath.cpp, src/FilePath.h, src/FilePath.hpp, 
    src/FileSystem.cpp, src/FileSystem.h, src/FileSystem.hpp, src/FixWord.h, 
    src/FixWord.hpp, src/Font.cpp, src/Font.h, src/Font.hpp, 
    src/FontCache.cpp, src/FontCache.h, src/FontCache.hpp, 
    src/FontEncoding.cpp, src/FontEncoding.h, src/FontEncoding.hpp, 
    src/FontEngine.cpp, src/FontEngine.h, src/FontEngine.hpp, 
    src/FontManager.cpp, src/FontManager.h, src/FontManager.hpp, 
    src/FontMap.cpp, src/FontMap.h, src/FontMap.hpp, src/FontMetrics.cpp, 
    src/FontMetrics.h, src/FontMetrics.hpp, src/FontStyle.h, 
    src/FontStyle.hpp, src/GFGlyphTracer.cpp, src/GFGlyphTracer.h, 
    src/GFGlyphTracer.hpp, src/GFReader.cpp, src/GFReader.h, 
    src/GFReader.hpp, src/GFTracer.cpp, src/GFTracer.h, src/GFTracer.hpp, 
    src/Ghostscript.cpp, src/Ghostscript.h, src/Ghostscript.hpp, src/Glyph.h, 
    src/Glyph.hpp, src/GlyphTracerMessages.h, src/GlyphTracerMessages.hpp, 
    src/GraphicsPath.h, src/GraphicsPath.hpp, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.h, src/HtmlSpecialHandler.hpp, 
    src/InputBuffer.cpp, src/InputBuffer.h, src/InputBuffer.hpp, 
    src/InputReader.cpp, src/InputReader.h, src/InputReader.hpp, src/JFM.cpp, 
    src/JFM.h, src/JFM.hpp, src/Length.cpp, src/Length.h, src/Length.hpp, 
    src/Makefile.am, src/MapLine.cpp, src/MapLine.h, src/MapLine.hpp, 
    src/Matrix.cpp, src/Matrix.h, src/Matrix.hpp, src/Message.cpp, 
    src/Message.h, src/Message.hpp, src/MessageException.h, 
    src/MessageException.hpp, src/MetafontWrapper.cpp, src/MetafontWrapper.h, 
    src/MetafontWrapper.hpp, src/MiKTeXCom.cpp, src/MiKTeXCom.h, 
    src/MiKTeXCom.hpp, src/NoPsSpecialHandler.cpp, src/NoPsSpecialHandler.h, 
    src/NoPsSpecialHandler.hpp, src/NumericRanges.h, src/NumericRanges.hpp, 
    src/PSFilter.h, src/PSFilter.hpp, src/PSInterpreter.cpp, 
    src/PSInterpreter.h, src/PSInterpreter.hpp, src/PSPattern.cpp, 
    src/PSPattern.h, src/PSPattern.hpp, src/PSPreviewFilter.cpp, 
    src/PSPreviewFilter.h, src/PSPreviewFilter.hpp, src/PageRanges.cpp, 
    src/PageRanges.h, src/PageRanges.hpp, src/PageSize.cpp, src/PageSize.h, 
    src/PageSize.hpp, src/Pair.h, src/Pair.hpp, 
    src/PapersizeSpecialHandler.cpp, src/PapersizeSpecialHandler.h, 
    src/PapersizeSpecialHandler.hpp, src/PathClipper.cpp, src/PathClipper.h, 
    src/PathClipper.hpp, src/PdfSpecialHandler.cpp, src/PdfSpecialHandler.h, 
    src/PdfSpecialHandler.hpp, src/PreScanDVIReader.cpp, 
    src/PreScanDVIReader.h, src/PreScanDVIReader.hpp, src/Process.cpp, 
    src/Process.h, src/Process.hpp, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/PsSpecialHandler.hpp, src/RangeMap.cpp, 
    src/RangeMap.h, src/RangeMap.hpp, src/SVGCharHandler.cpp, 
    src/SVGCharHandler.h, src/SVGCharHandler.hpp, 
    src/SVGCharHandlerFactory.cpp, src/SVGCharHandlerFactory.h, 
    src/SVGCharHandlerFactory.hpp, src/SVGCharPathHandler.cpp, 
    src/SVGCharPathHandler.h, src/SVGCharPathHandler.hpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGCharTspanTextHandler.h, 
    src/SVGCharTspanTextHandler.hpp, src/SVGOutput.cpp, src/SVGOutput.h, 
    src/SVGOutput.hpp, src/SVGSingleCharTextHandler.cpp, 
    src/SVGSingleCharTextHandler.h, src/SVGSingleCharTextHandler.hpp, 
    src/SVGTree.cpp, src/SVGTree.h, src/SVGTree.hpp, src/SWFWriter.cpp, 
    src/SWFWriter.h, src/SWFWriter.hpp, src/ShadingPatch.cpp, 
    src/ShadingPatch.h, src/ShadingPatch.hpp, src/SignalHandler.cpp, 
    src/SignalHandler.h, src/SignalHandler.hpp, src/SpecialActions.h, 
    src/SpecialActions.hpp, src/SpecialHandler.h, src/SpecialHandler.hpp, 
    src/SpecialManager.cpp, src/SpecialManager.h, src/SpecialManager.hpp, 
    src/StreamReader.cpp, src/StreamReader.h, src/StreamReader.hpp, 
    src/StreamWriter.cpp, src/StreamWriter.h, src/StreamWriter.hpp, 
    src/Subfont.cpp, src/Subfont.h, src/Subfont.hpp, src/System.cpp, 
    src/System.h, src/System.hpp, src/TFM.cpp, src/TFM.h, src/TFM.hpp, 
    src/TensorProductPatch.cpp, src/TensorProductPatch.h, 
    src/TensorProductPatch.hpp, src/Terminal.cpp, src/Terminal.h, 
    src/Terminal.hpp, src/ToUnicodeMap.cpp, src/ToUnicodeMap.h, 
    src/ToUnicodeMap.hpp, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.h, src/TpicSpecialHandler.hpp, 
    src/TriangularPatch.cpp, src/TriangularPatch.h, src/TriangularPatch.hpp, 
    src/Unicode.cpp, src/Unicode.h, src/Unicode.hpp, src/VFActions.h, 
    src/VFActions.hpp, src/VFReader.cpp, src/VFReader.h, src/VFReader.hpp, 
    src/VectorIterator.h, src/VectorIterator.hpp, src/VectorStream.h, 
    src/VectorStream.hpp, src/XMLDocument.cpp, src/XMLDocument.h, 
    src/XMLDocument.hpp, src/XMLNode.cpp, src/XMLNode.h, src/XMLNode.hpp, 
    src/XMLString.cpp, src/XMLString.h, src/XMLString.hpp, 
    src/ZLibOutputStream.h, src/ZLibOutputStream.hpp, src/dvisvgm.cpp, 
    src/macros.h, src/macros.hpp, src/psdefs.cpp, tests/BezierTest.cpp, 
    tests/BitmapTest.cpp, tests/BoundingBoxTest.cpp, 
    tests/CMapManagerTest.cpp, tests/CMapReaderTest.cpp, tests/CMapTest.cpp, 
    tests/CRC32Test.cpp, tests/CalculatorTest.cpp, 
    tests/ColorSpecialTest.cpp, tests/ColorTest.cpp, 
    tests/CommandLineTest.cpp, tests/DependencyGraphTest.cpp, 
    tests/DirectoryTest.cpp, tests/DvisvgmSpecialTest.cpp, 
    tests/EmSpecialTest.cpp, tests/FileFinderTest.cpp, 
    tests/FilePathTest.cpp, tests/FileSystemTest.cpp, 
    tests/FontManagerTest.cpp, tests/FontMapTest.cpp, 
    tests/GFGlyphTracerTest.cpp, tests/GFReaderTest.cpp, 
    tests/GhostscriptTest.cpp, tests/GraphicsPathTest.cpp, 
    tests/JFMReaderTest.cpp, tests/LengthTest.cpp, tests/Makefile.am, 
    tests/MapLineTest.cpp, tests/MatrixTest.cpp, 
    tests/MessageExceptionTest.cpp, tests/PSInterpreterTest.cpp, 
    tests/PageRagesTest.cpp, tests/PageSizeTest.cpp, tests/PairTest.cpp, 
    tests/RangeMapTest.cpp, tests/SVGOutputTest.cpp, 
    tests/ShadingPatchTest.cpp, tests/SplittedCharInputBufferTest.cpp, 
    tests/StreamInputBufferTest.cpp, tests/StreamReaderTest.cpp, 
    tests/StreamWriterTest.cpp, tests/SubfontTest.cpp, 
    tests/TFMReaderTest.cpp, tests/TensorProductPatchTest.cpp, 
    tests/ToUnicodeMapTest.cpp, tests/TriangularPatchTest.cpp, 
    tests/UnicodeTest.cpp, tests/VectorIteratorTest.cpp, 
    tests/VectorStreamTest.cpp, tests/XMLNodeTest.cpp, 
    tests/XMLStringTest.cpp, tests/create-makefile: 
  renamed filename extension of C++ headers to .hpp 

2016-07-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp, src/DVIToSVGActions.h: 
  create BoxMap object directly, avoid new/delete 

  * src/CMapManager.cpp, src/CMapManager.h, src/FileFinder.cpp, 
    src/Font.cpp, src/Font.h, src/XMLDocument.cpp, src/XMLDocument.h, 
    src/XMLNode.cpp, src/XMLNode.h, tests/XMLNodeTest.cpp: 
  use smart pointers to release heap memory 

  * src/genhashmap.cpp, src/glyphlist.txt: 
  added genhashmap (generates AGLTable.h from glyphlist.txt) 

2016-07-19  Martin Gieseking  <martin.gieseking@uos.de>

  * src/AGLTable.h, src/Color.cpp, src/Unicode.cpp, tests/genhashcheck.py: 
  replaced repeated binary search implementations with calls of 
  lower_bound() 

2016-07-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp, src/Message.cpp: 
  initialize maps with initializer-lists 

2016-07-05  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Length.cpp, src/TpicSpecialHandler.cpp: 
  replaced 'id macros' with constexpr functions 

2016-07-04  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, README.md: 
  updated NEWS and README 

  * .travis.yml, configure.ac, src/Doxyfile: 
  set version to 1.16 

  * src/dvisvgm.cpp: 
  catch exception in set_cache_dir() 

  * src/TFM.cpp: 
  added missing initializers 

2016-07-03  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/DVIReader.h, src/Font.cpp, src/Font.h, 
    src/FontManager.cpp, src/FontManager.h, src/VFActions.h, 
    src/VFReader.cpp: 
  transfer DVI snippet of a VF char by move semantics rather than by heap 
  pointer 

  * AUTHORS, LGPL-2.1.txt, Makefile.am, gzstream/COPYING.LIB, 
    gzstream/Makefile, gzstream/README, gzstream/gzstream.cpp, 
    gzstream/gzstream.h, gzstream/index.html, gzstream/logo.gif, 
    gzstream/test_gunzip.C, gzstream/test_gzip.C, gzstream/version, 
    src/Makefile.am, src/SVGOutput.cpp, src/SVGOutput.h, 
    src/ZLibOutputStream.h, src/dvisvgm.cpp, src/gzstream.cpp, 
    src/gzstream.h, tests/Makefile.am, tests/SVGOutputTest.cpp, 
    tests/create-makefile: 
  replaced old gzstream classes 

  * clipper/clipper.hpp, src/AGLTable.h, src/BasicDVIReader.cpp, 
    src/Bitmap.cpp, src/Bitmap.h, src/BoundingBox.h, src/CMap.cpp, 
    src/CMap.h, src/CMapReader.cpp, src/CRC32.cpp, src/CRC32.h, 
    src/CharMapID.h, src/Character.h, src/Color.cpp, src/Color.h, 
    src/DVIActions.h, src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, 
    src/DVIToSVG.h, src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, 
    src/EPSFile.cpp, src/EPSFile.h, src/EncFile.cpp, src/EncFile.h, 
    src/FileSystem.cpp, src/FileSystem.h, src/FixWord.h, src/Font.cpp, 
    src/Font.h, src/FontCache.cpp, src/FontCache.h, src/FontEncoding.cpp, 
    src/FontEncoding.h, src/FontEngine.cpp, src/FontEngine.h, 
    src/FontManager.cpp, src/FontManager.h, src/FontMetrics.cpp, 
    src/FontMetrics.h, src/GFGlyphTracer.cpp, src/GFGlyphTracer.h, 
    src/GFReader.cpp, src/GFReader.h, src/GFTracer.cpp, src/GFTracer.h, 
    src/Glyph.h, src/GlyphTracerMessages.h, src/InputBuffer.cpp, 
    src/InputBuffer.h, src/JFM.cpp, src/JFM.h, src/Makefile.am, 
    src/Message.h, src/Pair.h, src/PathClipper.cpp, src/PreScanDVIReader.cpp, 
    src/PsSpecialHandler.h, src/RangeMap.cpp, src/RangeMap.h, 
    src/SVGCharHandler.h, src/SVGCharPathHandler.cpp, 
    src/SVGCharPathHandler.h, src/SVGCharTspanTextHandler.cpp, 
    src/SVGCharTspanTextHandler.h, src/SVGSingleCharTextHandler.cpp, 
    src/SVGSingleCharTextHandler.h, src/SWFWriter.cpp, src/SWFWriter.h, 
    src/StreamReader.cpp, src/StreamReader.h, src/StreamWriter.cpp, 
    src/StreamWriter.h, src/Subfont.cpp, src/Subfont.h, src/TFM.cpp, 
    src/TFM.h, src/ToUnicodeMap.cpp, src/ToUnicodeMap.h, src/Unicode.cpp, 
    src/Unicode.h, src/VFActions.h, src/VFReader.cpp, src/VFReader.h, 
    src/XMLString.cpp, src/types.h, tests/BitmapTest.cpp, 
    tests/CRC32Test.cpp, tests/ColorSpecialTest.cpp, tests/ColorTest.cpp, 
    tests/GFGlyphTracerTest.cpp, tests/GFReaderTest.cpp, 
    tests/JFMReaderTest.cpp, tests/Makefile.am, tests/StreamReaderTest.cpp, 
    tests/TriangularPatchTest.cpp, tests/TypesTest.cpp, 
    tests/UnicodeTest.cpp: 
  replaced own fixed-sized integer types with types from cstdint 

  * src/CMapReader.cpp, src/CMapReader.h, src/CmdLineParserBase.cpp, 
    src/CmdLineParserBase.h, src/Color.cpp, src/Color.h, src/CommandLine.cpp, 
    src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, 
    src/EmSpecialHandler.cpp, src/Font.cpp, src/Font.h, src/FontManager.cpp, 
    src/GraphicsPath.h, src/HtmlSpecialHandler.cpp, src/HtmlSpecialHandler.h, 
    src/Length.cpp, src/Length.h, src/PathClipper.cpp, 
    src/PsSpecialHandler.cpp, src/SVGTree.cpp, src/ShadingPatch.cpp, 
    src/TensorProductPatch.h, tests/BoundingBoxTest.cpp, 
    tests/LengthTest.cpp, tests/ShadingPatchTest.cpp, 
    tests/TensorProductPatchTest.cpp, tests/TriangularPatchTest.cpp: 
  replaced some enums with enum classes 

  * src/NumericRanges.h, src/PapersizeSpecialHandler.cpp, src/Unicode.cpp, 
    src/VFReader.cpp: 
  replaced static callback functions with lambdas 

  * configure.ac, m4/ax_cxx_compile_stdcxx.m4: 
  switch from C++03 to C++11 

2016-07-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BasicDVIReader.h, src/Bitmap.h, src/CMap.h, src/CmdLineParserBase.h, 
    src/DVIActions.h, src/Font.h, src/FontEncoding.h, src/FontMetrics.h, 
    src/GFGlyphTracer.h, src/GFReader.h, src/GFTracer.h, src/GraphicsPath.h, 
    src/InputBuffer.h, src/InputReader.h, src/MessageException.h, 
    src/PSFilter.h, src/PSInterpreter.h, src/PSPattern.h, 
    src/SVGCharHandler.h, src/SVGOutput.h, src/ShadingPatch.h, 
    src/SpecialActions.h, src/SpecialHandler.h, src/StreamReader.h, 
    src/StreamWriter.h, src/Subfont.h, src/VFActions.h, src/XMLNode.h: 
  replaced empty virtual destructors with default ones 

  * src/PsSpecialHandler.cpp: 
  use unique_ptr rather than deprecated auto_ptr 

  * clipper/clipper.hpp, src/BgColorSpecialHandler.h, src/Bitmap.cpp, 
    src/CMap.h, src/CmdLineParserBase.h, src/ColorSpecialHandler.h, 
    src/CommandLine.h, src/DVIReader.h, src/DVIToSVG.h, 
    src/DVIToSVGActions.h, src/DvisvgmSpecialHandler.h, src/EPSToSVG.h, 
    src/EmSpecialHandler.h, src/EncFile.h, src/Font.h, src/FontCache.cpp, 
    src/FontEncoding.h, src/FontMetrics.h, src/GFGlyphTracer.h, 
    src/GFReader.h, src/GFTracer.h, src/GlyphTracerMessages.h, 
    src/GraphicsPath.h, src/HtmlSpecialHandler.h, src/InputBuffer.h, 
    src/InputReader.h, src/JFM.h, src/MessageException.h, 
    src/NoPsSpecialHandler.h, src/PSPattern.h, src/PSPreviewFilter.h, 
    src/PapersizeSpecialHandler.h, src/PathClipper.cpp, 
    src/PdfSpecialHandler.h, src/PreScanDVIReader.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, 
    src/SVGCharPathHandler.h, src/SVGCharTspanTextHandler.h, src/SVGOutput.h, 
    src/SVGSingleCharTextHandler.h, src/SpecialActions.h, src/TFM.h, 
    src/TensorProductPatch.h, src/TpicSpecialHandler.h, 
    src/TriangularPatch.h, src/VectorStream.h, src/XMLNode.h: 
  mark overridden methods with 'override' keyword 

  * src/Bitmap.cpp, src/BoundingBox.h, src/CMapManager.cpp, 
    src/CmdLineParserBase.cpp, src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h, src/DependencyGraph.h, 
    src/DvisvgmSpecialHandler.cpp, src/EmSpecialHandler.cpp, 
    src/FileFinder.cpp, src/FilePath.cpp, src/FilePath.h, src/Font.cpp, 
    src/FontCache.cpp, src/FontEncoding.cpp, src/FontManager.cpp, 
    src/FontMap.cpp, src/FontMap.h, src/GFReader.cpp, src/GFReader.h, 
    src/GraphicsPath.h, src/HtmlSpecialHandler.cpp, src/NumericRanges.h, 
    src/PSPattern.cpp, src/PsSpecialHandler.cpp, src/SVGTree.cpp, 
    src/SVGTree.h, src/SpecialManager.cpp, src/SpecialManager.h, 
    src/Subfont.cpp, src/Subfont.h, src/TpicSpecialHandler.cpp, 
    src/XMLDocument.cpp, src/XMLNode.cpp, src/XMLString.cpp, src/macros.h: 
  use range-based 'for' loop to iterate over containers; drop FORALL macro 

2016-07-01  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BasicDVIReader.h, src/DVIActions.h, src/DVIReader.cpp, 
    src/DVIReader.h, src/DVIToSVG.cpp, src/DVIToSVG.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/FontManager.cpp, 
    src/FontManager.h, src/PreScanDVIReader.h, src/dvisvgm.cpp: 
  refactored the DVI reader classes
- added higher-level template methods 
  to process the DVI commands more safely
- moved triggering of DVIActions 
  from DVIReader to DVIToSVG 

2016-06-29  Martin Gieseking  <martin.gieseking@uos.de>

  * xxHash/xxhash.c, xxHash/xxhash.h, xxHash/xxhsum.c: 
  updated xxHash to version 0.6.1 

  * src/BoundingBox.cpp, src/BoundingBox.h, src/DVIToSVG.cpp, 
    src/dvisvgm.cpp: 
  fixed computation of bounding boxes modified by relative --bbox argument 

2016-06-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TFM.cpp, tests/JFMReaderTest.cpp, tests/TFMReaderTest.cpp: 
  minor improvements to TFM/JFM tests 

2016-06-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GFReader.cpp: 
  ensure validity of postpost command in GFReader::executePostamble() 

  * src/DVIReader.cpp, src/VectorStream.h, tests/VectorStreamTest.cpp: 
  refactored VectorStreamBuffer to keep constness of assigned vector 

2016-06-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BoundingBox.cpp, src/BoundingBox.h, tests/BoundingBoxTest.cpp: 
  fixed unit conversion in BoundingBox class 

  * src/EmSpecialHandler.cpp, src/EmSpecialHandler.h, 
    tests/EmSpecialTest.cpp, tests/Makefile.am: 
  improved the emTeX special handler; added EmSpecialTest 

  * src/XMLNode.h: 
  added ouput operators for the XML node objects 

  * src/DvisvgmSpecialHandler.cpp, src/TFM.cpp, src/VFReader.cpp: 
  replaced local definitions of pt2bp with Length::pt2bp 

2016-06-13  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/Length.cpp, src/Length.h, tests/LengthTest.cpp: 
  added dd, cc, and sp units to class Length; fixed factor pt2pc 

2016-06-12  Martin Gieseking  <martin.gieseking@uos.de>

  * xxHash/xxhash-fileno.patch, xxHash/xxhsum.c: 
  added xxHash test utility 'xxhsum' 

  * src/DLLoader.cpp, src/DLLoader.h, src/Directory.cpp, src/Directory.h, 
    src/FilePath.cpp, src/FilePath.h, src/FileSystem.cpp, src/GFTracer.cpp, 
    src/Ghostscript.cpp, src/Ghostscript.h, src/Message.cpp, 
    src/MetafontWrapper.cpp, src/Process.cpp, src/Terminal.cpp, 
    src/Terminal.h, src/dvisvgm.cpp: 
  cleaned up Windows-related #defines 

  * xxHash/xxhash.c, xxHash/xxhash.h: 
  updated xxHash to version 0.6.0 

2016-06-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Length.cpp, src/Length.h, tests/LengthTest.cpp: 
  added functions to convert between Length::Unit and std::string 

  * src/CommandLine.cpp: 
  removed redundant #includes 

2016-06-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/SVGCharHandler.h: 
  added missing initializer to class SVGCharHandler 

  * src/CMapManager.cpp, src/CMapManager.h, src/DVIActions.h, 
    src/DVIToSVGActions.h, src/DvisvgmSpecialHandler.h, src/Font.h, 
    src/FontEngine.h, src/FontManager.h, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.h, src/PSPattern.h, src/PSPreviewFilter.h, 
    src/SVGCharHandler.cpp, src/SVGCharHandler.h, src/SVGCharPathHandler.cpp, 
    src/SVGCharTspanTextHandler.cpp, src/SVGSingleCharTextHandler.cpp, 
    src/SVGTree.h, src/SpecialActions.h, src/SpecialHandler.h, 
    src/SpecialManager.h, src/XMLDocument.cpp, src/XMLNode.h, 
    tests/XMLNodeTest.cpp: 
  changed some structs to classes and replaced #includes with forward 
  declarations 

2016-06-03  Martin Gieseking  <martin.gieseking@uos.de>

  * CMakeLists.txt: 
  updated CMakeLists.txt 

  * doc/dvisvgm.txt.in, src/DVIToSVG.cpp, src/Makefile.am, 
    src/PapersizeSpecialHandler.cpp, src/PapersizeSpecialHandler.h, 
    src/PsSpecialHandler.cpp, src/dvisvgm.cpp: 
  added evaluation of PS special 'papersize=' 

  * src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, src/DVIToSVG.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/SVGTree.cpp, 
    src/SVGTree.h: 
  refactored processing of end-of-page (eop) commands 

  * src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.h, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, src/DVIToSVG.cpp, 
    src/DVIToSVGActions.cpp, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.h, src/EPSToSVG.cpp, src/EmSpecialHandler.cpp, 
    src/EmSpecialHandler.h, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.h, src/NoPsSpecialHandler.cpp, 
    src/NoPsSpecialHandler.h, src/PSPattern.cpp, src/PSPattern.h, 
    src/PdfSpecialHandler.cpp, src/PdfSpecialHandler.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/SpecialHandler.h, 
    src/SpecialManager.cpp, src/SpecialManager.h, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.h, tests/ColorSpecialTest.cpp, 
    tests/DvisvgmSpecialTest.cpp: 
  refactored handling of SpecialAction objects 

2016-06-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp: 
  fixed transformation of background color rectange 

2016-05-31  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp, src/EPSToSVG.cpp: 
  reworded messages printed after finishing a conversion 

2016-05-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BasicDVIReader.cpp, src/BasicDVIReader.h, src/Bezier.h, 
    src/TensorProductPatch.h, src/TriangularPatch.h: 
  replaced leading spaces with tabs 

  * src/DVIToSVGActions.cpp, src/Font.cpp, src/Makefile.am, 
    src/SVGCharHandler.cpp, src/SVGCharHandler.h, 
    src/SVGCharHandlerFactory.cpp, src/SVGCharHandlerFactory.h, 
    src/SVGCharPathHandler.cpp, src/SVGCharPathHandler.h, 
    src/SVGCharTspanTextHandler.cpp, src/SVGCharTspanTextHandler.h, 
    src/SVGSingleCharTextHandler.cpp, src/SVGSingleCharTextHandler.h, 
    src/SVGTree.cpp, src/SVGTree.h, src/dvisvgm.cpp: 
  replaced static SVG text backend by specialized handler classes 

2016-05-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BasicDVIReader.cpp, src/DVIReader.cpp: 
  fixed handling of subfont index in native font definition of XDV 7 

2016-05-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLDocument.cpp, src/XMLNode.cpp, src/XMLNode.h, 
    tests/DvisvgmSpecialTest.cpp: 
  prevent line wrapping inside text nodes 

2016-05-26  Martin Gieseking  <martin.gieseking@uos.de>

  * README.md, doc/dvisvgm.txt.in, src/BasicDVIReader.cpp, 
    src/BasicDVIReader.h, src/DVIReader.cpp, src/DVIToSVG.cpp: 
  reworded 'DVI format' to 'DVI (format) version' 

2016-05-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TFM.cpp, tests/JFMReaderTest.cpp, tests/TFMReaderTest.cpp: 
  fixed calculation of character dimensions in TFM class 

  * src/FontMetrics.h, src/JFM.cpp, src/TFM.cpp, src/TFM.h: 
  added methods to query space-related parameters from TFM/JFM files 

  * src/JFM.cpp, src/JFM.h, src/TFM.cpp, src/TFM.h: 
  TFM: store design size in bp units rather than as fixword 

2016-04-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Process.cpp: 
  fixed collecting stdout/stderr output when executing a process 

2016-04-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMap.h, src/CMapReader.cpp, tests/CMapManagerTest.cpp, 
    tests/Makefile.am, tests/data/Makefile.am, tests/data/ot1.cmap: 
  added CMapManagerTest 

2016-04-19  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, README, README.md: 
  updated NEWS and README 

  * .travis.yml, configure.ac, src/Doxyfile: 
  set version to 1.15.1 

2016-04-18  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/CMapReaderTest.cpp: 
  improved CMapReaderTest 

  * src/Matrix.cpp: 
  avoid adding trailing EOF characters when parsing parameters of 
  transformation commands 

  * src/Calculator.cpp, src/Matrix.cpp: 
  use std::ws to skip whitespace in istreams 

2016-04-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/AGLTable.h, src/Makefile.am, src/Unicode.cpp, tests/Makefile.am, 
    tests/create-makefile, tests/genhashcheck.py: 
  moved AGL hash table from Unicode.cpp to a separate file 

2016-04-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Unicode.cpp, tests/UnicodeTest.cpp: 
  added support for the AGL character names 'uniFOO' and 'uFOO' 

  * src/XMLDocument.cpp: 
  explicitly specify UTF-8 encoding in XML declaration (closes #54) 

2016-03-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicsPath.h: 
  renamed GraphicsPath::sconito/scubicto 

2016-03-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/SVGTree.cpp, src/SVGTree.h: 
  split text and path section of SVGTree::appendChar() into seperate 
  methods 

  * src/DVIActions.h, src/DVIReader.cpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h, src/SVGTree.cpp, src/SVGTree.h: 
  changed font parameter of setFont() methods from pointer to reference 

  * doc/db2html.xsl: 
  adapted db2html to insert anchors for each option entry 

  * transfer-cs: 
  remove patch files after they've been transferred 

2016-02-27  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

2016-02-26  Martin Gieseking  <martin.gieseking@uos.de>

  * .travis.yml, configure.ac, src/Doxyfile: 
  set version to 1.15 

  * src/FileFinder.cpp, src/FilePath.cpp, src/FileSystem.cpp, 
    src/FileSystem.h, src/Font.cpp, src/MetafontWrapper.cpp, src/dvisvgm.cpp: 
  changed string parameters of FileSystem functions to type std::string 

  * src/Font.cpp, src/Unicode.cpp, src/Unicode.h, tests/UnicodeTest.cpp: 
  renamed Unicode::psNameToCodepoint() to Unicode::aglNameToCodepoint 

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/Font.cpp, src/Font.h, src/SVGTree.cpp, src/SVGTree.h, 
    src/dvisvgm.cpp, src/options.xml: 
  added option --comments (adds comments with additional information to 
  the SVG file 

2016-02-23  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, src/FileFinder.cpp, src/FileFinder.h, 
    tests/FileFinderTest.cpp, tests/GFGlyphTracerTest.cpp, 
    tests/GFReaderTest.cpp, tests/JFMReaderTest.cpp, tests/Makefile.am, 
    tests/TFMReaderTest.cpp, tests/cidjmgr0-h.tfm, tests/cmr10.600gf, 
    tests/cmr10.tfm, tests/create-makefile, tests/data/Makefile.am, 
    tests/data/cidjmgr0-h.tfm, tests/data/cmr10.600gf, tests/data/cmr10.tfm, 
    tests/data/dvipdfm_test.map, tests/data/dvips_test.map, 
    tests/data/frktest-nf-cmp.svg, tests/data/frktest-wf-cmp.svg, 
    tests/data/frktest.dvi, tests/data/sample-nf-cmp.svg, 
    tests/data/sample-wf-cmp.svg, tests/data/sample.dvi, 
    tests/data/sample.sfd, tests/dvipdfm_test.map, tests/dvips_test.map, 
    tests/frktest-nf-cmp.svg, tests/frktest-wf-cmp.svg, tests/frktest.dvi, 
    tests/sample-nf-cmp.svg, tests/sample-wf-cmp.svg, tests/sample.dvi, 
    tests/sample.sfd: 
  moved test data files to subfolder 

  * src/MetafontWrapper.cpp, src/Process.cpp: 
  avoid reading Metafont logfiles to extract the GF filename 

  * src/FontEngine.cpp: 
  reworded error messages of class FontEngine 

2016-02-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontEngine.cpp, src/FontEngine.h: 
  removed redundant code from class FontEngine 

  * src/XMLNode.cpp, tests/DvisvgmSpecialTest.cpp: 
  improved DvisvgmSpecialTest 

  * src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, 
    tests/CommandLineTest.cpp: 
  minor improvements of class CommandLineTest 

2016-02-05  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  don't remove clipping paths that consist of single moveto commands only 

2016-02-01  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Bitmap.cpp, src/BoundingBox.cpp, src/CMap.cpp, src/CMapManager.cpp, 
    src/Calculator.cpp, src/CommandLine.cpp, src/DVIReader.cpp, 
    src/DVIToSVG.cpp, src/DVIToSVG.h, src/DVIToSVGActions.cpp, 
    src/Directory.cpp, src/Directory.h, src/EPSToSVG.cpp, src/EncFile.cpp, 
    src/FileFinder.cpp, src/Font.cpp, src/FontCache.h, src/FontEngine.cpp, 
    src/FontManager.cpp, src/FontMap.cpp, src/FontMetrics.cpp, 
    src/GFGlyphTracer.cpp, src/GFReader.cpp, src/GFTracer.cpp, 
    src/HtmlSpecialHandler.cpp, src/InputReader.cpp, src/MapLine.cpp, 
    src/MetafontWrapper.cpp, src/PSInterpreter.cpp, 
    src/PdfSpecialHandler.cpp, src/Process.cpp, src/PsSpecialHandler.cpp, 
    src/SVGTree.cpp, src/SpecialManager.cpp, src/StreamReader.cpp, 
    src/StreamWriter.cpp, src/Subfont.cpp, src/TFM.cpp, 
    src/TensorProductPatch.cpp, src/TpicSpecialHandler.cpp, src/VFReader.cpp, 
    src/XMLDocument.cpp, src/dvisvgm.cpp, tests/XMLStringTest.cpp: 
  minor code cleanup (removed redundant includes, added casts) 

2016-01-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/JFM.h, tests/JFMReaderTest.cpp, tests/Makefile.am, 
    tests/TFMReaderTest.cpp, tests/cidjmgr0-h.tfm, tests/cmr10.tfm, 
    tests/create-makefile: 
  added tests for the TFM and JFM classes 

  * m4/ax_code_coverage.m4: 
  updated m4 code coverage script to latest version 

2016-01-19  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, README.md: 
  updated NEWS 

  * .travis.yml, configure.ac, src/Doxyfile: 
  set version to 1.14.2 

  * src/GraphicsPath.h, tests/GraphicsPathTest.cpp: 
  fixed access of invalid iterator 

2016-01-18  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/Makefile.am, tests/create-makefile, tests/genhashcheck.py: 
  added test to check the validity of the char name hashes used in 
  Unicode.cpp 

  * src/dvisvgm.cpp, xxHash/xxhash.c, xxHash/xxhash.h: 
  updated xxHash to version 0.5.0 

  * doc/db2html.xsl: 
  updated links to Bootstrap and Font Awesome in stylesheet db2html.xsl 

2016-01-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BgColorSpecialHandler.cpp, src/ColorSpecialHandler.cpp, 
    src/ColorSpecialHandler.h, tests/ColorSpecialTest.cpp: 
  removed check for 'background' special from ColorSpecialHandler 

2016-01-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.h, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, src/DVIToSVG.cpp, 
    src/SpecialHandler.h, src/SpecialManager.cpp, src/SpecialManager.h: 
  corrected handling of background color special across DVI pages 

  * src/DVIReader.h, src/FontStyle.h, src/SVGTree.cpp, 
    src/TriangularPatch.cpp: 
  updated/fixed some comments 

2016-01-05  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * src/GFReader.cpp, src/GFReader.h: 
  added checks for misplaced GF commands 

2016-01-04  Martin Gieseking  <martin.gieseking@uos.de>

  * .travis.yml: 
  force Travis to use legacy builds due to an issue with clang and gtest 

  * .travis.yml, configure.ac, src/Doxyfile: 
  set version to 1.14.1 

  * Makefile.am, README, README.md, configure.ac, doc/Makefile.am, 
    doc/conf-dblatex-man.xsl, doc/conf-dblatex-pdf.xsl, doc/db2html.xsl, 
    doc/dvisvgm.txt.in, src/BasicDVIReader.cpp, src/BasicDVIReader.h, 
    src/Bezier.cpp, src/Bezier.h, src/BgColorSpecialHandler.cpp, 
    src/BgColorSpecialHandler.h, src/Bitmap.cpp, src/Bitmap.h, 
    src/BoundingBox.cpp, src/BoundingBox.h, src/CMap.cpp, src/CMap.h, 
    src/CMapManager.cpp, src/CMapManager.h, src/CMapReader.cpp, 
    src/CMapReader.h, src/CRC32.cpp, src/CRC32.h, src/Calculator.cpp, 
    src/Calculator.h, src/CharMapID.cpp, src/CharMapID.h, src/Character.h, 
    src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, src/Color.cpp, 
    src/Color.h, src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, 
    src/CommandLine.cpp, src/CommandLine.h, src/DLLoader.cpp, src/DLLoader.h, 
    src/DVIActions.h, src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, 
    src/DVIToSVG.h, src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, 
    src/DependencyGraph.h, src/Directory.cpp, src/Directory.h, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.h, 
    src/EPSFile.cpp, src/EPSFile.h, src/EPSToSVG.cpp, src/EPSToSVG.h, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.h, src/EncFile.cpp, 
    src/EncFile.h, src/FileFinder.cpp, src/FileFinder.h, src/FilePath.cpp, 
    src/FilePath.h, src/FileSystem.cpp, src/FileSystem.h, src/Font.cpp, 
    src/Font.h, src/FontCache.cpp, src/FontCache.h, src/FontEncoding.cpp, 
    src/FontEncoding.h, src/FontEngine.cpp, src/FontEngine.h, 
    src/FontManager.cpp, src/FontManager.h, src/FontMap.cpp, src/FontMap.h, 
    src/FontMetrics.cpp, src/FontMetrics.h, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.h, src/GFReader.cpp, src/GFReader.h, src/GFTracer.cpp, 
    src/GFTracer.h, src/Ghostscript.cpp, src/Ghostscript.h, src/Glyph.h, 
    src/GlyphTracerMessages.h, src/GraphicsPath.h, 
    src/HtmlSpecialHandler.cpp, src/HtmlSpecialHandler.h, 
    src/InputBuffer.cpp, src/InputBuffer.h, src/InputReader.cpp, 
    src/InputReader.h, src/JFM.cpp, src/JFM.h, src/Length.cpp, src/Length.h, 
    src/Makefile.am, src/Makefile.old, src/MapLine.cpp, src/MapLine.h, 
    src/Matrix.cpp, src/Matrix.h, src/Message.cpp, src/Message.h, 
    src/MessageException.h, src/MetafontWrapper.cpp, src/MetafontWrapper.h, 
    src/MiKTeXCom.cpp, src/MiKTeXCom.h, src/NoPsSpecialHandler.cpp, 
    src/NoPsSpecialHandler.h, src/NumericRanges.h, src/PSFilter.h, 
    src/PSInterpreter.cpp, src/PSInterpreter.h, src/PSPattern.cpp, 
    src/PSPattern.h, src/PSPreviewFilter.cpp, src/PSPreviewFilter.h, 
    src/PageRanges.cpp, src/PageRanges.h, src/PageSize.cpp, src/PageSize.h, 
    src/Pair.h, src/PathClipper.cpp, src/PathClipper.h, 
    src/PdfSpecialHandler.cpp, src/PdfSpecialHandler.h, 
    src/PreScanDVIReader.cpp, src/PreScanDVIReader.h, src/Process.cpp, 
    src/Process.h, src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, 
    src/RangeMap.cpp, src/RangeMap.h, src/SVGOutput.cpp, src/SVGOutput.h, 
    src/SVGTree.cpp, src/SVGTree.h, src/SWFWriter.cpp, src/SWFWriter.h, 
    src/ShadingPatch.cpp, src/ShadingPatch.h, src/SignalHandler.cpp, 
    src/SignalHandler.h, src/SpecialActions.h, src/SpecialHandler.h, 
    src/SpecialManager.cpp, src/SpecialManager.h, src/StreamReader.cpp, 
    src/StreamReader.h, src/StreamWriter.cpp, src/StreamWriter.h, 
    src/Subfont.cpp, src/Subfont.h, src/System.cpp, src/System.h, 
    src/TFM.cpp, src/TFM.h, src/TensorProductPatch.cpp, 
    src/TensorProductPatch.h, src/Terminal.cpp, src/Terminal.h, 
    src/ToUnicodeMap.cpp, src/ToUnicodeMap.h, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.h, src/TriangularPatch.cpp, src/TriangularPatch.h, 
    src/Unicode.cpp, src/Unicode.h, src/VFActions.h, src/VFReader.cpp, 
    src/VFReader.h, src/VectorIterator.h, src/VectorStream.h, 
    src/XMLDocument.cpp, src/XMLDocument.h, src/XMLNode.cpp, src/XMLNode.h, 
    src/XMLString.cpp, src/XMLString.h, src/dvisvgm.cpp, src/macros.h, 
    src/options.dtd, src/options.ggo, src/options.xml, src/psdefs.cpp, 
    src/psdefs.ps, src/types.h, tests/BezierTest.cpp, tests/BitmapTest.cpp, 
    tests/BoundingBoxTest.cpp, tests/CMapReaderTest.cpp, tests/CMapTest.cpp, 
    tests/CRC32Test.cpp, tests/CalculatorTest.cpp, 
    tests/ColorSpecialTest.cpp, tests/ColorTest.cpp, 
    tests/CommandLineTest.cpp, tests/DependencyGraphTest.cpp, 
    tests/DirectoryTest.cpp, tests/DvisvgmSpecialTest.cpp, 
    tests/FileFinderTest.cpp, tests/FilePathTest.cpp, 
    tests/FileSystemTest.cpp, tests/FontManagerTest.cpp, 
    tests/FontMapTest.cpp, tests/GFGlyphTracerTest.cpp, 
    tests/GFReaderTest.cpp, tests/GraphicsPathTest.cpp, tests/LengthTest.cpp, 
    tests/Makefile.am, tests/MapLineTest.cpp, tests/MatrixTest.cpp, 
    tests/MessageExceptionTest.cpp, tests/PSInterpreterTest.cpp, 
    tests/PageRagesTest.cpp, tests/PageSizeTest.cpp, tests/PairTest.cpp, 
    tests/RangeMapTest.cpp, tests/SVGOutputTest.cpp, 
    tests/ShadingPatchTest.cpp, tests/SplittedCharInputBufferTest.cpp, 
    tests/StreamInputBufferTest.cpp, tests/StreamReaderTest.cpp, 
    tests/StreamWriterTest.cpp, tests/SubfontTest.cpp, 
    tests/TensorProductPatchTest.cpp, tests/ToUnicodeMapTest.cpp, 
    tests/TriangularPatchTest.cpp, tests/TypesTest.cpp, 
    tests/UnicodeTest.cpp, tests/VectorIteratorTest.cpp, 
    tests/VectorStreamTest.cpp, tests/XMLNodeTest.cpp, 
    tests/XMLStringTest.cpp, tests/check-conv, tests/create-makefile, 
    tests/normalize.xsl: 
  updated year in copyright statements to 2016 

2015-12-31  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp, src/PsSpecialHandler.h: 
  reset PS graphics state at end of every DVI page 

2015-12-28  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * .travis.yml, configure.ac, src/Doxyfile: 
  set version to 1.14 

2015-12-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  added evaluation of PSTricks specials 'pst:' and 'PST:' 

2015-12-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicsPath.h, tests/GraphicsPathTest.cpp: 
  fixed memory issue in class GraphicsPath<T> 

  * src/FileFinder.cpp: 
  lookup files in the current working directory before searching the texmf 
  tree 

2015-12-17  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/DVIToSVG.cpp, src/DVIToSVG.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/EPSToSVG.h, 
    src/PSPreviewFilter.cpp, src/PSPreviewFilter.h, src/PsSpecialHandler.cpp, 
    src/SpecialActions.h, src/dvisvgm.cpp: 
  added option --bbox=preview; adapt preview data if --bbox=min 

2015-12-09  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/GhostscriptTest.cpp: 
  prevent opening a graphics window when running GhostscriptTest 

  * src/FileFinder.cpp: 
  return entire kpathsea version string if it doesn't start with 
  'kpathsea' 

2015-12-08  Martin Gieseking  <martin.gieseking@uos.de>

  * clipper/clipper.cpp, clipper/clipper.hpp: 
  replaced DOS line endings of the Clipper sources to Unix ones 

  * NEWS: 
  updated NEWS 

  * .travis.yml, configure.ac, src/Doxyfile: 
  set version to 1.13 

2015-12-02  Martin Gieseking  <martin.gieseking@uos.de>

  * CMakeLists.txt, src/Font.cpp, src/Font.h, src/Glyph.h, 
    src/GraphicPath.h, src/GraphicsPath.h, src/Makefile.am, 
    src/PathClipper.h, src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, 
    src/ShadingPatch.h, src/TensorProductPatch.cpp, src/TensorProductPatch.h, 
    src/TpicSpecialHandler.cpp, src/TriangularPatch.cpp, 
    src/TriangularPatch.h, tests/GraphicPathTest.cpp, 
    tests/GraphicsPathTest.cpp, tests/Makefile.am, 
    tests/TensorProductPatchTest.cpp, tests/TriangularPatchTest.cpp: 
  renamed class GraphicPath to GraphicsPath 

2015-11-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicPath.h, src/PsSpecialHandler.cpp: 
  remove redundant moveto commands from graphics paths 

  * doc/dvisvgm.txt.in: 
  added a couple of links to the manpage 

2015-11-27  Martin Gieseking  <martin.gieseking@uos.de>

  * .gitignore, CMakeLists.txt, cmake/FindGhostscript.cmake, 
    cmake/FindKpathsea.cmake, cmake/FindPotrace.cmake: 
  added files for cmake 

2015-11-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp, src/DVIToSVGActions.h: 
  removed redundant methods 

  * src/DVIToSVGActions.cpp, src/EPSToSVG.cpp: 
  remove progress message before printing a PS error message 

2015-11-24  Martin Gieseking  <martin.gieseking@uos.de>

  * xxHash/xxhash.c: 
  updated xxHash to version r42 

  * src/psdefs.cpp, src/psdefs.ps: 
  added evaluation of PS operators ashow, awidthshow, and widthshow (fixes 
  #49) 

2015-11-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp, src/psdefs.ps: 
  propagate call of PS operator 'setcolor' to the PS handler 

  * src/psdefs.cpp, src/psdefs.ps: 
  reduce rounding errors produced by PS operator 'charpath' 

  * src/PsSpecialHandler.cpp, src/psdefs.cpp, src/psdefs.ps: 
  minor code cleanup and reordering 

2015-11-18  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * .travis.yml, configure.ac, src/Doxyfile: 
  set version to 1.12 

2015-11-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontEngine.cpp: 
  treat character code as character index if no font mapping is set 

  * src/FontManager.cpp: 
  removed redundant #include 

2015-11-12  Martin Gieseking  <martin.gieseking@uos.de>

  * README, README.md: 
  updated links to Google Test framework 

2015-11-09  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/Color.cpp, src/Color.h, src/CommandLine.cpp, 
    src/CommandLine.h, src/DVIToSVGActions.cpp, 
    src/DvisvgmSpecialHandler.cpp, src/EmSpecialHandler.cpp, 
    src/HtmlSpecialHandler.cpp, src/PSPattern.cpp, src/PsSpecialHandler.cpp, 
    src/SVGTree.cpp, src/TpicSpecialHandler.cpp, src/dvisvgm.cpp, 
    src/options.xml, tests/ColorTest.cpp: 
  added option --colornames to replace RGB color values with SVG color 
  names 

  * tests/Makefile.am, tests/ShadingPatch.cpp, tests/ShadingPatchTest.cpp: 
  renamed ShadingPatchTest 

  * src/Color.cpp, src/Color.h, src/ColorSpecialHandler.cpp, 
    src/HtmlSpecialHandler.cpp, tests/ColorTest.cpp: 
  renamed Color::setName() to Color::setPSName() 

2015-10-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Process.cpp, src/Process.h: 
  fixed invalid access to freed string memory 

2015-09-21  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, README, README.md: 
  updated NEWS and README files 

2015-09-18  Martin Gieseking  <martin.gieseking@uos.de>

  * .travis.yml, configure.ac, src/Doxyfile: 
  set version to 1.11 

2015-09-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/Unicode.cpp, src/Unicode.h, tests/UnicodeTest.cpp: 
  renamed Unicode::psName2Codepoint to Unicode::psNameToCodepoint 

  * src/Font.cpp, src/ToUnicodeMap.cpp, src/Unicode.cpp, src/Unicode.h, 
    tests/UnicodeTest.cpp: 
  improved handling of invalid Unicode points 

2015-09-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/HtmlSpecialHandler.cpp: 
  quote XML metacharacters in xlink:title attributes 

  * src/Font.cpp: 
  prevent creating 0x00 codepoints if PS character name is unknown 

2015-09-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/SVGTree.cpp: 
  force creating a new text element after appending a different node to 
  the page 

2015-08-13  Martin Gieseking  <martin.gieseking@uos.de>

  * README, README.md: 
  minor updates to README and README.md 

2015-07-29  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/CommandLineTest.cpp, tests/MessageExceptionTest.cpp: 
  use ASSERT_STREQ in tests 

  * tests/UnicodeTest.cpp: 
  improved UnicodeTest 

  * tests/GhostscriptTest.cpp, tests/Makefile.am: 
  added GhostscriptTest 

2015-07-22  Martin Gieseking  <martin.gieseking@uos.de>

  * README, README.md, doc/dvisvgm.txt.in: 
  updated links to project website again (relocated to 
  dvisvgm.bplaced.net) 

2015-07-20  Martin Gieseking  <martin.gieseking@uos.de>

  * README, README.md, doc/dvisvgm.txt.in: 
  updated info about new project website 

2015-07-14  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * .travis.yml, configure.ac, src/Doxyfile: 
  set version to 1.10 

2015-07-12  Martin Gieseking  <martin.gieseking@uos.de>

  * README.md, doc/dvisvgm.txt.in, src/BasicDVIReader.cpp, 
    src/BasicDVIReader.h, src/DVIReader.cpp, src/DVIReader.h, src/Font.h, 
    src/FontManager.cpp, src/FontManager.h: 
  added support for new XDV format 6 

2015-07-11  Martin Gieseking  <martin.gieseking@uos.de>

  * README, README.md: 
  updated README 

2015-07-03  Martin Gieseking  <martin.gieseking@uos.de>

  * src/MiKTeXCom.cpp: 
  added some comments to MiKTeXCom.cpp 

  * src/dvisvgm.cpp: 
  check for option --help before initializing the FileFinder 

2015-07-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/Makefile.am, src/Unicode.cpp, src/Unicode.h, 
    tests/Makefile.am, tests/create-makefile: 
  added mapping from character names to unicode for PostScript fonts 

  * Makefile.am, configure.ac, xxHash/LICENSE, xxHash/Makefile.am, 
    xxHash/xxhash.c, xxHash/xxhash.h: 
  added xxHash library (https://github.com/Cyan4973/xxHash) 

  * tests/BezierTest.cpp: 
  removed #include "debug.h" from test 

2015-04-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/SVGTree.cpp: 
  apply --precision settings to font-size attributes too 

  * NEWS, README.md: 
  updated NEWS and README.md 

  * .travis.yml, configure.ac, src/Doxyfile: 
  set version to 1.9.2 

2015-04-04  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/SVGOutputTest.cpp: 
  remove output files created by SVGOutputTest::getPageStream() 

2015-04-02  Martin Gieseking  <martin.gieseking@uos.de>

  * README.md: 
  minor additions to README.md 

2015-03-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GFReader.cpp, src/GFReader.h, tests/GFReaderTest.cpp: 
  improved GFReaderTest 

  * src/GlyphTracerMessages.h: 
  always skip tracer message if no glyphs have been traced 

2015-03-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp: 
  avoid retracing of fonts if option --no-fonts is given 

  * src/GFGlyphTracer.cpp, src/GFTracer.h, tests/GFGlyphTracerTest.cpp, 
    tests/Makefile.am: 
  ensure GFGlyphTracer::executeChar() returns the correct status; added 
  GFGlyphtracerTest 

2015-03-22  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/SVGOutputTest.cpp: 
  improved SVGOutputTest 

  * tests/StreamWriterTest.cpp: 
  fixed StreamWriterTest 

2015-03-19  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/Makefile.am, tests/ShadingPatch.cpp: 
  added ShadingPatchTest 

2015-03-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TensorProductPatch.h, tests/TensorProductPatchTest.cpp: 
  improved TensorProductPatchTest 

  * src/Bezier.cpp, src/Bezier.h, src/TensorProductPatch.cpp, 
    src/TriangularPatch.cpp, src/TriangularPatch.h, 
    tests/TriangularPatchTest.cpp: 
  renamed method pointAt() of class Bezier and TriangularPatch to 
  valueAt() 

  * src/ShadingPatch.h, src/TensorProductPatch.cpp, 
    src/TensorProductPatch.h, src/TriangularPatch.cpp, src/TriangularPatch.h, 
    tests/Makefile.am, tests/TriangularPatchTest.cpp: 
  added test for class  TriangularPatch 

2015-03-17  Martin Gieseking  <martin.gieseking@uos.de>

  * autogen.sh: 
  updated autogen.sh 

2015-03-15  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/Makefile.am, tests/VectorIteratorTest.cpp: 
  added VectorIteratorTest 

  * Makefile.am, clipper/Makefile.am, configure.ac, m4/ax_code_coverage.m4, 
    src/Makefile.am, tests/Makefile.am, tests/create-makefile: 
  extended build system to generate coverage reports 

  * src/XMLNode.cpp, src/XMLNode.h, tests/Makefile.am, 
    tests/XMLNodeTest.cpp: 
  fixed a few issues in class XMLElementNode; added XMLNodeTest 

2015-03-13  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/XMLStringTest.cpp: 
  fixed test class name of XMLString 

2015-03-09  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/GraphicPathTest.cpp: 
  extended tests of class GraphicPath 

  * tests/CRC32Test.cpp: 
  added test for 'compute' methods of class CRC32 

2015-03-08  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/StreamReaderTest.cpp: 
  exteded StreamReader tests 

2015-03-07  Martin Gieseking  <martin.gieseking@uos.de>

  * .gitignore: 
  added .gitignore 

  * src/XMLString.cpp, tests/Makefile.am, tests/XMLStringTest.cpp: 
  fixed conversion from C and C++ strings to XMLString; added 
  XMLStringTest 

2015-03-06  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BoundingBox.cpp, src/BoundingBox.h, tests/BoundingBoxTest.cpp: 
  improved BoundingBox tests 

  * src/Bitmap.cpp, src/Bitmap.h, tests/BitmapTest.cpp, 
    tests/GFReaderTest.cpp, tests/Makefile.am: 
  small refactorings of class Bitmap; added tests for class Bitmap 

2015-03-01  Martin Gieseking  <martin.gieseking@uos.de>

  * README.md: 
  added license badge to README.md 

  * .travis.yml: 
  Travis conf: added configuration data for Coverity Scan 

2015-02-28  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, README.md: 
  updated NEWS and README.md 

2015-02-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Calculator.cpp: 
  replaced while(1) with for(;;) for consistency 

2015-02-26  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, src/Doxyfile: 
  set version to 1.9.1 

2015-02-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.cpp: 
  disable lookup of GS library in Windows registry for old gcc versions 

2015-02-20  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am, doc/db2html.xsl, doc/dvisvgm.css: 
  create html manpage with a separate stylesheet matching the new website 
  theme 

  * doc/Makefile.am, doc/conf-dblatex-man.xsl, doc/conf-dblatex-pdf.xsl, 
    doc/dvisvgm.sty, doc/dvisvgm.xpr, doc/tweak-dblatex-pdf.xsl: 
  improved the layout of the pdf manpage 

  * doc/dvisvgm.txt.in: 
  minor additions and formatting changes of the manpage 

  * doc/dvisvgm.txt.in, src/SVGOutput.cpp, src/SVGOutput.h, 
    tests/Makefile.am, tests/SVGOutputTest.cpp, tests/create-makefile: 
  added width specifiers and exression evaluation to --output patterns 

2015-02-19  Martin Gieseking  <martin.gieseking@uos.de>

  * .travis.yml: 
  Travis conf: build gtest libraries since Ubuntu doesn't provide the 
  binaries 

  * .travis.yml: 
  Travis conf: added missing call of 'configure' 

  * .travis.yml: 
  added dependency 'libgtest-dev' to Travis configuration; ensure call of 
  'make check' 

  * .travis.yml: 
  added dependency 'python-lxml' to Travis configuration 

  * .travis.yml: 
  added configuration file for Travis CI 

2015-02-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TpicSpecialHandler.cpp: 
  use constant M_PI rather than computing PI locally 

2015-02-17  Martin Gieseking  <martin.gieseking@uos.de>

  * README, README.md: 
  updated README and README.md 

2015-01-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TensorProductPatch.cpp, src/TriangularPatch.cpp: 
  renamed static helper function clip() to snap() 

2015-01-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Color.cpp: 
  resolved ambiguous call of pow (patch by Peter Breitenlohner) 

2015-01-12  Martin Gieseking  <martin.gieseking@uos.de>

  * src/VectorIterator.h: 
  removed redundant method VectorIterator::distanceToLast() 

2014-12-30  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am, README, README.md, configure.ac, doc/Makefile.am, 
    doc/dvisvgm.txt.in, src/BasicDVIReader.cpp, src/BasicDVIReader.h, 
    src/Bezier.cpp, src/Bezier.h, src/BgColorSpecialHandler.cpp, 
    src/BgColorSpecialHandler.h, src/Bitmap.cpp, src/Bitmap.h, 
    src/BoundingBox.cpp, src/BoundingBox.h, src/CMap.cpp, src/CMap.h, 
    src/CMapManager.cpp, src/CMapManager.h, src/CMapReader.cpp, 
    src/CMapReader.h, src/CRC32.cpp, src/CRC32.h, src/Calculator.cpp, 
    src/Calculator.h, src/CharMapID.cpp, src/CharMapID.h, src/Character.h, 
    src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, src/Color.cpp, 
    src/Color.h, src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, 
    src/CommandLine.cpp, src/CommandLine.h, src/DLLoader.cpp, src/DLLoader.h, 
    src/DVIActions.h, src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, 
    src/DVIToSVG.h, src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, 
    src/DependencyGraph.h, src/Directory.cpp, src/Directory.h, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.h, 
    src/EPSFile.cpp, src/EPSFile.h, src/EPSToSVG.cpp, src/EPSToSVG.h, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.h, src/EncFile.cpp, 
    src/EncFile.h, src/FileFinder.cpp, src/FileFinder.h, src/FilePath.cpp, 
    src/FilePath.h, src/FileSystem.cpp, src/FileSystem.h, src/Font.cpp, 
    src/Font.h, src/FontCache.cpp, src/FontCache.h, src/FontEncoding.cpp, 
    src/FontEncoding.h, src/FontEngine.cpp, src/FontEngine.h, 
    src/FontManager.cpp, src/FontManager.h, src/FontMap.cpp, src/FontMap.h, 
    src/FontMetrics.cpp, src/FontMetrics.h, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.h, src/GFReader.cpp, src/GFReader.h, src/GFTracer.cpp, 
    src/GFTracer.h, src/Ghostscript.cpp, src/Ghostscript.h, src/Glyph.h, 
    src/GlyphTracerMessages.h, src/GraphicPath.h, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.h, src/InputBuffer.cpp, src/InputBuffer.h, 
    src/InputReader.cpp, src/InputReader.h, src/JFM.cpp, src/JFM.h, 
    src/Length.cpp, src/Length.h, src/Makefile.am, src/Makefile.old, 
    src/MapLine.cpp, src/MapLine.h, src/Matrix.cpp, src/Matrix.h, 
    src/Message.cpp, src/Message.h, src/MessageException.h, 
    src/MetafontWrapper.cpp, src/MetafontWrapper.h, src/MiKTeXCom.cpp, 
    src/MiKTeXCom.h, src/NoPsSpecialHandler.cpp, src/NoPsSpecialHandler.h, 
    src/NumericRanges.h, src/PSFilter.h, src/PSInterpreter.cpp, 
    src/PSInterpreter.h, src/PSPattern.cpp, src/PSPattern.h, 
    src/PSPreviewFilter.cpp, src/PSPreviewFilter.h, src/PageRanges.cpp, 
    src/PageRanges.h, src/PageSize.cpp, src/PageSize.h, src/Pair.h, 
    src/PathClipper.cpp, src/PathClipper.h, src/PdfSpecialHandler.cpp, 
    src/PdfSpecialHandler.h, src/PreScanDVIReader.cpp, 
    src/PreScanDVIReader.h, src/Process.cpp, src/Process.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/RangeMap.cpp, 
    src/RangeMap.h, src/SVGOutputBase.h, src/SVGTree.cpp, src/SVGTree.h, 
    src/SWFWriter.cpp, src/SWFWriter.h, src/ShadingPatch.cpp, 
    src/ShadingPatch.h, src/SignalHandler.cpp, src/SignalHandler.h, 
    src/SpecialActions.h, src/SpecialHandler.h, src/SpecialManager.cpp, 
    src/SpecialManager.h, src/StreamReader.cpp, src/StreamReader.h, 
    src/StreamWriter.cpp, src/StreamWriter.h, src/Subfont.cpp, src/Subfont.h, 
    src/System.cpp, src/System.h, src/TFM.cpp, src/TFM.h, 
    src/TensorProductPatch.cpp, src/TensorProductPatch.h, src/Terminal.cpp, 
    src/Terminal.h, src/ToUnicodeMap.cpp, src/ToUnicodeMap.h, 
    src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.h, 
    src/TriangularPatch.cpp, src/TriangularPatch.h, src/Unicode.cpp, 
    src/Unicode.h, src/VFActions.h, src/VFReader.cpp, src/VFReader.h, 
    src/VectorIterator.h, src/VectorStream.h, src/XMLDocument.cpp, 
    src/XMLDocument.h, src/XMLNode.cpp, src/XMLNode.h, src/XMLString.cpp, 
    src/XMLString.h, src/dvisvgm.cpp, src/gfprint.mak, src/macros.h, 
    src/options.dtd, src/options.xml, src/psdefs.cpp, src/psdefs.ps, 
    src/types.h, tests/BoundingBoxTest.cpp, tests/CMapReaderTest.cpp, 
    tests/CMapTest.cpp, tests/CRC32Test.cpp, tests/CalculatorTest.cpp, 
    tests/ColorSpecialTest.cpp, tests/ColorTest.cpp, 
    tests/CommandLineTest.cpp, tests/DependencyGraphTest.cpp, 
    tests/DirectoryTest.cpp, tests/DvisvgmSpecialTest.cpp, 
    tests/FileFinderTest.cpp, tests/FilePathTest.cpp, 
    tests/FileSystemTest.cpp, tests/FontManagerTest.cpp, 
    tests/FontMapTest.cpp, tests/GFReaderTest.cpp, tests/GraphicPathTest.cpp, 
    tests/LengthTest.cpp, tests/Makefile.am, tests/MapLineTest.cpp, 
    tests/MatrixTest.cpp, tests/MessageExceptionTest.cpp, 
    tests/PSInterpreterTest.cpp, tests/PageRagesTest.cpp, 
    tests/PageSizeTest.cpp, tests/PairTest.cpp, tests/RangeMapTest.cpp, 
    tests/SplittedCharInputBufferTest.cpp, tests/StreamInputBufferTest.cpp, 
    tests/StreamReaderTest.cpp, tests/StreamWriterTest.cpp, 
    tests/SubfontTest.cpp, tests/TensorProductPatchTest.cpp, 
    tests/ToUnicodeMapTest.cpp, tests/TypesTest.cpp, 
    tests/VectorStreamTest.cpp, tests/check-conv, tests/create-makefile, 
    tests/normalize.xsl: 
  updated year in copyright statements to 2015 

2014-12-28  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * configure.ac, src/Doxyfile: 
  set version to 1.9 

  * src/dvisvgm.cpp: 
  clear line before printing the message about user interruption to avoid 
  trailing text fragments 

  * src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/EPSToSVG.cpp, 
    src/EPSToSVG.h, src/SpecialActions.h, src/SpecialManager.cpp, 
    src/dvisvgm.cpp: 
  show PS instruction counter when processing EPS files with option 
  --progress 

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/ShadingPatch.h, 
    src/TensorProductPatch.cpp, src/TensorProductPatch.h, 
    src/TriangularPatch.cpp, src/TriangularPatch.h, src/dvisvgm.cpp, 
    src/options.xml: 
  added command-line options --grad-overlap, --grad-segments, and 
  --grad-simplify 

2014-12-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp: 
  check validity of DVI file before trying to collect the BOPs 

2014-12-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Color.cpp, src/Color.h, src/Makefile.am, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/VectorIterator.h, src/psdefs.cpp, 
    src/psdefs.ps: 
  extended PS operator 'shfill' to support triangular patch meshes 

  * src/Makefile.am, src/PsSpecialHandler.cpp, src/ShadingPatch.cpp, 
    src/ShadingPatch.h, src/TensorProductPatch.cpp, src/TensorProductPatch.h: 
  extracted common interface class ShadingPatch from TensorProductPatch 

  * src/Makefile.am, src/TriangularPatch.cpp, src/TriangularPatch.h: 
  added class to compute triangular shading patches 

2014-12-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp, src/PsSpecialHandler.h: 
  added processing of the optional 'BBox' entry in a PS shading dictionary 

2014-12-03  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Color.cpp, tests/ColorSpecialTest.cpp, tests/ColorTest.cpp: 
  fixed CMYK to RGB approximation 

  * src/CommandLine.cpp, src/CommandLine.h, src/dvisvgm.cpp, 
    src/options.xml: 
  disable option --clipjoin if PS support is disabled 

2014-11-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSInterpreter.cpp, src/PSInterpreter.h, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/psdefs.cpp, src/psdefs.ps, 
    tests/PSInterpreterTest.cpp: 
  added evaluation of PS operator "shfill" (Coons and tensor product 
  patches only) 

2014-11-24  Martin Gieseking  <martin.gieseking@uos.de>

  * README.md: 
  added list of features and a download button to README.md 

2014-11-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/MiKTeXCom.cpp: 
  added missing includes to make MinGW-w64 happy 

2014-11-09  Martin Gieseking  <martin.gieseking@uos.de>

  * clipper/clipper.cpp, clipper/clipper.hpp: 
  updated clipper library to version 6.2.1 

2014-11-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Bezier.cpp, src/Bezier.h, src/BoundingBox.h, src/GraphicPath.h, 
    src/Makefile.am, src/TensorProductPatch.cpp, src/TensorProductPatch.h, 
    tests/Makefile.am, tests/TensorProductPatchTest.cpp: 
  added code to compute tensor-product patches required for gradient fills 

2014-11-06  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Matrix.cpp: 
  use constant M_PI rather than defining PI locally 

2014-10-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Color.cpp, src/Color.h, tests/ColorTest.cpp: 
  added deltaE and L*a*b* color space methods to class Color 

  * src/Color.cpp, src/Color.h: 
  replaced vectors with valarrays in class Color 

  * src/Color.cpp, src/Color.h, src/ColorSpecialHandler.cpp, 
    src/DVIReader.cpp, src/HtmlSpecialHandler.cpp, src/PsSpecialHandler.cpp, 
    tests/ColorTest.cpp: 
  renamed RGB setters/getters of class Color 

  * src/Color.cpp, src/Color.h, src/ColorSpecialHandler.cpp, 
    src/PsSpecialHandler.cpp, tests/ColorTest.cpp: 
  replaced float by double in class Color 

2014-10-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicPath.h, src/PathClipper.cpp, src/PathClipper.h, 
    src/XMLNode.h: 
  fixed a couple of doxygen comments; removed redundant 
  PathClipperException 

  * clipper/clipper.cpp, clipper/clipper.hpp: 
  updated clipper library to version 6.2.0 

2014-10-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.cpp: 
  try to lookup the location of the GS DLL in the Windows registry 

  * src/CommandLine.cpp: 
  updated CommandLine.cpp with description of option --no-merge 

2014-10-01  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/options.xml: 
  added info about option --no-merge to the manpage 

2014-09-24  Khaled Hosny  <khaled.hosny@hindawi.com>

  * src/Makefile.am: 
  Add an opt2cpp Python script

A very ugly script that should work as a 
  drop in replacement for the
opt2cpp XSLT. 

2014-09-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp, src/PsSpecialHandler.h: 
  ensure that colors set by a color special are always considered by the 
  PS handler 

2014-09-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BasicDVIReader.cpp, src/DVIReader.cpp, src/FontCache.cpp, 
    src/GFReader.cpp, src/dvisvgm.cpp: 
  replaced namespace 'ios_base' with 'ios' 

2014-08-29  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * configure.ac, src/Doxyfile: 
  set version to 1.8.1 

  * src/FontEngine.cpp, tests/PageRagesTest.cpp: 
  removed unused static functions 

  * src/PsSpecialHandler.cpp: 
  added missing whitespace boundaries in PS code 

2014-08-20  Khaled Hosny  <khaled.hosny@hindawi.com>

  * src/CommandLine.cpp, src/CommandLine.h, src/SVGTree.cpp, src/SVGTree.h, 
    src/dvisvgm.cpp, src/options.xml: 
  Add an option not to merge adjacent chars

With this option on, each DVI 
  character is put in its own <text> tag.
Makes post processing the SVG 
  file a bit simpler. 

2014-08-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp, src/DependencyGraph.h, src/Makefile.am, 
    src/SVGTree.cpp, src/SVGTree.h, src/XMLNode.cpp, src/XMLNode.h, 
    tests/DependencyGraphTest.cpp, tests/Makefile.am: 
  remove redundant clipPath elements from generated SVG files 

2014-08-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSPattern.cpp, src/XMLNode.cpp, src/XMLNode.h: 
  renamed XMLElementNode::findDescendants() and made it constant 

2014-08-11  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/Makefile.am, tests/create-makefile: 
  link tests against FreeType library 

2014-08-10  Khaled Hosny  <khaledhosny@eglug.org>

  * configure.ac, src/Makefile.am: 
  Don't override CPPFLAGS and LDFLAGS in configure

For the same reasons 
  as the previous commit 

  * configure.ac, src/Makefile.am: 
  Don't override CXXFLAGS in configure script

Breaks standard things 
  like:

     make CXXFLAGS="-g -O0 -pg" 

  * configure.ac, src/Makefile.am: 
  EXTRA_LIBS is not used anymore 

2014-08-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLDocument.cpp, src/XMLDocument.h, src/XMLNode.cpp, src/XMLNode.h: 
  removed unused emit() methods from XML classes 

2014-08-06  Martin Gieseking  <martin.gieseking@uos.de>

  * README.md: 
  minor fixes to README.md 

2014-07-31  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp, src/psdefs.cpp, src/psdefs.ps: 
  prevent side-effects caused by bop/eop operators present in PS specials 

2014-07-29  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

2014-07-28  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, src/Doxyfile: 
  set version to 1.8 

  * src/GraphicPath.h, src/PSInterpreter.cpp, src/PSInterpreter.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/psdefs.cpp, 
    src/psdefs.ps, tests/PSInterpreterTest.cpp: 
  added evaluation of PS operator 'clippath' (copies clipping path into 
  graphics path) 

2014-07-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/GFGlyphTracer.cpp, src/GraphicPath.h, 
    src/PsSpecialHandler.cpp: 
  renamed GraphicPath::newpath() to GraphicPath::clear() 

2014-07-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/InputReader.cpp, src/PSInterpreter.cpp: 
  ensure that InputReader::compare() checks whole and not just partial 
  words 

2014-07-22  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/dvisvgm.cpp, 
    src/options.xml: 
  added option --clippath to compute the intersection of clipping paths 

  * README, README.md, src/Bezier.cpp, src/Bezier.h, src/GraphicPath.h, 
    src/Makefile.am, src/PathClipper.cpp, src/PathClipper.h, src/dvisvgm.cpp: 
  added class PathClipper to compute intersections of closed curved 
  graphics paths 

  * src/GraphicPath.h: 
  added field to store the winding rule to class GraphicPath 

  * Makefile.am, clipper/License.txt, clipper/Makefile.am, 
    clipper/clipper.cpp, clipper/clipper.hpp, configure.ac, src/Makefile.am: 
  added slightly modified sources of clipper library (computes boolops on 
  polygons) 

  * src/DVIToSVG.h, src/dvisvgm.cpp: 
  prevent throwing a DVIException when option -l is present 

2014-07-20  Khaled Hosny  <khaledhosny@eglug.org>

  * src/FontEngine.cpp: 
  free existing FT_Face before creating a new one 

2014-07-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TpicSpecialHandler.cpp: 
  TPIC handler: use class GraphicPath to create SVG path commands 

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/GraphicPath.h, src/PsSpecialHandler.cpp, src/SVGTree.cpp, 
    src/SVGTree.h, src/dvisvgm.cpp, src/options.xml, 
    tests/GraphicPathTest.cpp: 
  added option to create relative rather than absolute path commands 

2014-07-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.h, src/Doxyfile, src/HtmlSpecialHandler.h, 
    src/RangeMap.cpp, src/SpecialManager.cpp, src/ToUnicodeMap.cpp: 
  fixed a couple of broken doxygen comments 

2014-06-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.cpp: 
  get proper name of Ghostscript library when building for Cygwin 

2014-06-23  Martin Gieseking  <martin.gieseking@uos.de>

  * README.md: 
  added markdown version of README 

2014-06-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp, src/psdefs.ps: 
  suppress output of PS operator ':show' to prevent the creation of 
  additional graphic elements 

2014-06-17  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * configure.ac, src/Doxyfile: 
  set version to 1.7 

  * src/InputReader.cpp: 
  added missing include 

  * doc/dvisvgm.txt.in, src/DVIToSVGActions.cpp, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.h, 
    tests/DvisvgmSpecialTest.cpp, tests/Makefile.am: 
  added/improved dvisvgm::raw* specials 

  * src/SpecialManager.cpp, src/SpecialManager.h: 
  removed redundant method SpecialManager::leavePSHeaderSection() 

2014-06-12  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLNode.cpp, src/XMLNode.h: 
  added clear() to XMLNode classes; added XMLTextNode::getText() 

2014-06-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp, src/SpecialHandler.h, src/SpecialManager.cpp, 
    src/SpecialManager.h: 
  added listener to allow SpecialHandlers being notified when 
  pre-processing has finished 

  * src/InputReader.cpp, src/InputReader.h: 
  added InputReader::getLine() 

2014-06-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/SpecialActions.h, tests/ColorSpecialTest.cpp: 
  renamed class SpecialEmptyActions to EmptySpecialActions 

2014-06-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.h, src/SpecialManager.h: 
  removed redundant definition of assignment operators 

  * src/DVIReader.cpp, src/Ghostscript.cpp: 
  removed unused variable; call Ghostscript::exit() with explicitely given 
  object 

2014-06-05  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BasicDVIReader.cpp, src/BasicDVIReader.h, src/Bitmap.h, 
    src/BoundingBox.h, src/CMap.h, src/CMapManager.cpp, src/CMapManager.h, 
    src/CMapReader.h, src/CRC32.h, src/Calculator.cpp, src/Calculator.h, 
    src/CmdLineParserBase.h, src/Color.cpp, src/ColorSpecialHandler.cpp, 
    src/ColorSpecialHandler.h, src/CommandLine.cpp, src/CommandLine.h, 
    src/DLLoader.h, src/DVIReader.cpp, src/DVIToSVG.h, src/DVIToSVGActions.h, 
    src/Directory.h, src/DvisvgmSpecialHandler.h, src/EmSpecialHandler.cpp, 
    src/EmSpecialHandler.h, src/EncFile.h, src/FileFinder.h, 
    src/FileSystem.cpp, src/Font.cpp, src/Font.h, src/FontCache.h, 
    src/FontEncoding.cpp, src/FontEngine.cpp, src/FontEngine.h, 
    src/FontManager.cpp, src/FontManager.h, src/FontMap.cpp, src/FontMap.h, 
    src/GFGlyphTracer.cpp, src/GFGlyphTracer.h, src/GFReader.cpp, 
    src/GFReader.h, src/GFTracer.h, src/Ghostscript.cpp, src/Ghostscript.h, 
    src/GraphicPath.h, src/HtmlSpecialHandler.h, src/InputBuffer.cpp, 
    src/InputBuffer.h, src/JFM.h, src/Length.cpp, src/Length.h, 
    src/MapLine.cpp, src/MapLine.h, src/Matrix.cpp, src/Matrix.h, 
    src/MessageException.h, src/MetafontWrapper.cpp, src/MetafontWrapper.h, 
    src/NoPsSpecialHandler.h, src/NumericRanges.h, src/PSInterpreter.h, 
    src/PSPattern.h, src/PSPreviewFilter.h, src/PageRanges.h, src/PageSize.h, 
    src/Pair.h, src/PdfSpecialHandler.cpp, src/PdfSpecialHandler.h, 
    src/Process.h, src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, 
    src/SVGTree.h, src/SWFWriter.cpp, src/SignalHandler.h, 
    src/SpecialActions.h, src/SpecialManager.h, src/StreamWriter.h, 
    src/Subfont.cpp, src/Subfont.h, src/TFM.h, src/ToUnicodeMap.h, 
    src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.h, src/VFReader.cpp, 
    src/VectorStream.h, src/XMLDocument.h, src/XMLNode.h, src/XMLString.cpp, 
    src/XMLString.h, src/dvisvgm.cpp, src/types.h: 
  replaced leading spaces by tabs; removed trailing whitespace 

  * doc/dvisvgm.txt.in, src/BasicDVIReader.h, src/DVIToSVG.cpp, 
    src/DVIToSVG.h, src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, 
    src/EPSToSVG.cpp, src/EPSToSVG.h, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.h, src/PreScanDVIReader.cpp, 
    src/PreScanDVIReader.h, src/SpecialActions.h: 
  process hyperref anchors and links across pages 

  * src/BasicDVIReader.h, src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h: 
  allow to replace the DVI reader assigned to an instance of 
  DVIToSVGActions 

  * src/DVIToSVG.cpp, src/DVIToSVG.h, src/DVIToSVGActions.cpp, 
    src/SpecialManager.cpp, src/SpecialManager.h, src/dvisvgm.cpp: 
  made class SpecialManager a singleton 

  * src/DVIActions.h, src/DVIReader.cpp, src/DVIToSVG.cpp, src/DVIToSVG.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/Makefile.am, 
    src/PreScanDVIReader.cpp, src/PreScanDVIReader.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/SpecialHandler.h, 
    src/SpecialManager.cpp, src/SpecialManager.h, src/StreamReader.cpp, 
    src/StreamReader.h: 
  pre-process DVI file to collect required data not present in the page 
  ranges to be converted 

  * src/BasicDVIReader.h, src/DVIReader.cpp, src/DVIToSVG.cpp, 
    src/DVIToSVG.h, src/dvisvgm.cpp: 
  moved call of executePreamble() and executePostamble() from DVIToSVG to 
  DVIReader 

  * src/BasicDVIReader.cpp, src/BasicDVIReader.h, src/DVIReader.cpp, 
    src/DVIReader.h, src/Makefile.am: 
  moved basic funtionality of DVIReader to base class BasicDVIReader 

2014-06-03  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  fixed incorrect extent values shown when applying a preview bbox 
  (bp->pt) 

  * rpm/Makefile.am: 
  removed outdated project folder 'rpm' 

  * src/DVIReader.cpp, src/DVIReader.h: 
  removed redundant variable DVIReader::_prevBop 

2014-06-01  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/DVIReader.h: 
  removed redundant code from DVIReader::evalCommand() 

  * src/EPSFile.cpp, src/GFReader.cpp: 
  replaced relative variant of seekg() by absolute one where possible 

2014-05-31  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/StreamReader.h, src/VFReader.cpp: 
  renamed some methods of class StreamReader 

  * src/DVIReader.cpp, src/StreamReader.cpp, src/StreamReader.h, 
    src/VFReader.cpp: 
  removed StreamReader::in() 

  * src/DVIReader.cpp, src/VFReader.cpp: 
  few code adjustments 

2014-05-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/DVIReader.h: 
  simplified DVIReader::executePage; removed DVIReader::executePages 

  * src/DVIReader.cpp, src/DVIReader.h, src/dvisvgm.cpp: 
  simplified computation of progress ratio 

  * src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, src/DVIToSVG.h: 
  removed DVIReader::_totalPages; use number of BOP offsets instead 

  * src/DVIReader.cpp, src/DVIReader.h, src/StreamReader.h: 
  collect all DVI BOP offsets to reach them quickly 

2014-05-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Makefile.am: 
  Makefiles: put source files on separate lines 

  * src/Makefile.am, src/RangeMap.h, src/ToUnicodeMap.cpp, 
    src/ToUnicodeMap.h, tests/Makefile.am, tests/ToUnicodeMapTest.cpp: 
  added class ToUnicodeMap to handle mappings from character indexes to 
  unicode points 

  * src/DVIToSVG.cpp, src/Makefile.am, src/NumericRanges.h, 
    src/PageRanges.cpp, src/PageRanges.h, tests/PageRagesTest.cpp: 
  extracted functionality of class PageRanges to separate class 
  NumericRanges 

  * src/CharMap.cpp, src/CharMap.h, src/Font.cpp, src/Font.h, 
    src/FontEngine.cpp, src/FontEngine.h, src/Makefile.am: 
  replaced class CharMap with more generic class RangeMap 

  * src/RangeMap.cpp: 
  fixed right joins of touching ranges in a RangeMap 

  * src/CMap.cpp, src/CMap.h, src/Makefile.am, src/RangeMap.cpp, 
    src/RangeMap.h, tests/Makefile.am, tests/RangeMapTest.cpp: 
  extracted class RangeMap previously implemented as part of SegmentedCMap 

  * src/CharMap.cpp, src/CharMap.h, src/Font.cpp, src/FontEngine.cpp, 
    src/FontEngine.h: 
  removed redundant method CharMap::invert() 

2014-04-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CharMapID.cpp, src/CharMapID.h, src/DVIReader.cpp, src/Font.cpp, 
    src/Font.h, src/FontEngine.cpp, src/FontEngine.h: 
  try to add unicode mappings missing in a font's cmap table 

2014-04-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/SVGTree.cpp: 
  don't add unnecessary element 'missing-glyph' to SVG files 

2014-04-24  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/options.xml: 
  renamed argument of option --linkmark from 'type' to 'style' 

2014-04-22  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, src/Doxyfile: 
  set version to 1.6 

2014-04-21  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/DVIToSVG.cpp, src/EPSToSVG.cpp: 
  removed date and machine triplet from generated SVG files 

2014-04-18  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.h: 
  added optional selection of line/box colors to option --linkmark 

2014-04-17  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/options.xml: 
  changed default argument of option --linkmark to 'box' 

  * src/DVIReader.h, src/DVIToSVGActions.h, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.h, src/SpecialActions.h: 
  only split hyperlink boxes on line breaks 

  * src/CommandLine.h, src/DVIToSVG.cpp, src/EPSToSVG.cpp: 
  don't link GS messages unnecessarily if HAVE_LIBGS is defined 

2014-04-16  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/SVGTree.cpp, src/SVGTree.h, src/dvisvgm.cpp, src/options.xml: 
  added command-line option --zoom 

  * src/Ghostscript.cpp, src/dvisvgm.cpp: 
  moved lookup of MiKTeX's GS DLL to get_libgs() 

  * doc/dvisvgm.txt.in, src/Ghostscript.cpp: 
  if libgs is loaded during runtime, look for libgs.so.X instead of 
  libgs.so 

  * src/DLLoader.cpp: 
  prevent calling dlopen() if the length of the string argument is 0 

2014-04-11  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * configure.ac, src/Doxyfile: 
  set version to 1.5.3 

  * src/CMap.cpp, src/CmdLineParserBase.cpp, src/ColorSpecialHandler.cpp, 
    src/DVIReader.cpp, src/DVIToSVGActions.cpp, src/Doxyfile, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.h, 
    src/EPSFile.cpp, src/EmSpecialHandler.cpp, src/FileFinder.cpp, 
    src/FileSystem.cpp, src/Font.cpp, src/FontCache.cpp, src/FontEncoding.h, 
    src/FontEngine.cpp, src/FontMap.cpp, src/GraphicPath.h, 
    src/PSInterpreter.cpp, src/PageRanges.cpp, src/PsSpecialHandler.cpp, 
    src/SVGTree.cpp, src/SVGTree.h, src/SpecialManager.cpp, src/Subfont.cpp, 
    src/TFM.cpp, src/TpicSpecialHandler.cpp, src/XMLDocument.cpp, 
    src/XMLNode.cpp, src/dvisvgm.cpp: 
  fixed issues in the doxygen documentation 

2014-04-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BoundingBox.h, src/DVIActions.cpp, src/DVIActions.h, 
    src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, 
    src/DvisvgmSpecialHandler.cpp, src/EPSToSVG.cpp, 
    src/EmSpecialHandler.cpp, src/Font.h, src/FontManager.cpp, 
    src/GFGlyphTracer.cpp, src/GFReader.cpp, src/GFTracer.cpp, 
    src/GFTracer.h, src/GraphicPath.h, src/HtmlSpecialHandler.h, 
    src/Makefile.am, src/PSPattern.cpp, src/PSPreviewFilter.cpp, 
    src/PSPreviewFilter.h, src/PageSize.cpp, src/PageSize.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/SVGTree.cpp, 
    src/SpecialHandler.h, src/SpecialManager.cpp, src/SpecialManager.h, 
    src/TFM.cpp, src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.h, 
    src/VFReader.cpp: 
  switched internal computations from TeX points (pt) to PS points (bp) 

  * src/DVIToSVGActions.cpp: 
  equalize implementations of moveToX and moveToY 

2014-02-05  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/DVIReader.h: 
  ensure updating the SVG cursor position when executing DVI command 
  set_rule 

2014-01-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.cpp: 
  check if library given by --libgs is actually a GS library 

2014-01-10  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

2014-01-03  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, src/Doxyfile: 
  set version to 1.5.2 

  * src/FileFinder.cpp: 
  return 'unknown' if MiKTeX version can't be retrieved 

  * src/Directory.cpp: 
  initialize Directory member variables (Win only) 

  * src/FileFinder.cpp: 
  catch exceptions thrown by MiKTeXCom object 

2014-01-02  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am, README, configure.ac, doc/Makefile.am, doc/dvisvgm.txt.in, 
    src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.h, 
    src/Bitmap.cpp, src/Bitmap.h, src/BoundingBox.cpp, src/BoundingBox.h, 
    src/CMap.cpp, src/CMap.h, src/CMapManager.cpp, src/CMapManager.h, 
    src/CMapReader.cpp, src/CMapReader.h, src/CRC32.cpp, src/CRC32.h, 
    src/Calculator.cpp, src/Calculator.h, src/CharMap.cpp, src/CharMap.h, 
    src/CharMapID.cpp, src/CharMapID.h, src/Character.h, 
    src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, src/Color.cpp, 
    src/Color.h, src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, 
    src/CommandLine.cpp, src/CommandLine.h, src/DLLoader.cpp, src/DLLoader.h, 
    src/DVIActions.cpp, src/DVIActions.h, src/DVIReader.cpp, src/DVIReader.h, 
    src/DVIToSVG.cpp, src/DVIToSVG.h, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h, src/Directory.cpp, src/Directory.h, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.h, 
    src/EPSFile.cpp, src/EPSFile.h, src/EPSToSVG.cpp, src/EPSToSVG.h, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.h, src/EncFile.cpp, 
    src/EncFile.h, src/FileFinder.cpp, src/FileFinder.h, src/FilePath.cpp, 
    src/FilePath.h, src/FileSystem.cpp, src/FileSystem.h, src/Font.cpp, 
    src/Font.h, src/FontCache.cpp, src/FontCache.h, src/FontEncoding.cpp, 
    src/FontEncoding.h, src/FontEngine.cpp, src/FontEngine.h, 
    src/FontManager.cpp, src/FontManager.h, src/FontMap.cpp, src/FontMap.h, 
    src/FontMetrics.cpp, src/FontMetrics.h, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.h, src/GFReader.cpp, src/GFReader.h, src/GFTracer.cpp, 
    src/GFTracer.h, src/Ghostscript.cpp, src/Ghostscript.h, src/Glyph.h, 
    src/GlyphTracerMessages.h, src/GraphicPath.h, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.h, src/InputBuffer.cpp, src/InputBuffer.h, 
    src/InputReader.cpp, src/InputReader.h, src/JFM.cpp, src/JFM.h, 
    src/Length.cpp, src/Length.h, src/Makefile.am, src/Makefile.old, 
    src/MapLine.cpp, src/MapLine.h, src/Matrix.cpp, src/Matrix.h, 
    src/Message.cpp, src/Message.h, src/MessageException.h, 
    src/MetafontWrapper.cpp, src/MetafontWrapper.h, src/MiKTeXCom.cpp, 
    src/MiKTeXCom.h, src/NoPsSpecialHandler.cpp, src/NoPsSpecialHandler.h, 
    src/PSFilter.h, src/PSInterpreter.cpp, src/PSInterpreter.h, 
    src/PSPattern.cpp, src/PSPattern.h, src/PSPreviewFilter.cpp, 
    src/PSPreviewFilter.h, src/PageRanges.cpp, src/PageRanges.h, 
    src/PageSize.cpp, src/PageSize.h, src/Pair.h, src/PdfSpecialHandler.cpp, 
    src/PdfSpecialHandler.h, src/Process.cpp, src/Process.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/SVGOutputBase.h, 
    src/SVGTree.cpp, src/SVGTree.h, src/SWFWriter.cpp, src/SWFWriter.h, 
    src/SignalHandler.cpp, src/SignalHandler.h, src/SpecialActions.h, 
    src/SpecialHandler.h, src/SpecialManager.cpp, src/SpecialManager.h, 
    src/StreamReader.cpp, src/StreamReader.h, src/StreamWriter.cpp, 
    src/StreamWriter.h, src/Subfont.cpp, src/Subfont.h, src/System.cpp, 
    src/System.h, src/TFM.cpp, src/TFM.h, src/Terminal.cpp, src/Terminal.h, 
    src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.h, src/VFActions.h, 
    src/VFReader.cpp, src/VFReader.h, src/VectorStream.h, 
    src/XMLDocument.cpp, src/XMLDocument.h, src/XMLNode.cpp, src/XMLNode.h, 
    src/XMLString.cpp, src/XMLString.h, src/dvisvgm.cpp, src/macros.h, 
    src/options.dtd, src/options.xml, src/psdefs.cpp, src/psdefs.ps, 
    src/types.h, tests/BoundingBoxTest.cpp, tests/CMapReaderTest.cpp, 
    tests/CMapTest.cpp, tests/CRC32Test.cpp, tests/CalculatorTest.cpp, 
    tests/ColorSpecialTest.cpp, tests/ColorTest.cpp, 
    tests/CommandLineTest.cpp, tests/DirectoryTest.cpp, 
    tests/FileFinderTest.cpp, tests/FilePathTest.cpp, 
    tests/FileSystemTest.cpp, tests/FontManagerTest.cpp, 
    tests/FontMapTest.cpp, tests/GFReaderTest.cpp, tests/GraphicPathTest.cpp, 
    tests/LengthTest.cpp, tests/Makefile.am, tests/MapLineTest.cpp, 
    tests/MatrixTest.cpp, tests/MessageExceptionTest.cpp, 
    tests/PSInterpreterTest.cpp, tests/PageRagesTest.cpp, 
    tests/PageSizeTest.cpp, tests/PairTest.cpp, 
    tests/SplittedCharInputBufferTest.cpp, tests/StreamInputBufferTest.cpp, 
    tests/StreamReaderTest.cpp, tests/StreamWriterTest.cpp, 
    tests/SubfontTest.cpp, tests/TypesTest.cpp, tests/VectorStreamTest.cpp, 
    tests/check-conv, tests/create-makefile, tests/normalize.xsl: 
  updated year in copyright statements to 2014 

2013-12-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontCache.cpp: 
  catch potential StreamReaderException 

  * src/Directory.cpp, src/Directory.h, src/FontMap.cpp, 
    tests/DirectoryTest.cpp: 
  changed directory entry types from char to enums 

  * src/Font.cpp: 
  check if units per EM are not 0 to prevent divisions by zero 

2013-12-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/Directory.cpp, src/GFReader.cpp: 
  added missing initializations of member variables 

  * src/FontCache.cpp, src/SpecialManager.cpp: 
  restore stream format flags 

  * src/DvisvgmSpecialHandler.cpp, src/FontCache.cpp: 
  ensure null pointer checks before dereferencing 

  * src/DVIReader.cpp: 
  check if denominator of DVI unit is non-zero 

  * src/Matrix.cpp: 
  ensure return value of istream::get() is assigned to int vars 

  * src/FontCache.cpp: 
  avoid accessing strings constructed from temporaries 

  * src/BoundingBox.cpp: 
  explicitely initialize BoundingBox fields 

2013-11-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/SVGTree.cpp, src/SVGTree.h: 
  don't let global font colors interfere with color specials 

2013-10-29  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

2013-10-28  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, src/Doxyfile: 
  set version to 1.5.1 

  * src/DVIReader.cpp: 
  temporarily reactivated processing of font definitions located in the 
  postamble 

  * src/FileSystem.cpp, src/MetafontWrapper.cpp: 
  added explicit casts from ifstream to bool 

  * src/Bitmap.cpp, src/Color.cpp, src/JFM.cpp, src/Matrix.cpp: 
  added missing #includes of header file <algorithm> 

2013-10-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp: 
  suppress output of logical page number if it equals physical page number 

2013-10-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSPreviewFilter.cpp, src/PsSpecialHandler.cpp: 
  ensure proper evaluation of tightpage data if multiple pages are 
  processed 

2013-10-12  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Color.h, src/PsSpecialHandler.cpp, src/PsSpecialHandler.h: 
  added 'const' to read-only methods 

  * src/InputBuffer.h: 
  don't check unsigned variables for negative values 

2013-09-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp: 
  changed warning message that appears if PS support has been disabled 
  permanently 

  * src/DVIToSVG.cpp, src/Ghostscript.h, src/dvisvgm.cpp: 
  added missing guards and functions to prevent compilation errors if 
  DISABLE_GS is set 

  * src/FontCache.cpp, src/FontCache.h: 
  renamed FontCache::VERSION to FontCache::FORMAT_VERSION 

2013-09-01  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * configure.ac, src/Doxyfile: 
  set version to 1.5 

  * src/DLLoader.h, src/Directory.h: 
  moved #define NOMINMAX to Windows config.h 

  * src/BgColorSpecialHandler.cpp, src/Bitmap.cpp, src/BoundingBox.cpp, 
    src/CMap.cpp, src/CMapManager.cpp, src/CMapReader.cpp, src/CRC32.cpp, 
    src/Calculator.cpp, src/CharMap.cpp, src/CmdLineParserBase.cpp, 
    src/Color.cpp, src/ColorSpecialHandler.cpp, src/CommandLine.cpp, 
    src/CommandLine.h, src/DLLoader.cpp, src/DVIActions.cpp, 
    src/DVIReader.cpp, src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, 
    src/Directory.cpp, src/DvisvgmSpecialHandler.cpp, src/EPSFile.cpp, 
    src/EPSToSVG.cpp, src/EmSpecialHandler.cpp, src/EncFile.cpp, 
    src/FileFinder.cpp, src/FilePath.cpp, src/FileSystem.cpp, src/Font.cpp, 
    src/FontCache.cpp, src/FontEncoding.cpp, src/FontEngine.cpp, 
    src/FontManager.cpp, src/FontMap.cpp, src/FontMetrics.cpp, 
    src/GFGlyphTracer.cpp, src/GFReader.cpp, src/GFTracer.cpp, 
    src/Ghostscript.cpp, src/Ghostscript.h, src/HtmlSpecialHandler.cpp, 
    src/InputBuffer.cpp, src/InputReader.cpp, src/JFM.cpp, src/Length.cpp, 
    src/MapLine.cpp, src/Matrix.cpp, src/Message.cpp, 
    src/MetafontWrapper.cpp, src/MiKTeXCom.cpp, src/NoPsSpecialHandler.cpp, 
    src/PSInterpreter.cpp, src/PSPattern.cpp, src/PSPreviewFilter.cpp, 
    src/PageRanges.cpp, src/PageSize.cpp, src/PdfSpecialHandler.cpp, 
    src/Process.cpp, src/PsSpecialHandler.cpp, src/SVGTree.cpp, 
    src/SignalHandler.cpp, src/SpecialManager.cpp, src/StreamReader.cpp, 
    src/StreamWriter.cpp, src/Subfont.cpp, src/System.cpp, src/TFM.cpp, 
    src/Terminal.cpp, src/TpicSpecialHandler.cpp, src/VFReader.cpp, 
    src/XMLDocument.cpp, src/XMLNode.cpp, src/XMLString.cpp, src/dvisvgm.cpp: 
  include config.h at the top of every translation unit 

2013-08-30  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  updated manpage 

  * src/Font.cpp, src/Font.h, src/XMLString.cpp: 
  replaced entity references by corresponding UTF-8 characters; use 
  correct unicode points rather than DVI charcodes 

  * src/DVIReader.cpp, src/DVIReader.h, src/Font.cpp, src/Font.h, 
    src/FontEngine.cpp, src/FontEngine.h, src/FontManager.cpp, 
    src/FontManager.h, src/FontStyle.h, src/SVGTree.cpp, src/dvisvgm.cpp: 
  added support for XDV (DVI format 5) files 

  * src/DVIActions.h, src/DVIReader.cpp, src/DVIReader.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/Font.cpp, src/Font.h, 
    src/FontEngine.cpp, src/FontEngine.h, src/FontMetrics.h, src/JFM.h, 
    src/SVGTree.cpp, src/SVGTree.h, src/TFM.h, src/dvisvgm.cpp: 
  added support for DVI format 3 (pTeX, vertical mode) 

  * src/FontMetrics.h, src/JFM.cpp, src/JFM.h, src/TFM.h: 
  added retrieval of vertical mode flag to class FontMetrics 

2013-08-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CharMap.cpp, src/CharMap.h, src/Font.cpp, src/Font.h, 
    src/FontEncoding.h, src/FontEngine.cpp, src/FontEngine.h, 
    src/FontManager.cpp, src/Makefile.am: 
  replaced local std::map tables used in Font classes with new class 
  CharMap 

2013-08-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLString.cpp: 
  replace very small floating point numbers by 0 

2013-08-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp: 
  suppress error messages from makeFOO tools 

2013-08-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/Font.h, src/FontEncoding.cpp, src/FontEncoding.h, 
    src/FontManager.cpp, src/FontMap.cpp, src/FontMap.h: 
  moved assignment of base font map to Font class 

  * src/CMap.cpp, src/CMap.h, src/CMapManager.cpp, src/CMapManager.h, 
    src/EncFile.h, src/Font.cpp, src/Font.h, src/FontEncoding.cpp, 
    src/FontEncoding.h, src/FontManager.cpp, src/FontMap.cpp, src/FontMap.h: 
  derive EncodingPair from FontEncoding 

2013-08-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/dvisvgm.cpp: 
  fix number of dashes printed by -V1 

  * configure.ac, src/FileFinder.cpp: 
  check if the kpathsea library is C++-safe (patch by Peter Breitenlohner) 

2013-08-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Matrix.cpp, src/Matrix.h: 
  renamed Matrix skewing methods 

2013-08-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.h, src/PSPreviewFilter.cpp, src/PsSpecialHandler.cpp: 
  added missing variable initializations 

  * src/Font.cpp, src/Font.h, src/FontEngine.cpp, src/FontManager.cpp, 
    src/FontMap.cpp, src/FontMap.h, src/FontStyle.h, src/Makefile.am: 
  store pointers to font map and encoding in Font objects to speed up 
  looking them up 

2013-08-03  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMapManager.cpp, src/CMapManager.h, src/FontManager.cpp: 
  avoid const_cast in CMapManager 

2013-08-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMap.h, src/CMapManager.cpp: 
  properly handle 'unicode' encoding entries set in font map 

  * src/DVIActions.h, src/DVIReader.cpp, src/DVIToSVG.cpp: 
  disable font processing while scanning PS header specials 

2013-08-01  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, src/Doxyfile: 
  set version to 1.4 

  * NEWS: 
  updated NEWS 

  * src/DVIToSVG.cpp, src/DVIToSVG.h, src/DVIToSVGActions.h, src/EPSToSVG.h, 
    src/Matrix.cpp, src/Matrix.h, src/PsSpecialHandler.cpp, 
    src/SpecialActions.h, src/dvisvgm.cpp: 
  apply page transformations to width, height, and depth of preview bbox 

  * src/DVIToSVG.cpp: 
  removed redundant #include statements 

  * src/DVIToSVG.cpp, src/Makefile.am, src/SVGTree.cpp, 
    src/XMLDocTypeNode.h: 
  removed DOCTYPE declaration from generated files as suggested by the SVG 
  specification 

  * src/XMLDocument.cpp, src/XMLString.cpp: 
  changed encoding of SVG files from ISO-8859-1 to UTF-8 

2013-07-31  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CMap.h, src/CMapManager.cpp, src/CMapManager.h, src/CMapReader.cpp, 
    src/CharMapID.cpp, src/CharMapID.h, src/Font.cpp, src/Font.h, 
    src/FontEngine.cpp, src/FontEngine.h, src/FontManager.cpp, 
    src/FontMap.cpp, src/FontMap.h, src/Makefile.am: 
  try to decode characters of non-CID fonts that have a CMap assigned in 
  the fontmap 

  * src/CMap.cpp, src/CMap.h, src/CMapReader.cpp, src/CMapReader.h, 
    tests/CMapReaderTest.cpp, tests/CMapTest.cpp, tests/Makefile.am: 
  added evaluation of base font (bf) sections in CMap files 

  * src/Font.cpp, src/Font.h, src/FontMetric.cpp, src/FontMetric.h, 
    src/FontMetrics.cpp, src/FontMetrics.h, src/Makefile.am, src/TFM.h: 
  renamed class FontMetric to FontMetrics 

  * src/FileFinder.cpp, src/Font.cpp, src/Font.h, src/FontManager.cpp: 
  added support for OTF fonts 

  * src/CMap.cpp, src/CMap.h, src/Character.h, src/EncFile.h, src/Font.cpp, 
    src/Font.h, src/FontEncoding.h, src/FontEngine.cpp, src/FontEngine.h, 
    src/Makefile.am, tests/CMapTest.cpp: 
  added Character class to handle character names, codes, and indexes 
  consistently 

  * src/CMap.cpp, src/CMap.h, src/CMapManager.h, src/EncFile.cpp, 
    src/EncFile.h, src/FileFinder.cpp, src/Font.cpp, src/Font.h, 
    src/FontEncoding.cpp, src/FontEncoding.h, src/FontEngine.cpp, 
    src/FontEngine.h, src/FontManager.cpp, src/Makefile.am, 
    tests/CMapTest.cpp: 
  derive .enc encoding vectors and CMaps from common base class 
  FontEncoding 

  * src/CMap.cpp, src/CMap.h, src/CMapManager.cpp, src/CMapManager.h, 
    src/CMapReader.cpp, src/CMapReader.h, src/FontManager.cpp, 
    src/Makefile.am, tests/CMapTest.cpp, tests/Makefile.am: 
  added classes to handle CMap files 

2013-07-27  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/DVIActions.h, src/DVIReader.cpp, 
    src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, 
    src/EPSToSVG.cpp, src/Makefile.am, src/PSFilter.h, src/PSInterpreter.cpp, 
    src/PSInterpreter.h, src/PSPreviewFilter.cpp, src/PSPreviewFilter.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/SpecialActions.h, 
    src/SpecialHandler.h, src/SpecialManager.cpp, src/SpecialManager.h: 
  added evaluation of bounding box information created by preview package 

  * src/PSInterpreter.cpp, src/PSInterpreter.h, src/PsSpecialHandler.cpp: 
  added funtion to execute PS code snippets and retrieve their results 

  * src/BgColorSpecialHandler.h, src/DVIToSVG.cpp, src/PSInterpreter.cpp, 
    src/PSInterpreter.h, src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, 
    src/SpecialManager.cpp, src/SpecialManager.h: 
  ensure that PS header code is evaluated before the page/body code; also 
  execute bop-hook and eop-hook 

  * src/JFM.cpp: 
  fixed retrieval of char indexes if a JFM contains entries of chartype 0 
  only 

2013-07-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontMap.cpp: 
  check for EOF prior to try to parse another mapline 

  * src/psdefs.cpp, src/psdefs.ps: 
  PS handler: call newpath before executing charpath in operator show 

  * src/EPSToSVG.cpp: 
  print warning message if height or width of EPS bbox is 0 

2013-07-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp, src/psdefs.ps: 
  replaced PS operator prval with =only in psdefs 

2013-07-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.cpp, src/psdefs.ps: 
  properly store PS operator applyscalevals in systemdict 

  * src/DVIToSVG.cpp: 
  ensure catching PSExceptions while processing PS header specials to 
  prevent segfaults 

2013-07-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp, src/FileFinder.h: 
  FileFinder: added lookup of cmap files 

  * src/Process.cpp, src/Process.h: 
  extended Process::run() to grab the output written to stdout 

2013-07-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, src/CommandLine.cpp: 
  command-line parser: changed type of argument mode from char to enum 

2013-06-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp: 
  removed redundant 'using namespace std' 

2013-06-03  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.h, src/dvisvgm.cpp: 
  extend option --linkmark to highlight linked areas by a given background 
  color 

2013-06-01  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Color.cpp, src/Color.h, src/ColorSpecialHandler.cpp, 
    src/ColorSpecialHandler.h, src/SpecialActions.h, 
    tests/ColorSpecialTest.cpp, tests/ColorTest.cpp, tests/Makefile.am: 
  use Color class in ColorSpecialHandler rather than local code; added 
  ColorTest 

2013-05-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/dvisvgm.cpp: 
  added a missing (underlining) hyphen to the output of -V1 

2013-05-13  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * configure.ac, src/Doxyfile: 
  set version to 1.3 

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/HtmlSpecialHandler.cpp, src/dvisvgm.cpp, src/options.xml: 
  added option --linkmark to select the highlighing variant for hyperlinks 

  * doc/dvisvgm.txt.in, src/DVIToSVG.cpp, src/HtmlSpecialHandler.cpp, 
    src/HtmlSpecialHandler.h, src/Makefile.am, src/SpecialManager.cpp: 
  added support of hyperref specials 

  * src/FileFinder.cpp, src/MiKTeXCom.cpp, src/MiKTeXCom.h, src/dvisvgm.cpp: 
  try to load the Ghostscript library that comes with MiKTeX 

  * src/Font.cpp, src/FontMetric.cpp, src/FontMetric.h, src/JFM.cpp, 
    src/JFM.h, src/Makefile.am, src/StreamReader.h, src/TFM.cpp, src/TFM.h: 
  added support for Japanese font metric (JFM) files 

  * src/Font.cpp, src/Font.h, src/FontManager.h, src/FontMetric.cpp, 
    src/FontMetric.h, src/Makefile.am, src/TFM.cpp, src/TFM.h: 
  handle invalid TFM files properly 

2013-05-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIActions.h, src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, 
    src/DVIToSVG.h, src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.h, 
    src/NoPsSpecialHandler.cpp, src/NoPsSpecialHandler.h, 
    src/SpecialHandler.h, src/SpecialManager.cpp, src/SpecialManager.h, 
    src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.h: 
  added page number parameter to DVIEndPageListener::dviEndPage() 

  * src/EmSpecialHandler.h, src/NoPsSpecialHandler.h, src/SpecialHandler.h, 
    src/SpecialManager.cpp, src/SpecialManager.h, src/TpicSpecialHandler.h: 
  moved DVI listener methods to dedicated listener interface classes 

  * src/HtmlSpecialHandler.h: 
  dropped old HtmlSpecialHandler.h that should had been removed long time 
  ago 

  * src/InputReader.cpp, src/InputReader.h: 
  added optional parameter 'quotechar' to InputReader::parseAttributes() 

  * src/DVIToSVGActions.h, src/EPSToSVG.h, src/SpecialActions.h: 
  provide the context push/pop methods of class SVGTree to special 
  handlers 

  * src/SVGTree.cpp, src/SVGTree.h: 
  added methods to push and pop 'context elements' to a page that wrap 
  parts of the page contents 

  * AUTHORS, Makefile.am, README, configure.ac, potracelib/Makefile.am, 
    potracelib/auxiliary.h, potracelib/bitmap.h, potracelib/curve.c, 
    potracelib/curve.h, potracelib/decompose.c, potracelib/decompose.h, 
    potracelib/lists.h, potracelib/potracelib.c, potracelib/potracelib.h, 
    potracelib/progress.h, potracelib/trace.c, potracelib/trace.h: 
  removed bundled potrace library 

2013-05-01  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp, src/Terminal.cpp, src/Terminal.h: 
  disable cursor when showing the progress indicator (Windows only) 

2013-04-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp: 
  don't link NoPsSpecialHandler if HAVE_LIBGS 

2013-04-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontEncoding.cpp: 
  fixed bracketing bug that prevented lookup of fontmap files 

2013-04-24  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * configure.ac, src/Doxyfile: 
  set version to 1.2.2 

  * src/BoundingBox.cpp, src/BoundingBox.h, src/Calculator.cpp, 
    src/Calculator.h, src/Matrix.cpp, src/Matrix.h, src/MessageException.h, 
    src/PageSize.cpp, src/PageSize.h, src/StreamReader.cpp, 
    src/StreamReader.h, src/VFReader.cpp, src/VFReader.h, src/VectorStream.h, 
    src/XMLDocument.cpp, src/XMLDocument.h: 
  added missing underscores to private member variables 

2013-04-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BoundingBox.cpp, src/BoundingBox.h, src/Calculator.h, 
    src/CmdLineParserBase.h, src/DVIToSVGActions.cpp, src/Message.cpp, 
    src/VFReader.cpp: 
  added missing member initializations to some classes 

  * src/DVIToSVG.cpp, src/EPSToSVG.cpp, src/dvisvgm.cpp: 
  avoid output of empty parentheses if TARGET_SYSTEM is not set 

2013-04-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp, src/Makefile.am, src/NoPsSpecialHandler.cpp, 
    src/NoPsSpecialHandler.h, src/SpecialManager.cpp: 
  print a warning message if PS specials are found but ignored 

2013-04-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp, src/dvisvgm.cpp: 
  catch MessageException if MiKTeX version can't be obtained 

2013-04-09  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * configure.ac, src/Doxyfile: 
  set version to 1.2.1 

  * tests/Makefile.am, tests/create-makefile: 
  updated tests/Makefile.am to honor system potracelib if present 

2013-04-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PageRanges.h: 
  dropped unused variable PageRanges::_max 

  * src/CmdLineParserBase.h, src/InputReader.h: 
  changed 'struct InputReader' to 'class InputReader' 

  * doc/dvisvgm.txt.in, src/Color.cpp, src/Color.h, src/DVIToSVGActions.cpp: 
  allow the background color special to insert white rectancles 

2013-04-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLNode.cpp, src/XMLNode.h: 
  unhide derived method XMLDeclarationNode::append 

2013-03-10  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am, configure.ac: 
  don't build bundled potracelib if system library is used (patch by 
  Alexis Ballier) 

2013-03-03  Martin Gieseking  <martin.gieseking@uos.de>

  * potracelib/auxiliary.h, potracelib/bitmap.h, potracelib/curve.c, 
    potracelib/curve.h, potracelib/decompose.c, potracelib/decompose.h, 
    potracelib/lists.h, potracelib/potracelib.c, potracelib/potracelib.h, 
    potracelib/progress.h, potracelib/trace.c, potracelib/trace.h: 
  updated bundled potrace library to version 1.11 

2013-03-02  Martin Gieseking  <martin.gieseking@uos.de>

  * potracelib/auxiliary.h, potracelib/bitmap.h, potracelib/curve.c, 
    potracelib/decompose.h, potracelib/lists.h, potracelib/progress.h, 
    potracelib/trace.c, potracelib/trace.h, src/EPSFile.cpp, 
    src/EPSToSVG.cpp, src/EPSToSVG.h, src/PSPattern.cpp, src/PSPattern.h, 
    src/SVGOutputBase.h: 
  converted DOS line endings 

2013-02-28  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * configure.ac, src/Doxyfile: 
  set version to 1.2 

  * src/psdefs.cpp, src/psdefs.ps: 
  improved processing of PS operator "show" 

  * tests/MapLineTest.cpp: 
  prevent MapLineTest from failing if file UGBK.sfd is not available 

  * src/Makefile.am, src/PSInterpreter.cpp, src/psdefs.cpp, src/psdefs.ps, 
    src/psdefs.psc: 
  make psdefs a separate compilation unit 

  * src/Makefile.am, src/PSInterpreter.cpp, src/PSInterpreter.h, 
    src/PSPattern.cpp, src/PSPattern.h, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/psdefs.ps, src/psdefs.psc, 
    tests/PSInterpreterTest.cpp: 
  PS handler: added support of tiling patterns 

2013-02-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLNode.cpp, src/XMLNode.h: 
  added methods to lookup attribute values and selected descendant XML 
  nodes 

2013-02-19  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FilePath.cpp: 
  adapt path separators on Windows systems to get the  correct output path 

  * src/PSInterpreter.cpp, src/PSInterpreter.h: 
  added PSInterpreter::limit() to limit the number of bytes to be 
  processed 

2013-02-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, src/CommandLine.cpp, 
    src/CommandLine.h: 
  applied a few refactorings to the command-line parser 

2013-02-07  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, 
    src/CommandLine.cpp, src/CommandLine.h, src/dvisvgm.cpp, src/options.xml: 
  added optional parameter to option --help to specify output format 

2013-02-06  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/BoundingBox.cpp, src/CommandLine.cpp, 
    src/CommandLine.h, src/EmSpecialHandler.cpp, src/GraphicPath.h, 
    src/Matrix.cpp, src/PsSpecialHandler.cpp, src/TpicSpecialHandler.cpp, 
    src/XMLString.cpp, src/XMLString.h, src/dvisvgm.cpp, src/options.xml: 
  added option --precision to set the number of decimal places applied to 
  attribute values 

2013-01-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CommandLine.cpp: 
  fixed alignment of --help text 

2013-01-21  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, README: 
  updated NEWS and README 

  * configure.ac, src/Doxyfile: 
  set version to 1.1 

  * src/CommandLine.cpp, src/Font.cpp, src/Font.h, src/FontEngine.cpp, 
    src/FontEngine.h, src/FontManager.cpp, src/FontMap.cpp, src/FontMap.h, 
    src/MapLine.cpp, src/MapLine.h, tests/MapLineTest.cpp: 
  implemented evaluation of font style options given in a mapline 

  * src/FontManager.cpp, src/FontMap.cpp, src/FontMap.h, src/MapLine.h: 
  replaced FontMap entries by pointers; initialize entries with MapLine 
  objects 

  * src/DVIReader.cpp, src/DVIToSVG.cpp, src/FileFinder.cpp, src/Font.cpp, 
    src/Font.h, src/FontEncoding.cpp, src/FontEngine.cpp, src/FontEngine.h, 
    src/FontManager.cpp, src/FontMap.cpp, src/FontMap.h, src/Makefile.am, 
    src/MapLine.cpp, src/MapLine.h, src/Subfont.cpp, src/Subfont.h, 
    tests/FontMapTest.cpp, tests/Makefile.am, tests/MapLineTest.cpp, 
    tests/SubfontTest.cpp, tests/create-makefile, tests/sample.sfd: 
  added support for subfont definitions and multi-font (.ttc) files 

2013-01-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontEngine.cpp, src/FontEngine.h: 
  removed unneeded code related to font sizes from class FontEngine 

2013-01-16  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/DVIToSVG.cpp, src/FontMap.cpp, src/FontMap.h, 
    src/Makefile.am, src/PdfSpecialHandler.cpp, src/PdfSpecialHandler.h: 
  added PdfSpecialHandler to evaluate pdf:mapline and pdf:mapfile specials 

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/FontMap.cpp, src/FontMap.h, src/dvisvgm.cpp, src/options.xml: 
  renamed option --map-file to --fontmap; allow multiple mapfiles and 
  modes 

2013-01-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/FontEncoding.cpp: 
  fixed a string exception that occurred when an encoding file or an entry 
  in the encoding table is unavailable 

2013-01-06  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp, src/FileFinder.h, src/FontEncoding.cpp, 
    src/FontEncoding.h: 
  removed font encoding methods from FileFinder 

2013-01-02  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am, README, configure.ac, doc/Makefile.am, doc/dvisvgm.txt.in, 
    src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.h, 
    src/Bitmap.cpp, src/Bitmap.h, src/BoundingBox.cpp, src/BoundingBox.h, 
    src/CRC32.cpp, src/CRC32.h, src/Calculator.cpp, src/Calculator.h, 
    src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, src/Color.cpp, 
    src/Color.h, src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, 
    src/CommandLine.cpp, src/CommandLine.h, src/DLLoader.cpp, src/DLLoader.h, 
    src/DVIActions.cpp, src/DVIActions.h, src/DVIReader.cpp, src/DVIReader.h, 
    src/DVIToSVG.cpp, src/DVIToSVG.h, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h, src/Directory.cpp, src/Directory.h, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.h, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.h, src/FileFinder.cpp, 
    src/FileFinder.h, src/FilePath.cpp, src/FilePath.h, src/FileSystem.cpp, 
    src/FileSystem.h, src/Font.cpp, src/Font.h, src/FontCache.cpp, 
    src/FontCache.h, src/FontEncoding.cpp, src/FontEncoding.h, 
    src/FontEngine.cpp, src/FontEngine.h, src/FontManager.cpp, 
    src/FontManager.h, src/FontMap.cpp, src/FontMap.h, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.h, src/GFReader.cpp, src/GFReader.h, src/GFTracer.cpp, 
    src/GFTracer.h, src/Ghostscript.cpp, src/Ghostscript.h, src/Glyph.h, 
    src/GlyphTracerMessages.h, src/GraphicPath.h, src/HtmlSpecialHandler.h, 
    src/InputBuffer.cpp, src/InputBuffer.h, src/InputReader.cpp, 
    src/InputReader.h, src/Length.cpp, src/Length.h, src/Makefile.am, 
    src/Matrix.cpp, src/Matrix.h, src/Message.cpp, src/Message.h, 
    src/MessageException.h, src/MetafontWrapper.cpp, src/MetafontWrapper.h, 
    src/MiKTeXCom.cpp, src/MiKTeXCom.h, src/PSInterpreter.cpp, 
    src/PSInterpreter.h, src/PageRanges.cpp, src/PageRanges.h, 
    src/PageSize.cpp, src/PageSize.h, src/Pair.h, src/Process.cpp, 
    src/Process.h, src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, 
    src/SVGTree.cpp, src/SVGTree.h, src/SWFWriter.cpp, src/SWFWriter.h, 
    src/SignalHandler.cpp, src/SignalHandler.h, src/SpecialActions.h, 
    src/SpecialHandler.h, src/SpecialManager.cpp, src/SpecialManager.h, 
    src/StreamReader.cpp, src/StreamReader.h, src/StreamWriter.cpp, 
    src/StreamWriter.h, src/System.cpp, src/System.h, src/TFM.cpp, src/TFM.h, 
    src/Terminal.cpp, src/Terminal.h, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.h, src/VFActions.h, src/VFReader.cpp, 
    src/VFReader.h, src/VectorStream.h, src/XMLDocTypeNode.h, 
    src/XMLDocument.cpp, src/XMLDocument.h, src/XMLNode.cpp, src/XMLNode.h, 
    src/XMLString.cpp, src/XMLString.h, src/dvisvgm.cpp, src/macros.h, 
    src/options.dtd, src/options.xml, src/psdefs.ps, src/psdefs.psc, 
    src/types.h, tests/BoundingBoxTest.cpp, tests/CRC32Test.cpp, 
    tests/CalculatorTest.cpp, tests/ColorSpecialTest.cpp, 
    tests/CommandLineTest.cpp, tests/DirectoryTest.cpp, 
    tests/FileFinderTest.cpp, tests/FilePathTest.cpp, 
    tests/FileSystemTest.cpp, tests/FontManagerTest.cpp, 
    tests/FontMapTest.cpp, tests/GFReaderTest.cpp, tests/GraphicPathTest.cpp, 
    tests/LengthTest.cpp, tests/Makefile.am, tests/MatrixTest.cpp, 
    tests/MessageExceptionTest.cpp, tests/PSInterpreterTest.cpp, 
    tests/PageRagesTest.cpp, tests/PageSizeTest.cpp, tests/PairTest.cpp, 
    tests/SplittedCharInputBufferTest.cpp, tests/StreamInputBufferTest.cpp, 
    tests/StreamReaderTest.cpp, tests/StreamWriterTest.cpp, 
    tests/TypesTest.cpp, tests/VectorStreamTest.cpp, tests/create-makefile: 
  updated year in copyright statements to 2013 

2012-12-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp, src/Message.cpp, src/dvisvgm.cpp: 
  reduced scope of some variables 

  * src/CmdLineParserBase.h, src/Directory.cpp, src/GFReader.cpp, 
    src/PsSpecialHandler.cpp: 
  initialize uninitialized member variables 

  * src/FileFinder.cpp, src/MiKTeXCom.cpp, src/Process.cpp: 
  avoid creating copies of exception objects 

  * src/FontCache.cpp, src/PsSpecialHandler.cpp, src/TpicSpecialHandler.cpp: 
  check emptiness of containers with empty() instead of size() 

2012-12-12  Martin Gieseking  <martin.gieseking@uos.de>

  * src/SpecialManager.cpp: 
  clear all corresponding containers when calling 
  SpecialHandler::unregisterHandlers() 

  * src/FontCache.cpp: 
  replaced 'char' with 'glyph' in font cache listing 

2012-12-03  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.cpp: 
  added explicit cast to avoid signed/unsigned comparison warning 

2012-12-02  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/Ghostscript.cpp: 
  use gsdll64.dll for 64-bit builds; added info about gsdll64.dll to 
  manpage 

  * src/FileFinder.cpp, src/FontEngine.cpp, src/Makefile.am, 
    src/MiKTeXCom.cpp, src/MiKTeXCom.h: 
  moved MiKTeX COM code to separate class 

  * src/MiKTeX209-session_i.c: 
  add additiona files required to build dvisvgm with MinGW 

  * src/macros.h: 
  removed SHOW() from macros.h 

  * tests/FileSystemTest.cpp, tests/GFReaderTest.cpp: 
  ensure that tests work properly on Windows 

  * src/FilePath.cpp, tests/FilePathTest.cpp: 
  strip drive letter if it's not set (Windows only) 

2012-11-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSInterpreter.cpp, src/psdefs.ps, src/psdefs.psc: 
  print operand stack in case of a PS error 

  * src/Ghostscript.cpp, src/Ghostscript.h, src/PSInterpreter.cpp, 
    src/PSInterpreter.h, src/dvisvgm.cpp: 
  print an error message if the execution of PS code fails 

2012-11-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Message.cpp: 
  handle wrapping of messages containing newlines correctly 

2012-11-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DLLoader.cpp, src/DLLoader.h, src/Ghostscript.cpp: 
  renamed DLLoader::loadFunction() to DLLoader::loadSymbol() 

2012-11-19  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/Font.h, src/FontManager.cpp: 
  print warning if font checksums don't match 

  * src/FontEngine.cpp, src/FontEngine.h: 
  renamed FontEngine::fname to FontEngine::_fontname 

2012-11-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Directory.h: 
  undefine macro max() to avoid compilation problems on Windows 

2012-11-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp, src/FontManager.cpp, src/FontMap.cpp, src/FontMap.h, 
    tests/FontMapTest.cpp: 
  adapted code to use new MapLine class; introduced support of map line 
  modes 

  * src/Makefile.am, src/MapLine.cpp, src/MapLine.h, tests/Makefile.am, 
    tests/MapLineTest.cpp: 
  added new class MapLine to parse and evaluate a single line of a map 
  file 

  * src/FileFinder.cpp, src/FileFinder.h, src/dvisvgm.cpp: 
  moved initialization of FontMap from FileFinder to dvisvgm.cpp 

  * src/FileFinder.cpp, src/FileFinder.h, src/FontMap.cpp, src/FontMap.h, 
    tests/FontMapTest.cpp: 
  made class FontMap a singleton 

2012-11-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp: 
  prevent compilation error when using a C++11 compiler (patch by Peter 
  Breitenlohner) 

  * src/FileFinder.cpp, src/FileFinder.h, src/dvisvgm.cpp, 
    tests/FileFinderTest.cpp, tests/FontManagerTest.cpp: 
  initialize second parameter of kpse_set_program_name() correctly 

  * src/FileFinder.cpp: 
  initialize Ghostscript when compiled for TeX Live Win32 (patch by Peter 
  Breitenlohner) 

2012-11-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/InputBuffer.cpp, src/InputBuffer.h, src/InputReader.cpp, 
    src/InputReader.h, src/PsSpecialHandler.cpp, 
    tests/StreamInputBufferTest.cpp: 
  some refactorings of class InputReader; added InputReader::find() 

2012-10-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp, src/DVIToSVG.h, src/dvisvgm.cpp: 
  don't show warning about disabled PS support in list of special handlers 

2012-09-27  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am: 
  remove manpage when calling 'make distclean' 

  * NEWS: 
  updated NEWS 

  * configure.ac, src/Doxyfile: 
  set version to 1.0.12 

2012-09-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp, src/PsSpecialHandler.h: 
  removed Ghostscript info from ps entry in list of special handlers 

  * src/DVIToSVG.cpp: 
  show warning if processing of PS specials is disabled 

2012-06-06  Martin Gieseking  <martin.gieseking@uos.de>

  * src/gfprint.mak: 
  fixed bugs in gfprint, and added gfprint.mak for easier builds 

2012-04-17  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am: 
  keep manpage when calling 'make clean' or 'make distclean' 

2012-04-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp, src/SVGTree.cpp, src/SVGTree.h, 
    tests/frktest-nf-cmp.svg, tests/frktest-wf-cmp.svg, 
    tests/sample-nf-cmp.svg, tests/sample-wf-cmp.svg: 
  scale point units in the SVG files to big points (bp) 

2012-04-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Matrix.cpp, src/Matrix.h, tests/MatrixTest.cpp: 
  added Matrix::invert() and det() 

2012-03-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Matrix.cpp, src/Matrix.h, tests/MatrixTest.cpp: 
  added start index parameter to Matrix::set(vector<>) 

2012-03-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.ps, src/psdefs.psc: 
  evaluate PS operators rectclip, rectfill, and rectstroke 

2012-03-09  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * src/dvisvgm.cpp: 
  added Ghostscript to library list printed by --version=yes 

  * src/Ghostscript.cpp, src/Ghostscript.h: 
  added optional parameter to Ghostscript::revision() to retrieve the 
  revision number only 

2012-03-08  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, src/Doxyfile: 
  set version to 1.0.11 

2012-03-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp: 
  correct location of a rule's bounding box (lp bug #948713) 

2012-02-24  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  fixed a couple of mistakes and formatting flaws in the manpage 

2012-02-17  Martin Gieseking  <martin.gieseking@uos.de>

  * README: 
  updated information about bug reporting 

2012-01-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CmdLineParserBase.h, src/DVIActions.h, src/DVIReader.h, 
    src/DVIToSVGActions.h, src/FontEngine.h, src/FontManager.h, 
    src/MetafontWrapper.h, src/SVGTree.h, src/SpecialActions.h, 
    src/SpecialHandler.h, src/SpecialManager.h, src/TFM.h, src/VFReader.h: 
  adapt forward declarations of classes and structs to their corresponding 
  definition (SF bug #3480013) 

2012-01-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TpicSpecialHandler.cpp: 
  added some more comments to methods of class TpicSpecialHandler 

  * src/InputReader.cpp, tests/StreamInputBufferTest.cpp: 
  fixed parsing of negative floating point numbers starting with '-0.' (SF 
  bug #3471097) 

2012-01-06  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am, README, configure.ac, doc/Makefile.am, doc/dvisvgm.txt.in, 
    src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.h, 
    src/Bitmap.cpp, src/Bitmap.h, src/BoundingBox.cpp, src/BoundingBox.h, 
    src/CRC32.cpp, src/CRC32.h, src/Calculator.cpp, src/Calculator.h, 
    src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, src/Color.cpp, 
    src/Color.h, src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, 
    src/CommandLine.cpp, src/CommandLine.h, src/DLLoader.cpp, src/DLLoader.h, 
    src/DVIActions.cpp, src/DVIActions.h, src/DVIReader.cpp, src/DVIReader.h, 
    src/DVIToSVG.cpp, src/DVIToSVG.h, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h, src/Directory.cpp, src/Directory.h, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.h, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.h, src/FileFinder.cpp, 
    src/FileFinder.h, src/FilePath.cpp, src/FilePath.h, src/FileSystem.cpp, 
    src/FileSystem.h, src/Font.cpp, src/Font.h, src/FontCache.cpp, 
    src/FontCache.h, src/FontEncoding.cpp, src/FontEncoding.h, 
    src/FontEngine.cpp, src/FontEngine.h, src/FontManager.cpp, 
    src/FontManager.h, src/FontMap.cpp, src/FontMap.h, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.h, src/GFReader.cpp, src/GFReader.h, src/GFTracer.cpp, 
    src/GFTracer.h, src/Ghostscript.cpp, src/Ghostscript.h, src/Glyph.h, 
    src/GlyphTracerMessages.h, src/GraphicPath.h, src/HtmlSpecialHandler.h, 
    src/InputBuffer.cpp, src/InputBuffer.h, src/InputReader.cpp, 
    src/InputReader.h, src/Length.cpp, src/Length.h, src/Makefile.am, 
    src/Matrix.cpp, src/Matrix.h, src/Message.cpp, src/Message.h, 
    src/MessageException.h, src/MetafontWrapper.cpp, src/MetafontWrapper.h, 
    src/PSInterpreter.cpp, src/PSInterpreter.h, src/PageRanges.cpp, 
    src/PageRanges.h, src/PageSize.cpp, src/PageSize.h, src/Pair.h, 
    src/Process.cpp, src/Process.h, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/SVGTree.cpp, src/SVGTree.h, 
    src/SWFWriter.cpp, src/SWFWriter.h, src/SignalHandler.cpp, 
    src/SignalHandler.h, src/SpecialActions.h, src/SpecialHandler.h, 
    src/SpecialManager.cpp, src/SpecialManager.h, src/StreamReader.cpp, 
    src/StreamReader.h, src/StreamWriter.cpp, src/StreamWriter.h, 
    src/System.cpp, src/System.h, src/TFM.cpp, src/TFM.h, src/Terminal.cpp, 
    src/Terminal.h, src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.h, 
    src/VFActions.h, src/VFReader.cpp, src/VFReader.h, src/VectorStream.h, 
    src/XMLDocTypeNode.h, src/XMLDocument.cpp, src/XMLDocument.h, 
    src/XMLNode.cpp, src/XMLNode.h, src/XMLString.cpp, src/XMLString.h, 
    src/dvisvgm.cpp, src/macros.h, src/options.dtd, src/options.xml, 
    src/psdefs.ps, src/psdefs.psc, src/types.h, tests/BoundingBoxTest.cpp, 
    tests/CRC32Test.cpp, tests/CalculatorTest.cpp, 
    tests/ColorSpecialTest.cpp, tests/CommandLineTest.cpp, 
    tests/DirectoryTest.cpp, tests/FileFinderTest.cpp, 
    tests/FilePathTest.cpp, tests/FileSystemTest.cpp, 
    tests/FontManagerTest.cpp, tests/FontMapTest.cpp, tests/GFReaderTest.cpp, 
    tests/GraphicPathTest.cpp, tests/LengthTest.cpp, tests/Makefile.am, 
    tests/MatrixTest.cpp, tests/MessageExceptionTest.cpp, 
    tests/PSInterpreterTest.cpp, tests/PageRagesTest.cpp, 
    tests/PageSizeTest.cpp, tests/PairTest.cpp, 
    tests/SplittedCharInputBufferTest.cpp, tests/StreamInputBufferTest.cpp, 
    tests/StreamReaderTest.cpp, tests/StreamWriterTest.cpp, 
    tests/TypesTest.cpp, tests/VectorStreamTest.cpp, tests/check-conv, 
    tests/create-makefile: 
  updated year in copyright statements 

2011-12-18  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * configure.ac, src/Doxyfile: 
  set version to 1.0.10 

  * tests/Makefile.am, tests/create-makefile: 
  link tests with -lpthread (required by gtest on Ubuntu) 

2011-12-17  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  added documentation on environment variable DVISVGM_COLORS to manpage 

  * src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, src/GlyphTracerMessages.h, 
    src/Message.cpp, src/Message.h, src/MetafontWrapper.cpp, 
    src/Terminal.cpp, src/Terminal.h, src/dvisvgm.cpp: 
  allow users to customize the message colors 

2011-11-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicPath.h: 
  added some more comments to the methods of GraphicPath 

2011-11-18  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac: 
  move linker flag -lfreetype from LDFLAGS to LIBS to avoid linking 
  problems 

2011-10-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/SVGTree.cpp: 
  avoid possible collisions of glyph IDs 

  * src/FontMap.cpp: 
  removed unused variable eval_prefix in helper function read_entry() 

2011-10-13  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

2011-10-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/Font.h, src/FontManager.cpp, src/FontManager.h: 
  extended class FontManager to handle external fonts 

  * src/ExternalFont.cpp, src/ExternalFont.h, src/Makefile.am: 
  added class ExternalFont 

2011-10-09  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, src/FontDB.cpp, src/FontDB.h, src/Makefile.am: 
  added class FontDB 

  * src/DirectoryTree.cpp, src/DirectoryTree.h, src/Makefile.am, 
    tests/DirectoryTreeTest.cpp, tests/Makefile.am: 
  added class DirectoryTree 

  * src/Directory.h: 
  dropped method Directory::getEntry() 

  * src/FilePath.cpp: 
  added some missing comments to methods of class FilePath 

2011-10-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Process.cpp: 
  exclude definition of split_paramstr() from Windows builds as it's not 
  used there 

  * src/Process.cpp: 
  added missing include <signal.h> to Process.cpp 

2011-10-03  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am: 
  add metadata/pdfmarks to pdf version of manpage 

2011-09-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/InputReader.cpp, src/InputReader.h, tests/StreamInputBufferTest.cpp: 
  added InputReader::getUntil() to simplify parsing of an input stream 

  * src/CommandLine.cpp, src/CommandLine.h, src/dvisvgm.cpp, 
    src/options.xml: 
  added command-line option --query 

2011-09-06  Martin Gieseking  <martin.gieseking@uos.de>

  * potracelib/auxiliary.h, potracelib/bitmap.h, potracelib/curve.c, 
    potracelib/curve.h, potracelib/decompose.c, potracelib/decompose.h, 
    potracelib/lists.h, potracelib/potracelib.c, potracelib/potracelib.h, 
    potracelib/progress.h, potracelib/trace.c, potracelib/trace.h: 
  updated bundled potrace library to version 1.10 

2011-06-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp, src/MetafontWrapper.cpp: 
  fixed segfault occured in TeX Live Win32 caused by mf.exe being 
  unavailable (SF bug #3308473) 

  * configure.ac, src/Doxyfile: 
  set version to 1.0.9dev 

2011-05-31  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  explicitly cast double to int in call of ClippingStack::dup()/pop() 

  * NEWS, configure.ac, src/Doxyfile: 
  set version to 1.0.8; updated NEWS 

2011-05-27  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/check-conv, tests/sample-nf-cmp.svg, tests/sample-wf-cmp.svg: 
  updated conversion tests 

2011-05-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/Makefile.am, src/MetafontWrapper.cpp, 
    src/MetafontWrapper.h, src/Process.cpp, src/Process.h, 
    src/SignalHandler.cpp: 
  replaced call of system() with Process::run() and kill child process if 
  necessary 

2011-05-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/MetafontWrapper.cpp: 
  dropped '--halt-on-error' in Metafont call to process buggy mf files 
  completely 

  * src/FileFinder.cpp: 
  MiKTeX: maketfm and makemf have been renamed to miktex-maketfm and 
  miktex-makemf 

2011-05-19  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DLLoader.h: 
  added #undef NOMINMAX before (re)defining it 

2011-05-12  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSInterpreter.cpp, src/PSInterpreter.h, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/psdefs.ps, src/psdefs.psc, 
    tests/PSInterpreterTest.cpp: 
  PS handler: implemented evaluation of save, restore, and grestoreall 

2011-05-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  fixed potential segfault caused by invisible zero-length paths 

  * src/PsSpecialHandler.cpp: 
  add definitions in literal PS headers to dictionary TeXDict 

  * src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVGActions.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/SpecialActions.h: 
  fixed interaction between PS and DVI drawing position 

  * configure.ac, src/Doxyfile: 
  set version to 1.0.8dev 

2011-05-06  Martin Gieseking  <martin.gieseking@uos.de>

  * fedora/dvisvgm-gs.patch, fedora/dvisvgm-potrace.patch, 
    fedora/dvisvgm.spec: 
  removed directories 'fedora' and 'homepage' 

  * NEWS, README, configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0.7; updated NEWS and README 

2011-05-05  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  added info about dvips rounding issues to manpage 

  * src/DVIToSVGActions.h, src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, 
    src/psdefs.ps, src/psdefs.psc: 
  PS handler: added missing unit conversions (pt vs. bp) 

  * src/PsSpecialHandler.h: 
  corrected scaling formula applied to PS line properties 

  * src/PSInterpreter.cpp, src/PsSpecialHandler.cpp: 
  separate PS snippets by newline characters to leave preceding comments 

2011-05-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Length.h: 
  undefine macro IN 

  * src/Ghostscript.cpp, src/Ghostscript.h, src/PSInterpreter.cpp, 
    src/PSInterpreter.h: 
  avoid 'this' pointer in initialazation list of 
  PSInterpreter::PSInterpreter() 

  * src/PsSpecialHandler.cpp: 
  don't call Ghostscript::revision() in initialization of static variable 

2011-05-03  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.h: 
  tpic special 'ip' must not draw the outline of the polygon but only fill 
  its interior 

  * src/PSInterpreter.cpp, src/PSInterpreter.h, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/macros.h, src/psdefs.ps, src/psdefs.psc, 
    tests/PSInterpreterTest.cpp: 
  improved handling of pure PostScript specials 

  * src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h, src/EmSpecialHandler.cpp, src/EmSpecialHandler.h, 
    src/PSInterpreter.h, src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, 
    src/SpecialActions.h, src/SpecialHandler.h, src/SpecialManager.cpp, 
    src/SpecialManager.h, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.h: 
  replaced methods for DVI position alterations with translation semantics 

2011-05-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.ps, src/psdefs.psc: 
  PS handler: recognize save/restore operators 

2011-04-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.ps, src/psdefs.psc: 
  catch PS error /nocurrentpoint in operator 'setpos' properly 

  * src/SpecialManager.cpp: 
  register special prefix ps:: properly 

  * configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0.7dev 

2011-04-16  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, README, configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0.6; updated NEWS and README 

2011-04-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/Font.cpp, src/GFReader.cpp, src/Makefile.am, 
    src/MetafontWrapper.cpp, src/PSInterpreter.cpp, src/SignalHandler.cpp, 
    src/SignalHandler.h, src/TFM.cpp, src/dvisvgm.cpp: 
  added class SignalHandler for CTRL-C signals 

  * src/DVIToSVGActions.cpp, src/MessageException.h, src/dvisvgm.cpp, 
    tests/Makefile.am, tests/MessageExceptionTest.cpp: 
  derived MessageException from std::exception and replaced getMessage() 
  with what() 

2011-04-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/XMLNode.cpp, src/XMLNode.h: 
  prepended member variables of the XMLNode classes with underscore 

2011-04-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp, src/FileFinder.h, src/dvisvgm.cpp, 
    tests/FileFinderTest.cpp: 
  dropped class FileFinder::Impl and simplified FileFinder interface 

2011-03-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp: 
  throw DVI exception if set_char/put_char is executed without preceding 
  font selection 

2011-03-12  Martin Gieseking  <martin.gieseking@uos.de>

  * pull-wiki: 
  updated rsync parameters in 'pull-wiki' 

2011-03-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CRC32.cpp, src/StreamWriter.cpp: 
  added missing 'const' to type casts (Peter Breitenlohner) 

  * potracelib/potracelib.c, potracelib/potracelib.h: 
  changed return type of potrace_version() to 'const char *' in order to 
  avoid compiler warning 

  * configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0.6dev 

2011-02-28  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0.5, updated NEWS 

  * src/Ghostscript.cpp: 
  fixed formatting of GS version number 

  * doc/dvisvgm.txt.in, src/FontCache.cpp, src/FontCache.h, src/dvisvgm.cpp: 
  added code to remove outdated and corrupted cache files 

2011-02-21  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/frktest-nf-cmp.svg, tests/frktest-wf-cmp.svg, 
    tests/sample-nf-cmp.svg, tests/sample-wf-cmp.svg: 
  updated conversion test files 

  * src/SVGTree.cpp: 
  added missing unit in height/width attribute of svg root element 

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/GraphicPath.h, src/SVGTree.cpp, src/SVGTree.h, src/dvisvgm.cpp, 
    src/options.xml, tests/CommandLineTest.cpp: 
  added option to replace use elements with paths 

2011-02-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/InputBuffer.h: 
  reference to scanned string in StringInputBuffer is constant now 

2011-02-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontCache.cpp, src/FontCache.h: 
  added CRC32 checks to cache files 

  * src/StreamReader.cpp, src/StreamReader.h, src/StreamWriter.cpp, 
    src/StreamWriter.h, tests/Makefile.am, tests/StreamReaderTest.cpp, 
    tests/StreamWriterTest.cpp: 
  added CRC32 computation methods to StreamReader and StreamWriter 

  * src/CRC32.cpp, src/CRC32.h, src/Makefile.am, tests/CRC32Test.cpp, 
    tests/Makefile.am: 
  added class CRC32 and corresponding tests 

  * src/FileSystem.cpp, src/FileSystem.h, src/dvisvgm.cpp, 
    tests/FileSystemTest.cpp: 
  merged FileSystem::move() into FileSystem::copy() 

2011-01-31  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CmdLineParserBase.cpp: 
  print character instead of ascii value in message of command-line parser 

2011-01-30  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/FileFinder.cpp, src/FileFinder.h, src/FontEngine.cpp, 
    src/FontEngine.h, src/dvisvgm.cpp, src/options.xml: 
  added optional argument to --version 

2011-01-28  Martin Gieseking  <martin.gieseking@uos.de>

  * potracelib/auxiliary.h, potracelib/bitmap.h, potracelib/curve.c, 
    potracelib/curve.h, potracelib/decompose.c, potracelib/decompose.h, 
    potracelib/lists.h, potracelib/potracelib.c, potracelib/potracelib.h, 
    potracelib/progress.h, potracelib/trace.c, potracelib/trace.h: 
  updated bundled potrace library to version 1.9 

2011-01-17  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/dvisvgm.cpp: 
  moved cache files to subfolder ($HOME/.dvisvgm/cache) 

2011-01-04  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/Makefile.am, tests/PSInterpreterTest.cpp: 
  added basic tests for class PSInterpreter 

  * Makefile.am, README, configure.ac, doc/Makefile.am, doc/dvisvgm.txt.in, 
    src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.h, 
    src/Bitmap.cpp, src/Bitmap.h, src/BoundingBox.cpp, src/BoundingBox.h, 
    src/Calculator.cpp, src/Calculator.h, src/CmdLineParserBase.cpp, 
    src/CmdLineParserBase.h, src/Color.cpp, src/Color.h, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, 
    src/CommandLine.cpp, src/CommandLine.h, src/DLLoader.cpp, src/DLLoader.h, 
    src/DVIActions.cpp, src/DVIActions.h, src/DVIReader.cpp, src/DVIReader.h, 
    src/DVIToSVG.cpp, src/DVIToSVG.h, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h, src/Directory.cpp, src/Directory.h, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.h, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.h, src/FileFinder.cpp, 
    src/FileFinder.h, src/FilePath.cpp, src/FilePath.h, src/FileSystem.cpp, 
    src/FileSystem.h, src/Font.cpp, src/Font.h, src/FontCache.cpp, 
    src/FontCache.h, src/FontEncoding.cpp, src/FontEncoding.h, 
    src/FontEngine.cpp, src/FontEngine.h, src/FontManager.cpp, 
    src/FontManager.h, src/FontMap.cpp, src/FontMap.h, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.h, src/GFReader.cpp, src/GFReader.h, src/GFTracer.cpp, 
    src/GFTracer.h, src/Ghostscript.cpp, src/Ghostscript.h, src/Glyph.h, 
    src/GlyphTracerMessages.h, src/GraphicPath.h, src/HtmlSpecialHandler.h, 
    src/InputBuffer.cpp, src/InputBuffer.h, src/InputReader.cpp, 
    src/InputReader.h, src/Length.cpp, src/Length.h, src/Makefile.am, 
    src/Matrix.cpp, src/Matrix.h, src/Message.cpp, src/Message.h, 
    src/MessageException.h, src/MetafontWrapper.cpp, src/MetafontWrapper.h, 
    src/PSInterpreter.cpp, src/PSInterpreter.h, src/PageRanges.cpp, 
    src/PageRanges.h, src/PageSize.cpp, src/PageSize.h, src/Pair.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/SVGTree.cpp, 
    src/SVGTree.h, src/SWFWriter.cpp, src/SWFWriter.h, src/SpecialActions.h, 
    src/SpecialHandler.h, src/SpecialManager.cpp, src/SpecialManager.h, 
    src/StreamReader.cpp, src/StreamReader.h, src/StreamWriter.cpp, 
    src/StreamWriter.h, src/System.cpp, src/System.h, src/TFM.cpp, src/TFM.h, 
    src/Terminal.cpp, src/Terminal.h, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.h, src/VFActions.h, src/VFReader.cpp, 
    src/VFReader.h, src/VectorStream.h, src/XMLDocTypeNode.h, 
    src/XMLDocument.cpp, src/XMLDocument.h, src/XMLNode.cpp, src/XMLNode.h, 
    src/XMLString.cpp, src/XMLString.h, src/dvisvgm.cpp, src/macros.h, 
    src/options.dtd, src/options.xml, src/psdefs.ps, src/psdefs.psc, 
    src/types.h, tests/BoundingBoxTest.cpp, tests/CalculatorTest.cpp, 
    tests/ColorSpecialTest.cpp, tests/CommandLineTest.cpp, 
    tests/DirectoryTest.cpp, tests/FileFinderTest.cpp, 
    tests/FilePathTest.cpp, tests/FontManagerTest.cpp, tests/FontMapTest.cpp, 
    tests/GFReaderTest.cpp, tests/GraphicPathTest.cpp, tests/LengthTest.cpp, 
    tests/Makefile.am, tests/MatrixTest.cpp, tests/PageRagesTest.cpp, 
    tests/PageSizeTest.cpp, tests/PairTest.cpp, 
    tests/SplittedCharInputBufferTest.cpp, tests/StreamInputBufferTest.cpp, 
    tests/TypesTest.cpp, tests/VectorStreamTest.cpp, tests/check-conv, 
    tests/create-makefile: 
  updated year in copyright info 

2010-12-18  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  minor update to the manpage 

  * NEWS, configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0.4; updated NEWS 

  * src/PSInterpreter.cpp, src/PSInterpreter.h, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/psdefs.ps, src/psdefs.psc: 
  PS handler: added missing scaling of linewidths and dash distances 

  * src/PsSpecialHandler.cpp: 
  fixed scaling issue in PS positioning 

2010-12-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp: 
  updated to MiKTeX 2.8 SDK 

2010-08-18  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0.4dev 

  * src/FontEngine.cpp: 
  fixed FreeType version check (patch by Paul Vojta) 

2010-08-11  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/Makefile.am, tests/PairTest.cpp: 
  added PairTest 

2010-08-05  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, doc/dvisvgm.txt.in: 
  updated manpage and NEWS 

  * configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0.3 

2010-08-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BoundingBox.cpp, src/BoundingBox.h, src/Matrix.cpp, src/Matrix.h, 
    src/PsSpecialHandler.cpp: 
  revamped PsSpecialHandler::psfile() to fix a transformation issue (SF 
  bug #3037372) 

2010-07-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp: 
  added check of DVI format version 

2010-07-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp, src/PsSpecialHandler.h: 
  restore transformation matrix after execution of psfile 

2010-07-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Directory.cpp, src/Directory.h, src/GFReader.cpp, src/GFReader.h: 
  added leading underscore to variables of GFReader 

  * src/GraphicPath.h, src/PsSpecialHandler.h: 
  fixed missing initialization of GraphicPath iterator 

  * src/Terminal.cpp: 
  replaced \e with \x1B 

  * src/InputBuffer.h: 
  added missing namespace prefix 

  * configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0.3dev 

2010-06-22  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0.2 

  * src/gzstream.cpp, src/gzstream.h: 
  fixed class variable issue introduced by previous AIX patch 

2010-06-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Bitmap.cpp, tests/DirectoryTest.cpp, tests/GFReaderTest.cpp, 
    tests/Makefile.am, tests/cmr10.600gf, tests/create-makefile: 
  added GFReaderTest; updated DirectoryTest 

2010-06-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/types.h, tests/Makefile.am, tests/TypesTest.cpp: 
  added TypesTest 

  * src/Message.cpp, src/Message.h: 
  renamed MessageStream::putchar() to MessageStream::putChar() to avoid 
  name clashes 

  * src/Bitmap.cpp, src/Calculator.cpp, src/CmdLineParserBase.cpp, 
    src/Color.cpp, src/ColorSpecialHandler.cpp, src/DVIReader.cpp, 
    src/DVIReader.h, src/DVIToSVGActions.cpp, src/DvisvgmSpecialHandler.cpp, 
    src/EmSpecialHandler.cpp, src/FontCache.cpp, src/FontEncoding.cpp, 
    src/GFGlyphTracer.cpp, src/Pair.h, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/TFM.cpp, src/TFM.h: 
  fixed some type conversion warnings 

2010-06-16  Martin Gieseking  <martin.gieseking@uos.de>

  * potracelib/curve.c, potracelib/curve.h, potracelib/decompose.c: 
  renamed internal potrace functions path_new() and path_free() to prevent 
  linker conflicts on OS X 

  * configure.ac, src/CmdLineParserBase.h, src/FileFinder.h, 
    src/FontCache.cpp, src/FontCache.h, src/FontEncoding.cpp, 
    src/FontEngine.cpp, src/GFGlyphTracer.h, src/MetafontWrapper.cpp, 
    src/gzstream.cpp: 
  applied latest TL patches from Peter Breitenlohner and Karl Berry 

2010-06-14  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0.2dev 

2010-06-11  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0.1 

  * src/Message.cpp: 
  suppress ANSI color code by default 

2010-06-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.ps, src/psdefs.psc: 
  fixed recursion issue in PS operator charpath 

  * configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0.1dev 

2010-06-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSInterpreter.cpp, src/PSInterpreter.h, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h: 
  fixed PS destructor issue (SF bug #3013392) 

  * NEWS, configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0 

  * doc/Makefile.am, doc/dvisvgm.txt.in: 
  documented option --help and --version in manpage 

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/DVIActions.h, src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, 
    src/Makefile.am, src/Message.cpp, src/Message.h, src/PSInterpreter.cpp, 
    src/PSInterpreter.h, src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, 
    src/SpecialActions.h, src/System.cpp, src/System.h, src/dvisvgm.cpp, 
    src/options.xml: 
  added percentage-based progress indicator 

  * src/DVIActions.h, src/DVIReader.cpp, src/DVIReader.h: 
  added method to compute length of DVI command 

  * src/PSInterpreter.cpp, src/PSInterpreter.h, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/psdefs.ps, src/psdefs.psc: 
  evaluate Ghostscript operator .setopacityalpha 

  * src/Font.cpp: 
  print error message if Metafont failed 

  * configure.ac, doc/Makefile.am, doc/dvisvgm.txt.in, src/CommandLine.cpp, 
    src/CommandLine.h, src/DVIActions.h, src/DVIToSVG.cpp, src/GFTracer.cpp, 
    src/GlyphTracerMessages.h, src/Makefile.am, src/Message.cpp, 
    src/Message.h, src/MetafontWrapper.cpp, src/Terminal.cpp, src/Terminal.h, 
    src/dvisvgm.cpp, src/options.xml: 
  improved output of messages including optional colorization 

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, src/DVIToSVG.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/Makefile.am, 
    src/PageRanges.cpp, src/PageRanges.h, src/StreamCounter.h, 
    src/dvisvgm.cpp, src/options.xml, tests/BoundingBoxTest.cpp, 
    tests/CommandLineTest.cpp, tests/Makefile.am, tests/PageRagesTest.cpp, 
    tests/StreamCounterTest.cpp: 
  added conversion of multiple pages 

  * src/InputBuffer.h, tests/ColorSpecialTest.cpp, 
    tests/StreamInputBufferTest.cpp: 
  added InputBuffer::invalidate() 

  * src/FilePath.cpp, src/FilePath.h, src/FileSystem.cpp, src/FileSystem.h, 
    src/Makefile.am, tests/FilePathTest.cpp, tests/Makefile.am: 
  added class FilePath 

  * doc/dvisvgm.txt.in, src/BoundingBox.cpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h, src/DvisvgmSpecialHandler.cpp, 
    src/EmSpecialHandler.cpp, src/PsSpecialHandler.cpp, src/SpecialActions.h, 
    src/SpecialManager.cpp, src/TpicSpecialHandler.cpp: 
  added special for creating local bounding boxes 

  * configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 1.0dev 

  * configure.ac, doc/Makefile.am, src/Makefile.am: 
  cleaned up configuration scripts 

2010-05-09  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac: 
  fixed whitespace issue in CPPFLAGS and LDFLAGS 

2010-05-04  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/FileFinderTest.cpp, tests/FontManagerTest.cpp, tests/check-conv: 
  fixed segfaults in tests 

  * configure.ac: 
  fixed kpathsea check; use pkg-config to check freetype availability 

2010-04-22  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 0.9.1 

  * tests/check-conv, tests/frktest-wf-cmp.svg, tests/sample-wf-cmp.svg: 
  adapted conversion tests to new output format 

  * src/DVIActions.h, src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, 
    src/DVIToSVG.h, src/DVIToSVGActions.cpp, src/DVIToSVGActions.h: 
  print page count and page number of DVI page being processed 

  * src/SVGTree.cpp: 
  fixed broken validity when using SVG fonts 

  * src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, 
    src/SVGTree.cpp, src/SVGTree.h, src/XMLNode.cpp, src/XMLNode.h: 
  ignore unused fonts in CSS styles list 

  * src/CommandLine.cpp, src/options.xml: 
  output of option --help: replaced '(default: FOO)' by '[FOO]' 

2010-04-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontEncoding.cpp: 
  fixed memory bug in FontEncoding::encoding() 

2010-04-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp: 
  replaced wrong font pointer that could lead to segfaults 

  * configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 0.9.1dev 

2010-03-25  Martin Gieseking  <martin.gieseking@uos.de>

  * fedora/dvisvgm.spec: 
  updated spec file 

2010-03-24  Martin Gieseking  <martin.gieseking@uos.de>

  * transfer-cs: 
  added extension .patch to exported changesets 

  * tests/frktest-nf-cmp.svg, tests/frktest-wf-cmp.svg, 
    tests/sample-nf-cmp.svg, tests/sample-wf-cmp.svg: 
  updated conversion tests 

  * NEWS, configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 0.9 

  * src/FontCache.cpp, src/GFGlyphTracer.cpp, src/GFReader.cpp: 
  variable _fontname is now correctly set in class FontCache 

  * src/CmdLineParserBase.cpp, src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, 
    src/FontEngine.cpp, src/GlyphTracerMessages.h, src/Message.cpp, 
    src/Message.h, src/MetafontWrapper.cpp, src/dvisvgm.cpp: 
  added class MessageStream, updated message output 

  * src/FontCache.cpp, src/Makefile.am, src/StreamWriter.cpp, 
    src/StreamWriter.h, src/TFM.cpp: 
  replaced local stream IO functions by StreamReader/StreamWriter methods 

  * doc/dvisvgm.txt.in, src/BoundingBox.cpp, src/BoundingBox.h, 
    src/CommandLine.cpp, src/CommandLine.h, src/DVIToSVG.cpp, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/Font.cpp, src/Font.h, 
    src/GlyphTracerMessages.h, src/Makefile.am, src/dvisvgm.cpp, 
    src/options.xml: 
  added command-line option --exact 

  * src/Font.cpp, src/Font.h, src/dvisvgm.cpp: 
  moved some methods from PhysicalFontImpl to PysicalFont 

2010-03-18  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/Font.cpp, src/Font.h, src/dvisvgm.cpp, src/options.xml: 
  added command-line option --keep 

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/DVIToSVG.cpp, src/DVIToSVG.h, src/Font.cpp, src/Font.h, 
    src/dvisvgm.cpp, src/options.xml, tests/CommandLineTest.cpp: 
  reactivated option --trace-all, and added optional argument 'retrace' to 
  it 

  * src/CmdLineParserBase.cpp, src/CmdLineParserBase.h: 
  added evaluation of boolean and char arguments to the command-line 
  parser 

  * src/DVIToSVG.cpp, src/Font.cpp, src/Font.h, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.h, src/SVGTree.cpp, src/SVGTree.h: 
  added class GFGlyphTracer::Callback providing an interface used to print 
  status information about the tracer 

  * src/DVIToSVG.cpp, src/SVGTree.cpp: 
  moved creation of SVG 'use' elements from class DVIToSVG to class 
  SVGTree 

2010-03-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BoundingBox.cpp, src/Calculator.cpp, src/Matrix.cpp, 
    src/PSInterpreter.cpp, src/PSInterpreter.h: 
  fixed a couple of comments 

  * src/DVIToSVG.cpp, src/DVIToSVG.h, src/DVIToSVGActions.cpp, src/Font.cpp, 
    src/Font.h, src/FontEmitter.h, src/GFGlyphTracer.h, src/Makefile.am, 
    src/SVGFontEmitter.cpp, src/SVGFontEmitter.h, 
    src/SVGFontTraceEmitter.cpp, src/SVGFontTraceEmitter.h, src/SVGTree.cpp, 
    src/SVGTree.h, src/dvisvgm.cpp, tests/Makefile.am, tests/check-conv, 
    tests/create-makefile: 
  removed emitter classes; incorporated their functionality into SVGTree 
  and PhysicalFontImpl 

  * src/FontCache.cpp, src/FontCache.h: 
  added method FontCache::write(const char *dir) that updates the cache 
  file of the current font 

  * src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, 
    src/DVIToSVGActions.cpp, src/FontManager.cpp, src/FontManager.h, 
    src/SVGFontEmitter.cpp, src/SVGFontEmitter.h, 
    src/SVGFontTraceEmitter.cpp, src/SVGFontTraceEmitter.h, src/SVGTree.cpp, 
    src/SVGTree.h, src/VFReader.h, tests/FontManagerTest.cpp: 
  made FontManager a singleton 

  * src/CharmapTranslator.cpp, src/CharmapTranslator.h, src/DVIToSVG.cpp, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/Font.cpp, src/Font.h, 
    src/Makefile.am, src/SVGFontEmitter.cpp, src/SVGFontEmitter.h, 
    src/SVGFontTraceEmitter.cpp, src/SVGFontTraceEmitter.h, src/SVGTree.cpp, 
    src/SVGTree.h: 
  removed class CharmapTranslator 

  * src/GFReader.cpp, src/GFReader.h: 
  replaced GFReader messages by exceptions 

2010-02-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/FontCache.cpp, src/FontCache.h, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.h, src/GFReader.cpp, src/GFReader.h, src/GFTracer.h, 
    src/SVGFontTraceEmitter.cpp, src/SVGFontTraceEmitter.h: 
  refactorings of GF tracer class; removed transferGlyph() 

2010-02-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CharmapTranslator.cpp, src/CharmapTranslator.h, src/Font.cpp, 
    src/Font.h, src/FontCache.cpp, src/FontCache.h, src/FontEngine.cpp, 
    src/FontEngine.h, src/Glyph.cpp, src/Glyph.h, src/Makefile.am, 
    src/SVGFontEmitter.cpp, src/SVGFontEmitter.h: 
  removed class Glyph and incorporated its functionality into Font class 

2010-02-05  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp: 
  added evaluation of literal PS headers to PSHeaderActions 

2010-02-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.ps, src/psdefs.psc: 
  removed PS error handler nocurrentpoint 

2010-02-02  Martin Gieseking  <martin.gieseking@uos.de>

  * fedora/dvisvgm.spec: 
  updated homepage and spec file 

  * NEWS, configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  version updated to 0.8.8 

2010-02-01  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/check-conv: 
  skip conversion checks by default 

2010-01-31  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/normalize.xsl: 
  some improvements to normalize.xsl 

  * tests/Makefile.am, tests/check-conv, tests/create-makefile, 
    tests/frktest-nf-cmp.svg, tests/frktest-wf-cmp.svg, tests/frktest.dvi, 
    tests/normalize.xsl, tests/sample-nf-cmp.svg, tests/sample-wf-cmp.svg, 
    tests/sample.dvi: 
  added tests to check conversion results 

2010-01-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicPath.h: 
  fixed scaling bug in computation of glyph paths when using -n 

  * src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, src/CommandLine.cpp, 
    src/CommandLine.h: 
  removed CmdLineParserBase::numOptions() 

2010-01-24  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/FontCache.h, src/dvisvgm.cpp, src/options.dtd, src/options.xml: 
  added command-line option --libgs 

2010-01-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CommandLine.cpp, src/options.dtd, src/options.xml: 
  added DTD for options.xml 

2010-01-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Ghostscript.cpp: 
  fixed typo in variable name 

  * NEWS: 
  updated NEWS 

  * doc/dvisvgm.txt.in, src/FileFinder.cpp, src/Ghostscript.cpp, 
    src/Ghostscript.h, src/dvisvgm.cpp: 
  environment variable LIBGS can now be used to set the name of the GS 
  shared library 

  * Makefile.am, README, configure.ac, doc/dvisvgm.txt.in, 
    src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.h, 
    src/Bitmap.cpp, src/Bitmap.h, src/BoundingBox.cpp, src/BoundingBox.h, 
    src/Calculator.cpp, src/Calculator.h, src/CharmapTranslator.cpp, 
    src/CharmapTranslator.h, src/CmdLineParserBase.cpp, 
    src/CmdLineParserBase.h, src/Color.cpp, src/Color.h, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, 
    src/CommandLine.cpp, src/CommandLine.h, src/DLLoader.cpp, src/DLLoader.h, 
    src/DVIActions.cpp, src/DVIActions.h, src/DVIReader.cpp, src/DVIReader.h, 
    src/DVIToSVG.cpp, src/DVIToSVG.h, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h, src/Directory.cpp, src/Directory.h, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.h, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.h, src/FileFinder.cpp, 
    src/FileFinder.h, src/FileSystem.cpp, src/FileSystem.h, src/Font.cpp, 
    src/Font.h, src/FontCache.cpp, src/FontCache.h, src/FontEmitter.h, 
    src/FontEncoding.cpp, src/FontEncoding.h, src/FontEngine.cpp, 
    src/FontEngine.h, src/FontManager.cpp, src/FontManager.h, 
    src/FontMap.cpp, src/FontMap.h, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.h, src/GFReader.cpp, src/GFReader.h, src/GFTracer.cpp, 
    src/GFTracer.h, src/Ghostscript.cpp, src/Ghostscript.h, src/Glyph.cpp, 
    src/Glyph.h, src/GraphicPath.h, src/HtmlSpecialHandler.h, 
    src/InputBuffer.cpp, src/InputBuffer.h, src/InputReader.cpp, 
    src/InputReader.h, src/Length.cpp, src/Length.h, src/Makefile.am, 
    src/Matrix.cpp, src/Matrix.h, src/Message.cpp, src/Message.h, 
    src/MessageException.h, src/MetafontWrapper.cpp, src/MetafontWrapper.h, 
    src/PSInterpreter.cpp, src/PSInterpreter.h, src/PageSize.cpp, 
    src/PageSize.h, src/Pair.h, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/SVGFontEmitter.cpp, src/SVGFontEmitter.h, 
    src/SVGFontTraceEmitter.cpp, src/SVGFontTraceEmitter.h, src/SVGTree.cpp, 
    src/SVGTree.h, src/SWFWriter.cpp, src/SWFWriter.h, src/SpecialActions.h, 
    src/SpecialHandler.h, src/SpecialManager.cpp, src/SpecialManager.h, 
    src/StreamCounter.h, src/StreamReader.cpp, src/StreamReader.h, 
    src/TFM.cpp, src/TFM.h, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.h, src/VFActions.h, src/VFReader.cpp, 
    src/VFReader.h, src/VectorStream.h, src/XMLDocTypeNode.h, 
    src/XMLDocument.cpp, src/XMLDocument.h, src/XMLNode.cpp, src/XMLNode.h, 
    src/XMLString.cpp, src/XMLString.h, src/dvisvgm.cpp, src/macros.h, 
    src/options.xml, src/psdefs.ps, src/psdefs.psc, src/types.h, 
    tests/BoundingBoxTest.cpp, tests/CalculatorTest.cpp, 
    tests/ColorSpecialTest.cpp, tests/CommandLineTest.cpp, 
    tests/DirectoryTest.cpp, tests/FileFinderTest.cpp, 
    tests/FontManagerTest.cpp, tests/FontMapTest.cpp, 
    tests/GraphicPathTest.cpp, tests/LengthTest.cpp, tests/Makefile.am, 
    tests/MatrixTest.cpp, tests/PageSizeTest.cpp, 
    tests/SplittedCharInputBufferTest.cpp, tests/StreamCounterTest.cpp, 
    tests/StreamInputBufferTest.cpp, tests/VectorStreamTest.cpp, 
    tests/create-makefile: 
  updated boilerplates 

  * doc/dvisvgm.txt.in, src/BoundingBox.cpp, src/BoundingBox.h, 
    src/DVIToSVG.cpp, tests/BoundingBoxTest.cpp, tests/Makefile.am: 
  added support for enlarging the minimal bbox by a given amount. 

  * configure.ac: 
  updated type of kpathsea_version_string (patch by lomov_vl) 

2009-12-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/InputReader.cpp: 
  fixed bug in InputReader::parseUInt() 

2009-12-15  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, src/dvisvgm.cpp: 
  appied get_time patch sent by Peter Breitenlohner 

2009-12-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BoundingBox.h, src/Calculator.h, src/CharmapTranslator.h, 
    src/DVIReader.h, src/DVIToSVG.h, src/DVIToSVGActions.h, src/Font.h, 
    src/FontEngine.h, src/FontManager.h, src/FontMap.h, src/GFGlyphTracer.h, 
    src/GFReader.h, src/MessageException.h, src/MetafontWrapper.h, 
    src/PageSize.h, src/SVGTree.cpp, src/SVGTree.h, src/StreamReader.h, 
    src/VFActions.h, src/VFReader.h, src/XMLDocTypeNode.h, src/XMLDocument.h, 
    src/XMLNode.h, src/XMLString.h: 
  removed using statements from header files 

2009-11-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontCache.cpp, src/FontCache.h, src/FontEngine.cpp, 
    src/FontEngine.h, src/FontGlyph.cpp, src/FontGlyph.h, 
    src/GFGlyphTracer.cpp, src/GFGlyphTracer.h, src/GFTracer.cpp, 
    src/Glyph.cpp, src/Glyph.h, src/GraphicPath.h, src/Makefile.am, 
    src/Pair.h, src/SVGFontEmitter.cpp, src/SVGFontTraceEmitter.cpp, 
    tests/GraphicPathTest.cpp: 
  removed FEGlyphCommands and replaced separate glyph class implementation 
  by class GraphicPath 

2009-11-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp: 
  avoid scaling by 1 in use elements 

2009-11-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DLLoader.cpp, src/DLLoader.h: 
  fixed line endings 

  * src/Ghostscript.cpp, src/Ghostscript.h: 
  replaced #if HAVE_LIBGS by #if defined(HAVE_LIBGS) 

  * src/DVIToSVG.cpp, src/Ghostscript.cpp, src/Ghostscript.h: 
  replaced #if !DISABLE_GS by #if !defined(DISABLE_GS) (Peter 
  Breitenlohner) 

2009-11-17  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  updated NEWS 

  * src/dvisvgm.cpp: 
  don't use email adress PACKAGE_BUGREPORT for copyright notice 

  * src/CmdLineParserBase.h, src/GraphicPath.h, src/InputReader.h, 
    src/Makefile.am, src/PSInterpreter.h, src/SpecialManager.h: 
  added missing virtual destructors to avoid warnings 

  * src/InputReader.cpp: 
  added missing initialization value (Peter Breitenlohner) 

  * src/Color.cpp, src/ColorSpecialHandler.cpp, src/FontManager.cpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, 
    src/TpicSpecialHandler.cpp: 
  added explicit casts to avoid compiler warnings (Peter Breitenlohner) 

  * potracelib/potracelib.c, potracelib/potracelib.h: 
  replaced outdated string constant type char* by const char* in 
  potrace_version() 

  * configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 0.8.8dev 

2009-11-10  Martin Gieseking  <martin.gieseking@uos.de>

  * fedora/dvisvgm.spec: 
  updated spec file 

2009-11-09  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 0.8.7 

  * NEWS, src/Color.cpp, src/Color.h, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/SVGTree.cpp: 
  PS handler: colors set by color specials are now considered properly 

  * src/DVIToSVG.cpp, src/dvisvgm.cpp: 
  added total number of pages to message text 

2009-11-06  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, src/PsSpecialHandler.cpp: 
  fixed path scaling issue in PS handler 

  * NEWS, doc/dvisvgm.txt.in: 
  updated NEWS and manpage 

  * src/GraphicPath.h, src/PsSpecialHandler.cpp: 
  PS handler: replace zero-length paths by dots 

2009-10-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp, src/Font.cpp, src/Font.h: 
  fixed positioning of italic characters 

2009-10-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/TFM.cpp, src/TFM.h: 
  added italic correction values to character widths 

2009-10-16  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, src/Doxyfile: 
  increased version to 0.8.7dev 

  * tests/Makefile.am, tests/create-makefile: 
  added script to create tests/Makefile.am 

2009-10-13  Martin Gieseking  <martin.gieseking@uos.de>

  * README, tests/CalculatorTest.cpp, tests/CalculatorTest.h, 
    tests/ColorSpecialTest.cpp, tests/ColorSpecialTest.h, 
    tests/CommandLineTest.cpp, tests/CommandLineTest.h, 
    tests/DirectoryTest.cpp, tests/DirectoryTest.h, tests/FileFinderTest.cpp, 
    tests/FileFinderTest.h, tests/FontManagerTest.cpp, 
    tests/FontManagerTest.h, tests/FontMapTest.cpp, tests/FontMapTest.h, 
    tests/GraphicPathTest.cpp, tests/GraphicPathTest.h, tests/LengthTest.cpp, 
    tests/LengthTest.h, tests/Makefile.am, tests/MatrixTest.cpp, 
    tests/MatrixTest.h, tests/PageSizeTest.cpp, tests/PageSizeTest.h, 
    tests/SplittedCharInputBufferTest.cpp, 
    tests/SplittedCharInputBufferTest.h, tests/StreamCounterTest.cpp, 
    tests/StreamCounterTest.h, tests/StreamInputBufferTest.cpp, 
    tests/StreamInputBufferTest.h, tests/VectorStreamTest.cpp, 
    tests/VectorStreamTest.h: 
  replaced cxxtest by googletest 

  * doc/Makefile.am: 
  added missing dvi suffix in Makefile target dvi-pdf 

  * fedora/dvisvgm.spec: 
  updated spec file 

  * doc/Makefile.am, doc/dvisvgm.txt.in: 
  removed outdated post-processing of manpage 

2009-10-12  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontInfo.cpp, src/FontInfo.h, src/FontTracer.h, src/PSObject.cpp, 
    src/PSObject.h, src/PSState.cpp, src/PSState.h, src/global.cpp, 
    src/global.h: 
  removed unused source files 

  * src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.h, 
    src/Bitmap.cpp, src/Bitmap.h, src/BoundingBox.cpp, src/BoundingBox.h, 
    src/Calculator.cpp, src/Calculator.h, src/CharmapTranslator.cpp, 
    src/CharmapTranslator.h, src/CmdLineParserBase.cpp, 
    src/CmdLineParserBase.h, src/Color.cpp, src/Color.h, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, src/DLLoader.cpp, 
    src/DLLoader.h, src/DVIActions.cpp, src/DVIActions.h, src/DVIReader.cpp, 
    src/DVIReader.h, src/DVIToSVG.h, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h, src/Directory.cpp, src/Directory.h, 
    src/DvisvgmSpecialHandler.h, src/EmSpecialHandler.cpp, 
    src/EmSpecialHandler.h, src/FileFinder.cpp, src/FileFinder.h, 
    src/FileSystem.cpp, src/FileSystem.h, src/Font.cpp, src/Font.h, 
    src/FontCache.cpp, src/FontCache.h, src/FontEmitter.h, 
    src/FontEncoding.cpp, src/FontEncoding.h, src/FontEngine.cpp, 
    src/FontEngine.h, src/FontGlyph.cpp, src/FontGlyph.h, 
    src/FontManager.cpp, src/FontManager.h, src/FontMap.cpp, src/FontMap.h, 
    src/GFGlyphTracer.cpp, src/GFGlyphTracer.h, src/GFReader.cpp, 
    src/GFReader.h, src/GFTracer.cpp, src/GFTracer.h, src/Ghostscript.cpp, 
    src/Ghostscript.h, src/GraphicPath.h, src/InputBuffer.cpp, 
    src/InputBuffer.h, src/InputReader.cpp, src/InputReader.h, 
    src/Matrix.cpp, src/Matrix.h, src/Message.cpp, src/Message.h, 
    src/MessageException.h, src/MetafontWrapper.cpp, src/MetafontWrapper.h, 
    src/PSInterpreter.cpp, src/PSInterpreter.h, src/PageSize.cpp, 
    src/PageSize.h, src/Pair.h, src/SVGFontEmitter.cpp, src/SVGFontEmitter.h, 
    src/SVGFontTraceEmitter.cpp, src/SVGFontTraceEmitter.h, 
    src/SpecialActions.h, src/SpecialHandler.h, src/SpecialManager.cpp, 
    src/SpecialManager.h, src/StreamCounter.h, src/StreamReader.cpp, 
    src/StreamReader.h, src/TFM.cpp, src/TFM.h, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.h, src/VFActions.h, src/VFReader.cpp, 
    src/VFReader.h, src/VectorStream.h, src/XMLDocTypeNode.h, 
    src/XMLDocument.cpp, src/XMLDocument.h, src/XMLNode.cpp, src/XMLNode.h, 
    src/XMLString.cpp, src/XMLString.h, src/macros.h, src/types.h: 
  code cleanup 

2009-10-11  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS: 
  NEWS updated 

  * src/DVIToSVG.cpp, src/DvisvgmSpecialHandler.cpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/SVGTree.cpp, 
    src/SVGTree.h: 
  suppress empty style and transformation elements 

  * transfer-cs: 
  improved transfer-cs 

2009-10-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp: 
  scale clipping paths by 72.27/72 

2009-10-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Makefile.am: 
  fixed Makefile 

  * src/Length.cpp, src/Length.h, tests/LengthTest.h: 
  fixed unit conversion bug 

  * doc/dvisvgm.txt.in: 
  fixed formatting of manual page 

  * transfer-cs: 
  added script to transfer changesets to dvisvgm-pub 

  * autogen.sh, prepare: 
  prepare script replaced by autogen.sh 

  * src/Bitmap.h: 
  fixed bit shift overflow in Bitmap class occured on 64-bit systems 

2009-10-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/dvisvgm.cpp: 
  fixed uncaught PageSizeException 

  * src/MetafontWrapper.cpp: 
  fixed file permissions 

  * NEWS, src/GraphicPath.h, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h: 
  PS clipping path sequences and intersections are now handled correctly 

  * NEWS, doc/dvisvgm.txt.in, src/BoundingBox.cpp, src/CommandLine.cpp, 
    src/CommandLine.h, src/DVIToSVG.cpp, src/DVIToSVG.h, src/dvisvgm.cpp, 
    src/options.xml, tests/CommandLineTest.h, tests/Makefile.am: 
  cmdline parameter --bbox can now be used to set the absolute bounding 
  box 

2009-10-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BoundingBox.cpp, src/BoundingBox.h, src/Length.cpp, src/Length.h, 
    src/Makefile.am, tests/LengthTest.h: 
  class Length provides length unit calculations 

  * NEWS, doc/dvisvgm.txt.in, src/BoundingBox.cpp, src/BoundingBox.h, 
    src/DvisvgmSpecialHandler.cpp: 
  added the special variant 'dvisvgm:bbox abs' and 'dvisvgm:bbox fix' 

2009-10-06  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  set version to 0.8.6 

  * src/BoundingBox.cpp, src/BoundingBox.h, src/GraphicPath.h, 
    src/PSInterpreter.cpp, src/PSInterpreter.h, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/psdefs.ps, src/psdefs.psc: 
  fixed some PS bounding box and positioning issues introduced by previous 
  changesets 

2009-10-05  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, src/PsSpecialHandler.cpp: 
  fixed another positioning bug reported by John Bowman 

  * src/PsSpecialHandler.cpp: 
  convert PS path coordinated to TeX point units 

2009-10-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GraphicPath.h, src/PsSpecialHandler.cpp, src/PsSpecialHandler.h: 
  corrected positioning bug introduced with previous PS positioning fix 

2009-10-02  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am, doc/dvisvgm.txt.in: 
  generate pdf manpage directly with groff; adapted manpage source to work 
  with latest asciidoc 

2009-10-01  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am, doc/dvisvgm.txt.in: 
  replaced backticks in manpage by apostrophes; updated date on homepage 

2009-09-30  Martin Gieseking  <martin.gieseking@uos.de>

  * Makefile.am, configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  increased version number to 0.8.5 

  * LGPL-2.1.txt, NEWS, README: 
  updated README and NEWS, and added file with LGPL license text 

  * doc/dvisvgm.txt.in: 
  added dvisvgm:raw example to man page 

2009-09-17  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in: 
  minor changes of the documentation 

  * fedora/dvisvgm.spec: 
  updated spec file and fixed typo on website 

  * src/PsSpecialHandler.h: 
  increased the default linewidth to 0.5 

  * NEWS: 
  added cretdit to John Bowman for sending a patch for the already fixed 
  clipping bug 

2009-09-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileSystem.cpp, src/MetafontWrapper.cpp: 
  Windows: Metafont is now called via CreateProcess() 

  * NEWS, doc/dvisvgm.txt.in, src/CommandLine.cpp, src/CommandLine.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/SpecialManager.cpp, 
    src/SpecialManager.h, src/dvisvgm.cpp, src/options.xml: 
  added option --progress for enabling a progress indicator (feature #22) 

  * NEWS, src/CmdLineParserBase.cpp, src/FontCache.cpp, 
    src/SVGFontTraceEmitter.cpp: 
  fixed memory bug in tracer module (issue #21) 

2009-09-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileSystem.cpp, src/FontCache.cpp: 
  fixed Windows-related bug in FileSystem::collect 

  * NEWS, doc/dvisvgm.txt.in, src/FileSystem.cpp, src/FileSystem.h, 
    src/FontCache.cpp, src/FontCache.h, src/dvisvgm.cpp: 
  option --cache prints additional information about the cached fonts 
  (feature #7) 

  * src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.h, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, src/DVIToSVG.cpp, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.h, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/SpecialHandler.h, 
    src/SpecialManager.cpp, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.h: 
  refactored prefixes methods of the SpecialHandlers (ticket #20) 

2009-09-06  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, README: 
  updated NEWS and README 

2009-09-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, src/CommandLine.cpp, 
    src/InputBuffer.h, src/InputReader.h, src/psdefs.psc, 
    tests/CommandLineTest.h: 
  improved the command line parser to make it more POSIX-compliant 
  (feature #17) 

  * src/dvisvgm.cpp: 
  fixed evaluation of option --help 

  * src/BoundingBox.cpp, src/BoundingBox.h, src/PsSpecialHandler.cpp: 
  linewidths are now considered properly in computation of bounding box 
  (issue #13) 

  * configure.ac, fedora/dvisvgm.spec, src/Doxyfile: 
  increased version number to 0.8.4 

2009-09-01  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp, src/psdefs.ps, src/psdefs.psc: 
  fixed flattened clipping path bug (issue #11) 

2009-08-31  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Makefile.am: 
  added error checks; disallow numeric optional arguments w/o default 
  value 

2009-08-28  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, src/PSInterpreter.cpp, src/PsSpecialHandler.cpp, src/dvisvgm.cpp, 
    src/psdefs.ps, src/psdefs.psc: 
  added evaluation of PS 'show' operator in order to evaluate PSTricks 
  Type 3 fonts properly 

2009-08-27  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, configure.ac, doc/dvisvgm.txt.in, src/CmdLineParserBase.cpp, 
    src/CommandLine.cpp, src/Doxyfile, src/dvisvgm.cpp, src/getopt.c, 
    src/getopt.h, src/getopt1.c, src/options.xml: 
  replaced option --cache=? by --cache; increased version number to 0.8.3 

2009-08-26  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, configure.ac, src/DVIToSVG.cpp, src/DVIToSVG.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/PsSpecialHandler.cpp, 
    src/SpecialManager.cpp, src/SpecialManager.h: 
  PS prologue files referenced in first page are now always loaded 

  * configure.ac, fedora/dvisvgm.spec, src/Ghostscript.cpp, 
    src/Ghostscript.h, src/Makefile.am: 
  improved Ghostscript and potrace linking checks to simplify usage of 
  external devel files 

  * fedora/dvisvgm-0.8.1-potrace.patch, fedora/dvisvgm-gs.patch, 
    fedora/dvisvgm-potrace.patch, fedora/dvisvgm.spec: 
  updated Fedora files 

2009-08-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CommandLine.cpp, src/CommandLine.h: 
  speed up printing help by using puts() instead of C++ streams 

2009-08-21  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, configure.ac, src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, 
    src/Doxyfile: 
  increased version number to 0.8.2 

  * src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, src/Makefile.am, 
    src/dvisvgm.cpp, src/options.xml, tests/CommandLineTest.h, 
    tests/Makefile.am: 
  improved CmdLineParserBase and replaced gengetopt-based parser 

  * src/FontMap.cpp: 
  fixed memory bug in FontMap 

2009-08-20  Martin Gieseking  <martin.gieseking@uos.de>

  * COPYING: 
  added copy of file COPYING 

  * src/CmdLineParserBase.cpp, src/CmdLineParserBase.h: 
  finished cmdline parser 

  * src/CmdLineParserBase.cpp, src/CmdLineParserBase.h, src/options.xml: 
  added files for replacement of gengetopt (not active yet) 

  * src/InputReader.cpp, src/InputReader.h: 
  added method parseUInt() 

2009-08-17  Martin Gieseking  <martin.gieseking@uos.de>

  * COPYING, LICENSE, Makefile.am, README, doc/dvisvgm.txt.in, 
    src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.h, 
    src/Bitmap.cpp, src/Bitmap.h, src/BoundingBox.cpp, src/BoundingBox.h, 
    src/Calculator.cpp, src/Calculator.h, src/CharmapTranslator.cpp, 
    src/CharmapTranslator.h, src/Color.cpp, src/Color.h, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, src/DLLoader.cpp, 
    src/DLLoader.h, src/DVIActions.cpp, src/DVIActions.h, src/DVIReader.cpp, 
    src/DVIReader.h, src/DVIToSVG.cpp, src/DVIToSVG.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/Directory.cpp, 
    src/Directory.h, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.h, src/EmSpecialHandler.cpp, 
    src/EmSpecialHandler.h, src/FileFinder.cpp, src/FileFinder.h, 
    src/FileSystem.cpp, src/FileSystem.h, src/Font.cpp, src/Font.h, 
    src/FontCache.cpp, src/FontCache.h, src/FontEmitter.h, 
    src/FontEncoding.cpp, src/FontEncoding.h, src/FontEngine.cpp, 
    src/FontEngine.h, src/FontGlyph.cpp, src/FontGlyph.h, src/FontInfo.cpp, 
    src/FontInfo.h, src/FontManager.cpp, src/FontManager.h, src/FontMap.cpp, 
    src/FontMap.h, src/FontTracer.h, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.h, src/GFReader.cpp, src/GFReader.h, src/GFTracer.cpp, 
    src/GFTracer.h, src/Ghostscript.cpp, src/Ghostscript.h, 
    src/GraphicPath.h, src/HtmlSpecialHandler.h, src/InputBuffer.cpp, 
    src/InputBuffer.h, src/InputReader.cpp, src/InputReader.h, 
    src/Matrix.cpp, src/Matrix.h, src/Message.cpp, src/Message.h, 
    src/MessageException.h, src/MetafontWrapper.cpp, src/MetafontWrapper.h, 
    src/PSInterpreter.cpp, src/PSInterpreter.h, src/PSObject.cpp, 
    src/PSObject.h, src/PSState.cpp, src/PSState.h, src/PageSize.cpp, 
    src/PageSize.h, src/Pair.h, src/PsSpecialHandler.cpp, 
    src/PsSpecialHandler.h, src/SVGFontEmitter.cpp, src/SVGFontEmitter.h, 
    src/SVGFontTraceEmitter.cpp, src/SVGFontTraceEmitter.h, src/SVGTree.cpp, 
    src/SVGTree.h, src/SWFWriter.cpp, src/SWFWriter.h, src/SpecialActions.h, 
    src/SpecialHandler.h, src/SpecialManager.cpp, src/SpecialManager.h, 
    src/StreamCounter.h, src/StreamReader.cpp, src/StreamReader.h, 
    src/TFM.cpp, src/TFM.h, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.h, src/VFActions.h, src/VFReader.cpp, 
    src/VFReader.h, src/VectorStream.h, src/XMLDocTypeNode.h, 
    src/XMLDocument.cpp, src/XMLDocument.h, src/XMLNode.cpp, src/XMLNode.h, 
    src/XMLString.cpp, src/XMLString.h, src/dvisvgm.cpp, src/global.cpp, 
    src/global.h, src/inttypes.h, src/macros.h, src/psdefs.ps, 
    src/psdefs.psc, src/types.h, tests/CalculatorTest.h, 
    tests/ColorSpecialTest.h, tests/DirectoryTest.h, tests/FileFinderTest.h, 
    tests/FontManagerTest.h, tests/FontMapTest.h, tests/GraphicPathTest.h, 
    tests/MatrixTest.h, tests/PageSizeTest.h, 
    tests/SplittedCharInputBufferTest.h, tests/StreamCounterTest.h, 
    tests/StreamInputBufferTest.h, tests/VectorStreamTest.h: 
  changed license to GPL version 3 or later 

  * tests/Makefile.am: 
  added include path to fix broken distcheck 

2009-08-10  Martin Gieseking  <martin.gieseking@uos.de>

  * tests/Makefile.am: 
  added generated file test-all.cpp to CLEANFILES 

  * Makefile.am, configure.ac, src/Makefile.am, src/tests/CalculatorTest.h, 
    src/tests/ColorSpecialTest.h, src/tests/DirectoryTest.h, 
    src/tests/FileFinderTest.h, src/tests/FontManagerTest.h, 
    src/tests/FontMapTest.h, src/tests/GraphicPathTest.h, 
    src/tests/MatrixTest.h, src/tests/PageSizeTest.h, 
    src/tests/SplittedCharInputBufferTest.h, src/tests/StreamCounterTest.h, 
    src/tests/StreamInputBufferTest.h, src/tests/VectorStreamTest.h, 
    src/tests/dvipdfm_test.map, src/tests/dvips_test.map, 
    tests/CalculatorTest.h, tests/ColorSpecialTest.h, tests/DirectoryTest.h, 
    tests/FileFinderTest.h, tests/FontManagerTest.h, tests/FontMapTest.h, 
    tests/GraphicPathTest.h, tests/Makefile.am, tests/MatrixTest.h, 
    tests/PageSizeTest.h, tests/SplittedCharInputBufferTest.h, 
    tests/StreamCounterTest.h, tests/StreamInputBufferTest.h, 
    tests/VectorStreamTest.h, tests/dvipdfm_test.map, tests/dvips_test.map: 
  moved tests from src/tests to ./tests 

  * fedora/dvisvgm-0.8.1-potrace.patch, fedora/dvisvgm.spec, 
    rpm/dvisvgm.spec: 
  added spec file and patch for Fedora builds 

2009-08-02  Martin Gieseking  <martin.gieseking@uos.de>

  * LICENSE, Makefile.am, rpm/dvisvgm.spec, rpm/dvisvgm.spec.in, 
    src/Ghostscript.cpp: 
  modified package to be compatible with prerequisites of Fedora 

2009-07-30  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp, src/Ghostscript.cpp, src/Ghostscript.h, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h: 
  added Ghostscript revision info to output of dvisvgm -l 

  * configure.ac, src/DVIToSVG.cpp: 
  added target triplet to version string in SVG output 

2009-07-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.psc: 
  added vim tag to psdefs.psc 

2009-07-28  Martin Gieseking  <martin.gieseking@uos.de>

  * src/psdefs.psc: 
  cleaned up VC++ build files; added batch file to generate cmdline.c; 
  added generated file psdefs.psc for convenience 

  * NEWS, src/FileSystem.cpp, src/FontEngine.cpp, src/FontManager.cpp, 
    src/Ghostscript.cpp, src/PageSize.cpp, src/dvisvgm.cpp: 
  fixed bug related to unsigned/size_t mismatch on x64 systems 

  * NEWS, configure.ac, src/Doxyfile: 
  updated version number to 0.8.1 

  * src/PsSpecialHandler.cpp: 
  added evaluation of more psfile parameters; fixed psfile bounding box 
  bug 

2009-07-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.h, src/InputBuffer.cpp, src/InputBuffer.h, 
    src/InputReader.cpp, src/InputReader.h, src/Matrix.cpp, src/Matrix.h, 
    src/PSInterpreter.h: 
  replaced size_t parameters by unsigned 

  * NEWS, README: 
  fixed typos; updated homepage/manpage 

  * src/DLLoader.cpp, src/InputReader.cpp, src/PSInterpreter.cpp: 
  changes to make VC happy; fixed potential memory bug 

2009-07-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PSInterpreter.cpp: 
  some clean-ups 

2009-07-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TpicSpecialHandler.cpp: 
  fixed reintroduced bug in TPIC handler 

  * NEWS, README, doc/dvisvgm.txt.in, src/BoundingBox.cpp, 
    src/BoundingBox.h, src/GraphicPath.h, src/PSInterpreter.cpp, 
    src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, src/psdefs.ps: 
  fixed clipping bug; updated homepage, README, NEWS 

2009-07-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/PsSpecialHandler.cpp, src/SVGTree.cpp: 
  fixed bbox bug; added missing file 

  * src/DvisvgmSpecialHandler.cpp, src/InputBuffer.cpp, src/InputReader.cpp, 
    src/InputReader.h, src/PsSpecialHandler.cpp, src/PsSpecialHandler.h, 
    src/psdefs.ps, src/tests/StreamInputBufferTest.h: 
  implemented psfile special; fixed some bugs 

2009-06-01  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.h, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, 
    src/DvisvgmSpecialHandler.cpp, src/DvisvgmSpecialHandler.h, 
    src/EmSpecialHandler.cpp, src/EmSpecialHandler.h, src/SpecialHandler.h, 
    src/SpecialManager.cpp, src/SpecialManager.h, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.h: 
  transplanted changes to SpecialHandlers from branch 'pages' 

  * src/GFTracer.cpp: 
  transplanted changes to GFTracer from branch 'pages' 

  * src/VFReader.cpp: 
  transplanted changes to VFReader from branch 'pages' 

  * src/FileSystem.cpp, src/FileSystem.h: 
  transplanted changes to FileSystem from branch 'pages' 

  * src/DVIReader.cpp, src/DVIReader.h: 
  transplanted changes to DVIReader from branch 'pages' 

  * src/Bitmap.cpp, src/Bitmap.h: 
  transplanted changes to Bitmap from branch 'pages' 

  * src/InputBuffer.cpp, src/InputBuffer.h, src/Makefile.am: 
  transplanted changes to InputBuffer from branch 'pages' 

2009-04-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontCache.h: 
  increased version of font cache files to ensure their recreation due to 
  the previously fixed shorthand path command bug 

  * NEWS, configure.ac, src/Doxyfile: 
  increased version number to 0.7.3 

  * src/TpicSpecialHandler.cpp: 
  fixed TPIC handler bug that could caused unwanted color fills of 
  ellipses due to a missing call of reset() 

2009-04-02  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac, doc/dvisvgm.txt.in, src/MetafontWrapper.cpp, 
    src/dvisvgm.cpp: 
  prepared release 0.7.2 (removed inclusions of debug.h, adapted homepage 
  and manpage) 

2009-03-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Doxyfile: 
  added doxygen files 

  * src/DVIToSVG.cpp, src/DVIToSVG.h, src/FontGlyph.cpp, 
    src/SVGFontTraceEmitter.cpp, src/SVGFontTraceEmitter.h, src/dvisvgm.cpp: 
  replaced Metafont magnification variable and its setters by a public 
  class variable 

2009-03-24  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontGlyph.cpp: 
  fixed memory bug in Glyph::optimizeCommands() 

  * src/FontGlyph.cpp: 
  fixed potential bug in Glyph::optimizeCommands() 

  * NEWS, src/FontCache.cpp, src/FontGlyph.cpp, src/FontGlyph.h, 
    src/GFGlyphTracer.cpp, src/Pair.h, src/SVGFontEmitter.cpp: 
  use of shorthand path commands has been implemented 

2009-03-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontCache.cpp: 
  cache files are being compressed now to reduce the file size 

2009-03-19  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontCache.cpp, src/SVGFontTraceEmitter.cpp: 
  don't read existing cache file if --trace-all is given (trace complete 
  font and then write cache file instead) 

  * NEWS, doc/dvisvgm.txt.in, src/FontEmitter.h, src/GFGlyphTracer.cpp, 
    src/SVGFontEmitter.cpp, src/SVGFontEmitter.h, 
    src/SVGFontTraceEmitter.cpp, src/SVGFontTraceEmitter.h, src/dvisvgm.cpp, 
    src/options.ggo: 
  added option --trace-all that forces tracing of all glyphs of all 
  currently used bitmap fonts 

2009-03-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVG.cpp, src/TFM.cpp, src/TFM.h: 
  added firstChar()/lastChar() to TFM class, removed unnecessary mag 
  member variable and its setter 

  * src/FontCache.cpp: 
  fixed bug in read/write functions of FontCache 

2009-03-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontCache.cpp: 
  reduced size of cache file format by using variable integer sizes 

  * doc/dvisvgm.txt.in, src/dvisvgm.cpp: 
  added option variant --cache=? to display the default cache directory 

  * doc/dvisvgm.txt.in, src/DVIToSVG.cpp, src/FileSystem.cpp, 
    src/FileSystem.h, src/FontCache.cpp, src/FontCache.h, src/FontGlyph.h, 
    src/GFGlyphTracer.cpp, src/GFGlyphTracer.h, src/Makefile.am, 
    src/SVGFontTraceEmitter.cpp, src/SVGFontTraceEmitter.h, src/dvisvgm.cpp: 
  completed font caching support 

2009-03-16  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, configure.ac, doc/dvisvgm.txt.in, src/DVIToSVG.cpp, 
    src/FileSystem.cpp, src/FileSystem.h, src/FontCache.cpp, src/FontCache.h, 
    src/FontGlyph.cpp, src/FontGlyph.h, src/GFGlyphTracer.cpp, 
    src/GFGlyphTracer.h, src/GFTracer.cpp, src/options.ggo: 
  first additions to support font caching; not working yet 

2009-03-11  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.h, src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h, src/FontEmitter.h, src/SVGFontEmitter.cpp, 
    src/SVGFontEmitter.h, src/SVGFontTraceEmitter.cpp, 
    src/SVGFontTraceEmitter.h: 
  improved font embedding algorithm in case of --no-fonts (identical 
  glyphs in different sizes are now referenced rather than duplicated) 

2009-03-10  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, src/Font.h, 
    src/SVGFontEmitter.cpp, src/SVGFontTraceEmitter.cpp: 
  all glyph sizes are now computed correctly in conjuction with option 
  --no-fonts 

2009-03-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, src/DVIToSVG.h, 
    src/DVIToSVGActions.cpp: 
  fixed transformation bug (transformations are now applied properly to 
  the page) 

  * src/types.h: 
  minor changes to homepage and .hgignore 

  * src/BgColorSpecialHandler.cpp, src/SpecialManager.cpp, 
    src/TpicSpecialHandler.cpp: 
  adapted Code to make VC happy 

2009-03-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/BgColorSpecialHandler.cpp, src/BgColorSpecialHandler.h: 
  added missing background color handler 

  * NEWS, README, src/Color.cpp, src/Color.h, src/ColorSpecialHandler.cpp, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, 
    src/DvisvgmSpecialHandler.cpp, src/EmSpecialHandler.cpp, src/Makefile.am, 
    src/TpicSpecialHandler.cpp: 
  added bgcolor support, updated homepage, fixed color handler bug 

2009-03-06  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.h: 
  implemented splines of tpic specials 

  * src/TpicSpecialHandler.cpp, src/TpicSpecialHandler.h: 
  implemented arc drawing of tpic special set 

2009-03-03  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/dvisvgm.txt.in, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.h: 
  minor code improvements; comments added 

  * doc/Makefile.am, doc/dvisvgm.txt.in, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.h, src/InputBuffer.cpp, src/InputBuffer.h, 
    src/SpecialActions.h: 
  implemented the dvisvgm specials raw, image, and bbox 

  * src/BoundingBox.cpp, src/BoundingBox.h, src/Color.cpp, 
    src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, src/DVIActions.h, 
    src/DVIBBoxActions.h, src/DVIToSVG.cpp, src/DVIToSVG.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/EmSpecialHandler.cpp, 
    src/Makefile.am, src/SpecialActions.h, src/SpecialHandler.h, 
    src/TpicSpecialHandler.cpp: 
  improved computation of the bounding box (works with specials now); 
  added dummy function for background color assignments 

2009-02-26  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am, doc/dvisvgm.txt.in: 
  improved manpage 

  * doc/Makefile.am, doc/dvisvgm.txt, doc/dvisvgm.txt.in: 
  removed generated file, added dvisvgm.txt.in 

2009-02-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, 
    src/DvisvgmSpecialHandler.cpp, src/EmSpecialHandler.cpp, 
    src/SpecialActions.h, src/TpicSpecialHandler.cpp: 
  renamed appendInPage() to appendToPage 

2009-02-24  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, doc/dvisvgm.1.in, src/TpicSpecialHandler.cpp: 
  few additions to tpic handler 

  * NEWS, src/Color.cpp, src/Color.h, src/DVIToSVGActions.cpp, 
    src/Makefile.am, src/Pair.h, src/SpecialHandler.h, 
    src/SpecialManager.cpp, src/SpecialManager.h, src/TpicSpecialHandler.cpp, 
    src/TpicSpecialHandler.h: 
  first tpic implementations; not complete yet 

  * src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, 
    src/DVIToSVGActions.cpp, src/DvisvgmSpecialHandler.cpp, 
    src/DvisvgmSpecialHandler.h, src/EmSpecialHandler.cpp, 
    src/EmSpecialHandler.h, src/HtmlSpecialHandler.h, src/Makefile.am, 
    src/SpecialColorHandler.cpp, src/SpecialColorHandler.h, 
    src/SpecialDvisvgmHandler.cpp, src/SpecialDvisvgmHandler.h, 
    src/SpecialEmHandler.cpp, src/SpecialEmHandler.h, src/SpecialHandler.h, 
    src/SpecialHtmlHandler.h, src/SpecialManager.cpp, src/SpecialManager.h, 
    src/tests/ColorSpecialTest.h: 
  improved SpecialHandler is now able to handle unprefixed specials 

2009-02-23  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, configure.ac, doc/dvisvgm.1.in, src/DVIBBoxActions.h, 
    src/DVIReader.h, src/DVIToSVG.cpp, src/DVIToSVG.h, 
    src/DVIToSVGActions.cpp, src/FontEmitter.h, src/FontEngine.cpp, 
    src/FontEngine.h, src/FontGlyph.cpp, src/FontGlyph.h, 
    src/SVGFontEmitter.cpp, src/SVGFontEmitter.h, 
    src/SVGFontTraceEmitter.cpp, src/SVGFontTraceEmitter.h, src/XMLNode.cpp, 
    src/XMLNode.h, src/dvisvgm.cpp, src/options.ggo, 
    src/tests/ColorSpecialTest.h: 
  added option --no-fonts wich uses path elements instead of fonts 

2009-02-20  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, doc/dvisvgm.1.in, src/Color.cpp, src/Color.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/Makefile.am, 
    src/SpecialActions.h, src/SpecialColorHandler.cpp, 
    src/SpecialDvisvgmHandler.cpp, src/SpecialDvisvgmHandler.h, 
    src/SpecialEmHandler.cpp, src/SpecialEmHandler.h, 
    src/SpecialHtmlHandler.h, src/VerbSpecialHandler.cpp, 
    src/VerbSpecialHandler.h: 
  fixed bug in color handler, added skeletons of dvisvgm/hyperref special 
  handlers 

2009-02-18  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, src/SpecialActions.h, src/tests/ColorSpecialTest.h: 
  adapted color test to new interface, added emtex info 

  * src/Color.h, src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, 
    src/Makefile.am, src/SpecialActions.h, src/SpecialColorHandler.cpp, 
    src/SpecialEmHandler.cpp: 
  added color support to emTeX specials, removed Color class 

2009-02-17  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp: 
  made DVICommand local to executeCommand, removed unnecessary if 
  statement 

2009-02-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/Makefile.am, 
    src/SpecialActions.h, src/SpecialManager.cpp, src/VerbSpecialHandler.cpp, 
    src/VerbSpecialHandler.h, src/XMLString.cpp, src/XMLString.h: 
  added special handler for verbatim output 

2009-02-14  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, configure.ac: 
  prepared release of version 0.7 

  * doc/dvisvgm.1.in, src/DVIToSVG.cpp, src/DVIToSVG.h, 
    src/DVIToSVGActions.cpp, src/dvisvgm.cpp, src/options.ggo: 
  added option --no-style 

  * NEWS, configure.ac: 
  increased version number to 0.6.2, updated NEWS 

  * src/dvisvgm.cpp: 
  fixed incorrect behavior of option -V/--version 

  * src/Color.h, src/DVIToSVGActions.cpp, src/DVIToSVGActions.h: 
  finished color support 

2009-02-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/ColorSpecialHandler.cpp, src/Makefile.am, 
    src/tests/ColorSpecialTest.h: 
  added tests for ColorSpecialHandler 

  * prepare: 
  updated administrative files 

  * src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/Makefile.am, 
    src/SpecialActions.h, src/SpecialHandler.h, src/SpecialManager.cpp, 
    src/SpecialManager.h: 
  color specials are now processed by DVIToSVGActions, but don't create 
  any results yet 

  * src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h: 
  reverted to previous version, removed dependency on Color class 

  * hgauthors, prepare: 
  added administrative files 

  * Makefile.am, configure.ac, src/tests/DirectoryTest.h: 
  removed rpm support 

  * src/types.h: 
  replaced static definition of sized integers by template program 

2009-02-10  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Color.h, src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, 
    src/Makefile.am: 
  replaced RGB arrays by Color class 

2009-02-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TransformationMatrix.cpp: 
  made y-coordinate of cmdline-option -t optional 

2009-02-06  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp: 
  changed lookup order of font maps 

  * doc/dvisvgm.1.in, src/ColorSpecialHandler.h, src/DVIToSVG.cpp, 
    src/DVIToSVG.h, src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, 
    src/SpecialHandler.h, src/SpecialManager.cpp, src/SpecialManager.h, 
    src/dvisvgm.cpp, src/options.ggo: 
  added option --list-specials that lists all registered special handlers 

2009-02-05  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIToSVGActions.cpp: 
  replaced special ignore list evaluation algorithm 

  * src/DVIToSVG.cpp, src/DVIToSVG.h, src/DVIToSVGActions.cpp, 
    src/DVIToSVGActions.h, src/dvisvgm.cpp, src/options.ggo: 
  added optional prefix list to commandline option --no-specials 

  * src/extract-colors.php: 
  added php-script that extracts color definitions from color.pro 

2009-02-04  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontMap.cpp: 
  added output of font encoding in write method 

  * src/FileFinder.cpp: 
  added option for additional loading of user maps 

2009-02-03  Martin Gieseking  <martin.gieseking@uos.de>

  * map/cork-lm.map: 
  removed deprecated map subdirectory 

  * src/FileFinder.cpp, src/FileFinder.h, src/dvisvgm.cpp: 
  option -m/--map-file is now evaluated properly 

  * src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/SpecialHandler.h, 
    src/SpecialManager.cpp, src/SpecialManager.h, src/options.ggo: 
  more color special implementation (color constants), still not ready 

2009-02-02  Martin Gieseking  <martin.gieseking@uos.de>

  * src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h: 
  some refactorings in color handler 

  * src/ColorSpecialHandler.cpp, src/ColorSpecialHandler.h, src/Makefile.am, 
    src/SpecialHandler.h, src/SpecialManager.cpp, src/SpecialManager.h: 
  added special support skeletons; not working yet 

  * NEWS, src/FileFinder.cpp: 
  fixed buggy call of maketfm/makemf in Windows version 

2009-01-30  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, src/DVIReader.cpp, src/DVIReader.h: 
  fixed magnification bug 

  * src/dvisvgm.cpp: 
  prevented writing zero-length svg files; simplified main code by using 
  auto pointers 

2009-01-29  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FileFinder.cpp: 
  adapted Windows version to new release 

2009-01-28  Martin Gieseking  <martin.gieseking@uos.de>

  * NEWS, configure.ac, doc/dvisvgm.1.in: 
  adapted configuration and documentation to new dvips map file support 

  * src/FileFinder.cpp, src/FontMap.cpp, src/FontMap.h, 
    src/tests/FontMapTest.h, src/tests/dvips_test.map: 
  FontMap now supports dvips and dvipdfm maps 

  * src/Calculator.cpp, src/DVIToSVG.cpp, src/FontEncoding.cpp, 
    src/FontMap.cpp, src/SVGFontEmitter.cpp, src/SVGFontTraceEmitter.cpp: 
  replaced comparisions with "" with calls of empty() 

  * src/FontMap.cpp, src/Makefile.am, src/tests/FontMapTest.h, 
    src/tests/dvipdfm_test.map, src/tests/dvips_test.map: 
  extensions to FontMap almost complete but not finished yet 

  * src/GFReader.h, src/GFTracer.cpp, src/GFTracer.h: 
  improved GFTracer to support unscaled results 

  * src/dvisvgm.cpp: 
  use new initialisation of FileFinder 

  * src/FileFinder.cpp, src/FileFinder.h, src/Makefile.am, 
    src/tests/DirectoryTest.h, src/tests/FileFinderTest.h, 
    src/tests/FontManagerTest.h, src/tests/KPSFileFinderTest.h: 
  refactored FileFinder (implementation as singleton) 

2009-01-27  Martin Gieseking  <martin.gieseking@uos.de>

  * src/GFGlyphTracer.cpp, src/GFGlyphTracer.h, src/GFTracer.cpp, 
    src/GFTracer.h, src/Makefile.am, src/SVGFontTraceEmitter.cpp, 
    src/SVGFontTraceEmitter.h: 
  made GFTracer a generic class with template methods 

2009-01-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/InputBuffer.h: 
  fixed incompatible types bug 

  * src/Bitmap.cpp, src/Bitmap.h, src/GFReader.cpp, src/GFReader.h, 
    src/GFTracer.cpp, src/Makefile.am: 
  improvements to GF handling, first skeletton of gf->metapost (gfprint) 

2009-01-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/FontMap.cpp: 
  basic dvips font map support, not complete yet 

  * src/CharmapTranslator.cpp, src/DVIToSVG.cpp, src/FileFinder.cpp, 
    src/FileFinder.h, src/Font.cpp, src/FontEncoding.cpp, 
    src/FontManager.cpp, src/KPSFileFinder.cpp, src/KPSFileFinder.h, 
    src/Makefile.am, src/MetafontWrapper.cpp, src/TFM.cpp, src/dvisvgm.cpp: 
  renamed KPSFileFinder to FileFinder 

  * src/FontMap.cpp, src/FontMap.h: 
  started redesign of FontMap, not complete yet 

  * src/InputBuffer.cpp, src/InputBuffer.h: 
  added missing include 

2009-01-23  Martin Gieseking  <martin.gieseking@uos.de>

  * doc/Makefile.am, doc/dvisvgm.1.in: 
  manpage updates 

2009-01-22  Martin Gieseking  <martin.gieseking@uos.de>

  * configure.ac: 
  added test whether dvipdfm.map is available 

  * doc/dvisvgm.1.in, rpm/dvisvgm.spec.in, src/Bitmap.cpp, src/Bitmap.h, 
    src/BoundingBox.cpp, src/BoundingBox.h, src/Calculator.cpp, 
    src/Calculator.h, src/CharmapTranslator.cpp, src/CharmapTranslator.h, 
    src/DVIActions.cpp, src/DVIActions.h, src/DVIBBoxActions.h, 
    src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, src/DVIToSVG.h, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/Directory.cpp, 
    src/Directory.h, src/FileFinder.cpp, src/FileFinder.h, 
    src/FileSystem.cpp, src/FileSystem.h, src/Font.cpp, src/Font.h, 
    src/FontEmitter.h, src/FontEncoding.cpp, src/FontEncoding.h, 
    src/FontEngine.cpp, src/FontEngine.h, src/FontGlyph.cpp, src/FontGlyph.h, 
    src/FontInfo.cpp, src/FontInfo.h, src/FontManager.cpp, src/FontManager.h, 
    src/FontMap.cpp, src/FontMap.h, src/FontTracer.h, src/GFReader.cpp, 
    src/GFReader.h, src/GFTracer.cpp, src/GFTracer.h, src/InputBuffer.cpp, 
    src/InputBuffer.h, src/KPSFileFinder.cpp, src/KPSFileFinder.h, 
    src/Makefile.am, src/Makefile.orig, src/Matrix.cpp, src/Matrix.h, 
    src/Message.cpp, src/Message.h, src/MessageException.h, 
    src/MetafontWrapper.cpp, src/MetafontWrapper.h, src/PSInterpreter.cpp, 
    src/PSInterpreter.h, src/PSObject.cpp, src/PSObject.h, src/PSState.cpp, 
    src/PSState.h, src/PageSize.cpp, src/PageSize.h, src/Pair.h, 
    src/SVGFontEmitter.cpp, src/SVGFontEmitter.h, 
    src/SVGFontTraceEmitter.cpp, src/SVGFontTraceEmitter.h, 
    src/StreamCounter.h, src/StreamReader.cpp, src/StreamReader.h, 
    src/TFM.cpp, src/TFM.h, src/TransformationMatrix.cpp, 
    src/TransformationMatrix.h, src/VFActions.h, src/VFReader.cpp, 
    src/VFReader.h, src/VectorStream.h, src/XMLDocTypeNode.h, 
    src/XMLDocument.cpp, src/XMLDocument.h, src/XMLNode.cpp, src/XMLNode.h, 
    src/XMLString.cpp, src/XMLString.h, src/dvisvgm.cpp, src/global.cpp, 
    src/global.h, src/macros.h, src/options.ggo, src/types.h: 
  updated file header comments 

  * src/tests/CalculatorTest.h, src/tests/DirectoryTest.h, 
    src/tests/FontManagerTest.h, src/tests/FontMapTest.h, 
    src/tests/KPSFileFinderTest.h, src/tests/PageSizeTest.h, 
    src/tests/StreamCounterTest.h, src/tests/VectorStreamTest.h: 
  updated tests 

  * Makefile.am, NEWS, README, configure.ac, potracelib/Makefile.am: 
  updated version info to 0.6 

  * src/KPSFileFinder.cpp: 
  fixed throwing of COM exception 

  * src/DVIReader.cpp, src/FontManager.cpp, src/KPSFileFinder.cpp: 
  memory leak fixed 

  * src/KPSFileFinder.cpp, src/KPSFileFinder.h, src/dvisvgm.cpp: 
  added support for MiKTeX' new COM interface 

  * src/FontMap.cpp: 
  forgot to remove address operator 

2009-01-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Calculator.cpp, src/DVIReader.cpp, src/DVIToSVGActions.cpp, 
    src/Directory.cpp, src/FontEncoding.cpp, src/FontEngine.cpp, 
    src/FontManager.cpp, src/FontMap.cpp, src/KPSFileFinder.cpp, 
    src/MetafontWrapper.cpp, src/PageSize.cpp, src/StreamReader.cpp, 
    src/TFM.cpp, src/TransformationMatrix.cpp, src/VFReader.cpp, 
    src/XMLDocument.cpp, src/XMLNode.cpp: 
  added in/out attributes to parameter documentation 

  * src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, 
    src/FontEncoding.cpp, src/FontGlyph.cpp: 
  fixed bugs in handling of font encodings and virtual fonts 

2009-01-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/SVGFontEmitter.cpp: 
  fixed memory bug 

  * src/FontEngine.cpp, src/FontEngine.h, src/SVGFontEmitter.cpp: 
  fixed glyph positioning bug occured in conjunction with font encoding 

  * src/DVIReader.cpp, src/DVIToSVG.cpp, src/Font.h, src/FontEncoding.cpp, 
    src/FontEncoding.h, src/FontEngine.cpp, src/FontEngine.h, 
    src/FontGlyph.cpp, src/FontGlyph.h, src/FontManager.cpp, 
    src/FontManager.h, src/InputBuffer.cpp, src/InputBuffer.h, 
    src/SVGFontEmitter.cpp, src/SVGFontEmitter.h: 
  first working version with font encoding support 

2009-01-19  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/FontEncoding.cpp, src/FontEncoding.h, 
    src/FontEngine.cpp, src/FontEngine.h, src/FontManager.cpp, 
    src/FontManager.h, src/FontMap.cpp: 
  partly working mapping support, but yet too slow 

  * src/FontEncoding.cpp, src/FontEncoding.h, src/FontEngine.cpp, 
    src/FontEngine.h, src/FontManager.cpp, src/FontManager.h, 
    src/FontMap.cpp, src/FontMap.h, src/KPSFileFinder.cpp, 
    src/KPSFileFinder.h: 
  more encoding implementations, not complete yet 

2009-01-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TransformationMatrix.cpp: 
  fixed bug in argument assignment of transformation command M 

2009-01-15  Martin Gieseking  <martin.gieseking@uos.de>

  * src/TransformationMatrix.cpp: 
  removed a dangerous loop remained from previous code 

2009-01-14  Martin Gieseking  <martin.gieseking@uos.de>

  * src/KPSFileFinder.cpp: 
  added enc-file support 

  * src/dvisvgm.cpp: 
  updated copyright string 

  * src/FileSystem.cpp, src/FileSystem.h: 
  const string parameters 

  * src/FontEncoding.cpp, src/FontEncoding.h, src/InputBuffer.cpp, 
    src/InputBuffer.h, src/Makefile.am: 
  added basic skeleton for handling of font encodings 

  * potracelib/auxiliary.h, potracelib/bitmap.h, potracelib/curve.c, 
    potracelib/curve.h, potracelib/decompose.c, potracelib/decompose.h, 
    potracelib/lists.h, potracelib/potracelib.c, potracelib/potracelib.h, 
    potracelib/progress.h, potracelib/trace.c, potracelib/trace.h: 
  updated libpotrace to version 1.8 

2009-01-13  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CharmapTranslator.cpp: 
  fixed crash on loading corrupt pfb-files 

2008-06-18  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Makefile.am: 
  adapted to latest gengetopt version 

2008-04-07  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp: 
  minor change 

2007-03-26  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIActions.cpp, src/DVIReader.cpp, src/DVIReader.h, 
    src/FontManager.cpp, src/tests/FontManagerTest.h: 
  few minor changes 

  * NEWS, src/CharmapTranslator.cpp, src/CharmapTranslator.h, 
    src/DVIActions.h, src/DVIReader.cpp, src/DVIToSVG.cpp, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/Font.h, 
    src/FontManager.cpp, src/Makefile.am, src/SVGFontTraceEmitter.cpp, 
    src/SVGFontTraceEmitter.h: 
  redesigned DVIActions and CharmapTranslator 

2007-03-25  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/DVIReader.h, src/VFActions.h: 
  minor fixes 

  * src/DVIActions.cpp, src/DVIActions.h, src/DVIBBoxActions.h, 
    src/DVIReader.cpp, src/DVIReader.h, src/DVIToSVG.cpp, 
    src/DVIToSVGActions.cpp, src/DVIToSVGActions.h, src/Font.cpp, src/Font.h, 
    src/FontManager.cpp, src/FontManager.h, src/StreamReader.cpp, 
    src/StreamReader.h, src/VFActions.h, src/VFReader.cpp, src/VFReader.h, 
    src/VectorStream.h: 
  first working version 0.5, release candidate 1 

2007-03-23  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/FontManager.cpp, src/FontManager.h, 
    src/KPSFileFinder.cpp, src/KPSFileFinder.h, src/VFReader.cpp: 
  more vf implementations, not complete yet 

2007-03-22  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/Font.cpp, src/Font.h, src/FontManager.cpp, 
    src/VFActions.h, src/VFReader.cpp, src/VFReader.h: 
  more vf implementations 

  * NEWS, doc/Makefile.in, src/DVIReader.cpp, src/DVIReader.h, 
    src/DVIToSVG.cpp, src/DVIToSVG.h, src/FileSystem.cpp, src/FileSystem.h, 
    src/KPSFileFinder.cpp, src/KPSFileFinder.h, src/Makefile.am, 
    src/dvisvgm.cpp, src/tests/DirectoryTest.h, src/tests/FontManagerTest.h: 
  reintegrated font map initialization into KPSFileFinderm adapted some 
  tests 

2007-03-21  Martin Gieseking  <martin.gieseking@uos.de>

  * src/KPSFileFinder.cpp, src/KPSFileFinder.h, src/dvisvgm.cpp: 
  implemented options -n and -m 

  * src/Directory.cpp, src/Directory.h, src/KPSFileFinder.cpp, 
    src/KPSFileFinder.h, src/dvisvgm.cpp: 
  completed MiKTeX font map file look-up, fixed bug in Directory class 

  * src/Calculator.cpp, src/DVIReader.cpp, src/Directory.cpp, src/Font.h, 
    src/FontManager.cpp, src/Makefile, src/Makefile.am, src/Makefile.in, 
    src/MetafontWrapper.cpp, src/VFReader.cpp, src/VectorStream.h, 
    src/test-all.cpp, src/tests/VectorStreamTest.h: 
  removed redundant code and commented code fragments, added 
  VectorInputStream class 

  * AUTHORS, Makefile.am, README, potracelib/Makefile.am, 
    rpm/dvisvgm.spec.in, src/Directory.cpp, src/Directory.h, 
    src/KPSFileFinder.cpp, src/Makefile, src/Makefile.am, src/Makefile.in, 
    src/SVGFontTraceEmitter.cpp, src/test-all.cpp, src/tests/DirectoryTest.h: 
  implemented Directory class for Linux, added DirectoryTest 

2007-03-20  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Directory.cpp, src/Directory.h, src/FileSystem.cpp, src/FontMap.cpp, 
    src/FontMap.h, src/KPSFileFinder.cpp: 
  more changes for MiKTeX support 

  * NEWS, doc/Makefile, doc/Makefile.in, doc/dvisvgm.1.in, 
    src/DVIReader.cpp, src/DVIToSVG.cpp, src/Font.cpp, src/Font.h, 
    src/FontManager.cpp, src/KPSFileFinder.cpp, src/Makefile, 
    src/Makefile.am, src/Makefile.in, src/VFReader.cpp, src/dvisvgm.cpp, 
    src/test-all.cpp, src/tests/KPSFileFinderTest.h: 
  added KPSFileFinderTest, added EmptyFont, fixed compilation error 

2007-03-19  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/Font.h, src/FontManager.cpp, src/FontMap.cpp, 
    src/FontMap.h, src/KPSFileFinder.cpp: 
  made sources comaptible with MikTeX 

  * src/KPSFileFinder.cpp: 
  bug fixed, font maps work now 

  * src/CharmapTranslator.cpp, src/DVIToSVG.cpp, src/FontManager.cpp, 
    src/KPSFileFinder.cpp, src/KPSFileFinder.h, src/Makefile, 
    src/Makefile.am, src/Makefile.in, src/MetafontWrapper.cpp, src/TFM.cpp: 
  added mktexFOO support and font map lookups to KPSFileFinder 

2007-03-16  Martin Gieseking  <martin.gieseking@uos.de>

  * src/Font.cpp, src/Font.h, src/FontManager.cpp, src/FontMap.cpp, 
    src/FontMap.h, src/KPSFileFinder.cpp, src/Makefile, src/Makefile.am, 
    src/Makefile.in, src/StreamReader.cpp, src/TFM.cpp, src/options.ggo, 
    src/tests/FontMapTest.h: 
  more coding in the font department, not finished yet 

2007-03-09  Martin Gieseking  <martin.gieseking@uos.de>

  * src/CharmapTranslator.cpp, src/CharmapTranslator.h, src/DVIReader.cpp, 
    src/DVIReader.h, src/DVIToSVG.cpp, src/DVIToSVGActions.cpp, src/Font.cpp, 
    src/FontInfo.cpp, src/FontManager.cpp, src/GFTracer.cpp, 
    src/KPSFileFinder.cpp, src/KPSFileFinder.h, src/Makefile, 
    src/Makefile.am, src/Makefile.in, src/MetafontWrapper.cpp, 
    src/MetafontWrapper.h, src/SVGFontTraceEmitter.cpp, 
    src/SVGFontTraceEmitter.h, src/StreamReader.cpp, src/StreamReader.h, 
    src/TFM.cpp, src/TFM.h, src/VFReader.cpp, src/VFReader.h, 
    src/dvisvgm.cpp, src/options.ggo, src/test-all.cpp: 
  refactorings: extracted StreamReader class, replaced generic FileFinder 
  support by KPSFileFinder calls 

2007-03-08  Martin Gieseking  <martin.gieseking@uos.de>

  * src/DVIReader.cpp, src/DVIToSVGActions.cpp, src/Font.h, src/Makefile, 
    src/Makefile.am, src/Makefile.in, src/Makefile.orig, src/VFActions.h, 
